Runtime

## org.eclipse.gmf.runtime.notation
Interface NotationPackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  NotationPackageImpl

    public interface NotationPackage

extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `NotationFactory`
** Generated **
Model:
  kind="package"

Nested Class Summary
`static interface` `NotationPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Field Summary
`static int` `ALIGNMENT` The meta object id for the '`Alignment`' enum
`static int` `ANCHOR` The meta object id for the '`Anchor`' class
`static int` `ANCHOR_FEATURE_COUNT` The number of structural features of the 'Anchor' class
`static int` `ARROW_STYLE` The meta object id for the '`Arrow Style`' class
`static int` `ARROW_STYLE__ARROW_SOURCE` The feature id for the 'Arrow Source' attribute
`static int` `ARROW_STYLE__ARROW_TARGET` The feature id for the 'Arrow Target' attribute
`static int` `ARROW_STYLE_FEATURE_COUNT` The number of structural features of the 'Arrow Style' class
`static int` `ARROW_TYPE` The meta object id for the '`Arrow Type`' enum
`static int` `BASIC_COMPARTMENT` The meta object id for the '`Basic Compartment`' class
`static int` `BASIC_COMPARTMENT__COLLAPSED` The feature id for the 'Collapsed' attribute
`static int` `BASIC_COMPARTMENT__DIAGRAM` The feature id for the 'Diagram' reference
`static int` `BASIC_COMPARTMENT__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `BASIC_COMPARTMENT__ELEMENT` The feature id for the 'Element' reference
`static int` `BASIC_COMPARTMENT__LAYOUT_CONSTRAINT` The feature id for the 'Layout Constraint' containment reference
`static int` `BASIC_COMPARTMENT__MUTABLE` The feature id for the 'Mutable' attribute
`static int` `BASIC_COMPARTMENT__PERSISTED_CHILDREN` The feature id for the 'Persisted Children' containment reference list
`static int` `BASIC_COMPARTMENT__SOURCE_EDGES` The feature id for the 'Source Edges' reference list
`static int` `BASIC_COMPARTMENT__STYLES` The feature id for the 'Styles' containment reference list
`static int` `BASIC_COMPARTMENT__TARGET_EDGES` The feature id for the 'Target Edges' reference list
`static int` `BASIC_COMPARTMENT__TRANSIENT_CHILDREN` The feature id for the 'Transient Children' containment reference list
`static int` `BASIC_COMPARTMENT__TYPE` The feature id for the 'Type' attribute
`static int` `BASIC_COMPARTMENT__VISIBLE` The feature id for the 'Visible' attribute
`static int` `BASIC_COMPARTMENT_FEATURE_COUNT` The number of structural features of the 'Basic Compartment' class
`static int` `BASIC_DECORATION_NODE` The meta object id for the '`Basic Decoration Node`' class
`static int` `BASIC_DECORATION_NODE__DIAGRAM` The feature id for the 'Diagram' reference
`static int` `BASIC_DECORATION_NODE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `BASIC_DECORATION_NODE__ELEMENT` The feature id for the 'Element' reference
`static int` `BASIC_DECORATION_NODE__LAYOUT_CONSTRAINT` The feature id for the 'Layout Constraint' containment reference
`static int` `BASIC_DECORATION_NODE__MUTABLE` The feature id for the 'Mutable' attribute
`static int` `BASIC_DECORATION_NODE__PERSISTED_CHILDREN` The feature id for the 'Persisted Children' containment reference list
`static int` `BASIC_DECORATION_NODE__SOURCE_EDGES` The feature id for the 'Source Edges' reference list
`static int` `BASIC_DECORATION_NODE__STYLES` The feature id for the 'Styles' containment reference list
`static int` `BASIC_DECORATION_NODE__TARGET_EDGES` The feature id for the 'Target Edges' reference list
`static int` `BASIC_DECORATION_NODE__TRANSIENT_CHILDREN` The feature id for the 'Transient Children' containment reference list
`static int` `BASIC_DECORATION_NODE__TYPE` The feature id for the 'Type' attribute
`static int` `BASIC_DECORATION_NODE__VISIBLE` The feature id for the 'Visible' attribute
`static int` `BASIC_DECORATION_NODE_FEATURE_COUNT` The number of structural features of the 'Basic Decoration Node' class
`static int` `BASIC_SEMANTIC_COMPARTMENT` The meta object id for the '`Basic Semantic Compartment`' class
`static int` `BASIC_SEMANTIC_COMPARTMENT__COLLAPSED` The feature id for the 'Collapsed' attribute
`static int` `BASIC_SEMANTIC_COMPARTMENT__DIAGRAM` The feature id for the 'Diagram' reference
`static int` `BASIC_SEMANTIC_COMPARTMENT__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `BASIC_SEMANTIC_COMPARTMENT__ELEMENT` The feature id for the 'Element' reference
`static int` `BASIC_SEMANTIC_COMPARTMENT__LAYOUT_CONSTRAINT` The feature id for the 'Layout Constraint' containment reference
`static int` `BASIC_SEMANTIC_COMPARTMENT__MUTABLE` The feature id for the 'Mutable' attribute
`static int` `BASIC_SEMANTIC_COMPARTMENT__PERSISTED_CHILDREN` The feature id for the 'Persisted Children' containment reference list
`static int` `BASIC_SEMANTIC_COMPARTMENT__SOURCE_EDGES` The feature id for the 'Source Edges' reference list
`static int` `BASIC_SEMANTIC_COMPARTMENT__STYLES` The feature id for the 'Styles' containment reference list
`static int` `BASIC_SEMANTIC_COMPARTMENT__TARGET_EDGES` The feature id for the 'Target Edges' reference list
`static int` `BASIC_SEMANTIC_COMPARTMENT__TRANSIENT_CHILDREN` The feature id for the 'Transient Children' containment reference list
`static int` `BASIC_SEMANTIC_COMPARTMENT__TYPE` The feature id for the 'Type' attribute
`static int` `BASIC_SEMANTIC_COMPARTMENT__VISIBLE` The feature id for the 'Visible' attribute
`static int` `BASIC_SEMANTIC_COMPARTMENT_FEATURE_COUNT` The number of structural features of the 'Basic Semantic Compartment' class
`static int` `BENDPOINTS` The meta object id for the '`Bendpoints`' class
`static int` `BENDPOINTS_FEATURE_COUNT` The number of structural features of the 'Bendpoints' class
`static int` `BOOLEAN_LIST_VALUE_STYLE` The meta object id for the '`Boolean List Value Style`' class
`static int` `BOOLEAN_LIST_VALUE_STYLE__BOOLEAN_LIST_VALUE` The feature id for the 'Boolean List Value' attribute list
`static int` `BOOLEAN_LIST_VALUE_STYLE__NAME` The feature id for the 'Name' attribute
`static int` `BOOLEAN_LIST_VALUE_STYLE_FEATURE_COUNT` The number of structural features of the 'Boolean List Value Style' class
`static int` `BOOLEAN_VALUE_STYLE` The meta object id for the '`Boolean Value Style`' class
`static int` `BOOLEAN_VALUE_STYLE__BOOLEAN_VALUE` The feature id for the 'Boolean Value' attribute
`static int` `BOOLEAN_VALUE_STYLE__NAME` The feature id for the 'Name' attribute
`static int` `BOOLEAN_VALUE_STYLE_FEATURE_COUNT` The number of structural features of the 'Boolean Value Style' class
`static int` `BOUNDS` The meta object id for the '`Bounds`' class
`static int` `BOUNDS__HEIGHT` The feature id for the 'Height' attribute
`static int` `BOUNDS__WIDTH` The feature id for the 'Width' attribute
`static int` `BOUNDS__X` The feature id for the 'X' attribute
`static int` `BOUNDS__Y` The feature id for the 'Y' attribute
`static int` `BOUNDS_FEATURE_COUNT` The number of structural features of the 'Bounds' class
`static int` `BYTE_ARRAY_VALUE_STYLE` The meta object id for the '`Byte Array Value Style`' class
`static int` `BYTE_ARRAY_VALUE_STYLE__BYTE_ARRAY_VALUE` The feature id for the 'Byte Array Value' attribute
`static int` `BYTE_ARRAY_VALUE_STYLE__NAME` The feature id for the 'Name' attribute
`static int` `BYTE_ARRAY_VALUE_STYLE_FEATURE_COUNT` The number of structural features of the 'Byte Array Value Style' class
`static int` `CANONICAL_STYLE` The meta object id for the '`Canonical Style`' class
`static int` `CANONICAL_STYLE__CANONICAL` The feature id for the 'Canonical' attribute
`static int` `CANONICAL_STYLE_FEATURE_COUNT` The number of structural features of the 'Canonical Style' class
`static int` `COMPARTMENT` The meta object id for the '`Compartment`' class
`static int` `COMPARTMENT__CANONICAL` The feature id for the 'Canonical' attribute
`static int` `COMPARTMENT__COLLAPSED` The feature id for the 'Collapsed' attribute
`static int` `COMPARTMENT__DIAGRAM` The feature id for the 'Diagram' reference
`static int` `COMPARTMENT__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `COMPARTMENT__ELEMENT` The feature id for the 'Element' reference
`static int` `COMPARTMENT__LAYOUT_CONSTRAINT` The feature id for the 'Layout Constraint' containment reference
`static int` `COMPARTMENT__MUTABLE` The feature id for the 'Mutable' attribute
`static int` `COMPARTMENT__PERSISTED_CHILDREN` The feature id for the 'Persisted Children' containment reference list
`static int` `COMPARTMENT__SHOW_TITLE` The feature id for the 'Show Title' attribute
`static int` `COMPARTMENT__SOURCE_EDGES` The feature id for the 'Source Edges' reference list
`static int` `COMPARTMENT__STYLES` The feature id for the 'Styles' containment reference list
`static int` `COMPARTMENT__TARGET_EDGES` The feature id for the 'Target Edges' reference list
`static int` `COMPARTMENT__TRANSIENT_CHILDREN` The feature id for the 'Transient Children' containment reference list
`static int` `COMPARTMENT__TYPE` The feature id for the 'Type' attribute
`static int` `COMPARTMENT__VISIBLE` The feature id for the 'Visible' attribute
`static int` `COMPARTMENT_FEATURE_COUNT` The number of structural features of the 'Compartment' class
`static int` `CONNECTOR` The meta object id for the '`Connector`' class
`static int` `CONNECTOR__AVOID_OBSTRUCTIONS` The feature id for the 'Avoid Obstructions' attribute
`static int` `CONNECTOR__BENDPOINTS` The feature id for the 'Bendpoints' containment reference
`static int` `CONNECTOR__CLOSEST_DISTANCE` The feature id for the 'Closest Distance' attribute
`static int` `CONNECTOR__DIAGRAM` The feature id for the 'Diagram' reference
`static int` `CONNECTOR__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `CONNECTOR__ELEMENT` The feature id for the 'Element' reference
`static int` `CONNECTOR__JUMP_LINK_STATUS` The feature id for the 'Jump Link Status' attribute
`static int` `CONNECTOR__JUMP_LINK_TYPE` The feature id for the 'Jump Link Type' attribute
`static int` `CONNECTOR__JUMP_LINKS_REVERSE` The feature id for the 'Jump Links Reverse' attribute
`static int` `CONNECTOR__LINE_COLOR` The feature id for the 'Line Color' attribute
`static int` `CONNECTOR__LINE_WIDTH` The feature id for the 'Line Width' attribute
`static int` `CONNECTOR__MUTABLE` The feature id for the 'Mutable' attribute
`static int` `CONNECTOR__PERSISTED_CHILDREN` The feature id for the 'Persisted Children' containment reference list
`static int` `CONNECTOR__ROUNDED_BENDPOINTS_RADIUS` The feature id for the 'Rounded Bendpoints Radius' attribute
`static int` `CONNECTOR__ROUTING` The feature id for the 'Routing' attribute
`static int` `CONNECTOR__SMOOTHNESS` The feature id for the 'Smoothness' attribute
`static int` `CONNECTOR__SOURCE` The feature id for the 'Source' reference
`static int` `CONNECTOR__SOURCE_ANCHOR` The feature id for the 'Source Anchor' containment reference
`static int` `CONNECTOR__SOURCE_EDGES` The feature id for the 'Source Edges' reference list
`static int` `CONNECTOR__STYLES` The feature id for the 'Styles' containment reference list
`static int` `CONNECTOR__TARGET` The feature id for the 'Target' reference
`static int` `CONNECTOR__TARGET_ANCHOR` The feature id for the 'Target Anchor' containment reference
`static int` `CONNECTOR__TARGET_EDGES` The feature id for the 'Target Edges' reference list
`static int` `CONNECTOR__TRANSIENT_CHILDREN` The feature id for the 'Transient Children' containment reference list
`static int` `CONNECTOR__TYPE` The feature id for the 'Type' attribute
`static int` `CONNECTOR__VISIBLE` The feature id for the 'Visible' attribute
`static int` `CONNECTOR_FEATURE_COUNT` The number of structural features of the 'Connector' class
`static int` `CONNECTOR_STYLE` The meta object id for the '`Connector Style`' class
`static int` `CONNECTOR_STYLE__AVOID_OBSTRUCTIONS` The feature id for the 'Avoid Obstructions' attribute
`static int` `CONNECTOR_STYLE__CLOSEST_DISTANCE` The feature id for the 'Closest Distance' attribute
`static int` `CONNECTOR_STYLE__JUMP_LINK_STATUS` The feature id for the 'Jump Link Status' attribute
`static int` `CONNECTOR_STYLE__JUMP_LINK_TYPE` The feature id for the 'Jump Link Type' attribute
`static int` `CONNECTOR_STYLE__JUMP_LINKS_REVERSE` The feature id for the 'Jump Links Reverse' attribute
`static int` `CONNECTOR_STYLE__LINE_COLOR` The feature id for the 'Line Color' attribute
`static int` `CONNECTOR_STYLE__LINE_WIDTH` The feature id for the 'Line Width' attribute
`static int` `CONNECTOR_STYLE__ROUNDED_BENDPOINTS_RADIUS` The feature id for the 'Rounded Bendpoints Radius' attribute
`static int` `CONNECTOR_STYLE__ROUTING` The feature id for the 'Routing' attribute
`static int` `CONNECTOR_STYLE__SMOOTHNESS` The feature id for the 'Smoothness' attribute
`static int` `CONNECTOR_STYLE_FEATURE_COUNT` The number of structural features of the 'Connector Style' class
`static int` `DATA_TYPE_STYLE` The meta object id for the '`Data Type Style`' class
`static int` `DATA_TYPE_STYLE__INSTANCE_TYPE` The feature id for the 'Instance Type' reference
`static int` `DATA_TYPE_STYLE__NAME` The feature id for the 'Name' attribute
`static int` `DATA_TYPE_STYLE_FEATURE_COUNT` The number of structural features of the 'Data Type Style' class
`static int` `DECORATION_NODE` The meta object id for the '`Decoration Node`' class
`static int` `DECORATION_NODE__DIAGRAM` The feature id for the 'Diagram' reference
`static int` `DECORATION_NODE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `DECORATION_NODE__ELEMENT` The feature id for the 'Element' reference
`static int` `DECORATION_NODE__LAYOUT_CONSTRAINT` The feature id for the 'Layout Constraint' containment reference
`static int` `DECORATION_NODE__MUTABLE` The feature id for the 'Mutable' attribute
`static int` `DECORATION_NODE__PERSISTED_CHILDREN` The feature id for the 'Persisted Children' containment reference list
`static int` `DECORATION_NODE__SOURCE_EDGES` The feature id for the 'Source Edges' reference list
`static int` `DECORATION_NODE__STYLES` The feature id for the 'Styles' containment reference list
`static int` `DECORATION_NODE__TARGET_EDGES` The feature id for the 'Target Edges' reference list
`static int` `DECORATION_NODE__TRANSIENT_CHILDREN` The feature id for the 'Transient Children' containment reference list
`static int` `DECORATION_NODE__TYPE` The feature id for the 'Type' attribute
`static int` `DECORATION_NODE__VISIBLE` The feature id for the 'Visible' attribute
`static int` `DECORATION_NODE_FEATURE_COUNT` The number of structural features of the 'Decoration Node' class
`static int` `DESCRIPTION_STYLE` The meta object id for the '`Description Style`' class
`static int` `DESCRIPTION_STYLE__DESCRIPTION` The feature id for the 'Description' attribute
`static int` `DESCRIPTION_STYLE_FEATURE_COUNT` The number of structural features of the 'Description Style' class
`static int` `DIAGRAM` The meta object id for the '`Diagram`' class
`static int` `DIAGRAM__DIAGRAM` The feature id for the 'Diagram' reference
`static int` `DIAGRAM__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `DIAGRAM__ELEMENT` The feature id for the 'Element' reference
`static int` `DIAGRAM__MEASUREMENT_UNIT` The feature id for the 'Measurement Unit' attribute
`static int` `DIAGRAM__MUTABLE` The feature id for the 'Mutable' attribute
`static int` `DIAGRAM__NAME` The feature id for the 'Name' attribute
`static int` `DIAGRAM__PERSISTED_CHILDREN` The feature id for the 'Persisted Children' containment reference list
`static int` `DIAGRAM__PERSISTED_EDGES` The feature id for the 'Persisted Edges' containment reference list
`static int` `DIAGRAM__SOURCE_EDGES` The feature id for the 'Source Edges' reference list
`static int` `DIAGRAM__STYLES` The feature id for the 'Styles' containment reference list
`static int` `DIAGRAM__TARGET_EDGES` The feature id for the 'Target Edges' reference list
`static int` `DIAGRAM__TRANSIENT_CHILDREN` The feature id for the 'Transient Children' containment reference list
`static int` `DIAGRAM__TRANSIENT_EDGES` The feature id for the 'Transient Edges' containment reference list
`static int` `DIAGRAM__TYPE` The feature id for the 'Type' attribute
`static int` `DIAGRAM__VISIBLE` The feature id for the 'Visible' attribute
`static int` `DIAGRAM_FEATURE_COUNT` The number of structural features of the 'Diagram' class
`static int` `DIAGRAM_LINK_STYLE` The meta object id for the '`Diagram Link Style`' class
`static int` `DIAGRAM_LINK_STYLE__DIAGRAM_LINK` The feature id for the 'Diagram Link' reference
`static int` `DIAGRAM_LINK_STYLE_FEATURE_COUNT` The number of structural features of the 'Diagram Link Style' class
`static int` `DIAGRAM_STYLE` The meta object id for the '`Diagram Style`' class
`static int` `DIAGRAM_STYLE__DESCRIPTION` The feature id for the 'Description' attribute
`static int` `DIAGRAM_STYLE__HORIZONTAL_GUIDES` The feature id for the 'Horizontal Guides' containment reference list
`static int` `DIAGRAM_STYLE__PAGE_HEIGHT` The feature id for the 'Page Height' attribute
`static int` `DIAGRAM_STYLE__PAGE_WIDTH` The feature id for the 'Page Width' attribute
`static int` `DIAGRAM_STYLE__PAGE_X` The feature id for the 'Page X' attribute
`static int` `DIAGRAM_STYLE__PAGE_Y` The feature id for the 'Page Y' attribute
`static int` `DIAGRAM_STYLE__VERTICAL_GUIDES` The feature id for the 'Vertical Guides' containment reference list
`static int` `DIAGRAM_STYLE_FEATURE_COUNT` The number of structural features of the 'Diagram Style' class
`static int` `DOUBLE_LIST_VALUE_STYLE` The meta object id for the '`Double List Value Style`' class
`static int` `DOUBLE_LIST_VALUE_STYLE__DOUBLE_LIST_VALUE` The feature id for the 'Double List Value' attribute list
`static int` `DOUBLE_LIST_VALUE_STYLE__NAME` The feature id for the 'Name' attribute
`static int` `DOUBLE_LIST_VALUE_STYLE_FEATURE_COUNT` The number of structural features of the 'Double List Value Style' class
`static int` `DOUBLE_VALUE_STYLE` The meta object id for the '`Double Value Style`' class
`static int` `DOUBLE_VALUE_STYLE__DOUBLE_VALUE` The feature id for the 'Double Value' attribute
`static int` `DOUBLE_VALUE_STYLE__NAME` The feature id for the 'Name' attribute
`static int` `DOUBLE_VALUE_STYLE_FEATURE_COUNT` The number of structural features of the 'Double Value Style' class
`static int` `DRAWER_STYLE` The meta object id for the '`Drawer Style`' class
`static int` `DRAWER_STYLE__COLLAPSED` The feature id for the 'Collapsed' attribute
`static int` `DRAWER_STYLE_FEATURE_COUNT` The number of structural features of the 'Drawer Style' class
`static int` `EDGE` The meta object id for the '`Edge`' class
`static int` `EDGE__BENDPOINTS` The feature id for the 'Bendpoints' containment reference
`static int` `EDGE__DIAGRAM` The feature id for the 'Diagram' reference
`static int` `EDGE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `EDGE__ELEMENT` The feature id for the 'Element' reference
`static int` `EDGE__MUTABLE` The feature id for the 'Mutable' attribute
`static int` `EDGE__PERSISTED_CHILDREN` The feature id for the 'Persisted Children' containment reference list
`static int` `EDGE__SOURCE` The feature id for the 'Source' reference
`static int` `EDGE__SOURCE_ANCHOR` The feature id for the 'Source Anchor' containment reference
`static int` `EDGE__SOURCE_EDGES` The feature id for the 'Source Edges' reference list
`static int` `EDGE__STYLES` The feature id for the 'Styles' containment reference list
`static int` `EDGE__TARGET` The feature id for the 'Target' reference
`static int` `EDGE__TARGET_ANCHOR` The feature id for the 'Target Anchor' containment reference
`static int` `EDGE__TARGET_EDGES` The feature id for the 'Target Edges' reference list
`static int` `EDGE__TRANSIENT_CHILDREN` The feature id for the 'Transient Children' containment reference list
`static int` `EDGE__TYPE` The feature id for the 'Type' attribute
`static int` `EDGE__VISIBLE` The feature id for the 'Visible' attribute
`static int` `EDGE_FEATURE_COUNT` The number of structural features of the 'Edge' class
`static NotationPackage` `eINSTANCE` The singleton instance of the package
`static java.lang.String` `eNAME` The package name
`static java.lang.String` `eNS_PREFIX` The package namespace name
`static java.lang.String` `eNS_URI` The package namespace URI
`static int` `EOBJECT_LIST_VALUE_STYLE` The meta object id for the '`EObject List Value Style`' class
`static int` `EOBJECT_LIST_VALUE_STYLE__EOBJECT_LIST_VALUE` The feature id for the 'EObject List Value' reference list
`static int` `EOBJECT_LIST_VALUE_STYLE__NAME` The feature id for the 'Name' attribute
`static int` `EOBJECT_LIST_VALUE_STYLE_FEATURE_COUNT` The number of structural features of the 'EObject List Value Style' class
`static int` `EOBJECT_VALUE_STYLE` The meta object id for the '`EObject Value Style`' class
`static int` `EOBJECT_VALUE_STYLE__EOBJECT_VALUE` The feature id for the 'EObject Value' reference
`static int` `EOBJECT_VALUE_STYLE__NAME` The feature id for the 'Name' attribute
`static int` `EOBJECT_VALUE_STYLE_FEATURE_COUNT` The number of structural features of the 'EObject Value Style' class
`static int` `FILL_STYLE` The meta object id for the '`Fill Style`' class
`static int` `FILL_STYLE__FILL_COLOR` The feature id for the 'Fill Color' attribute
`static int` `FILL_STYLE__GRADIENT` The feature id for the 'Gradient' attribute
`static int` `FILL_STYLE__TRANSPARENCY` The feature id for the 'Transparency' attribute
`static int` `FILL_STYLE_FEATURE_COUNT` The number of structural features of the 'Fill Style' class
`static int` `FILTER_KEY_LIST` The meta object id for the 'Filter Key List' data type
`static int` `FILTERING` The meta object id for the '`Filtering`' enum
`static int` `FILTERING_STYLE` The meta object id for the '`Filtering Style`' class
`static int` `FILTERING_STYLE__FILTERED_OBJECTS` The feature id for the 'Filtered Objects' reference list
`static int` `FILTERING_STYLE__FILTERING` The feature id for the 'Filtering' attribute
`static int` `FILTERING_STYLE__FILTERING_KEYS` The feature id for the 'Filtering Keys' attribute
`static int` `FILTERING_STYLE_FEATURE_COUNT` The number of structural features of the 'Filtering Style' class
`static int` `FONT_STYLE` The meta object id for the '`Font Style`' class
`static int` `FONT_STYLE__BOLD` The feature id for the 'Bold' attribute
`static int` `FONT_STYLE__FONT_COLOR` The feature id for the 'Font Color' attribute
`static int` `FONT_STYLE__FONT_HEIGHT` The feature id for the 'Font Height' attribute
`static int` `FONT_STYLE__FONT_NAME` The feature id for the 'Font Name' attribute
`static int` `FONT_STYLE__ITALIC` The feature id for the 'Italic' attribute
`static int` `FONT_STYLE__STRIKE_THROUGH` The feature id for the 'Strike Through' attribute
`static int` `FONT_STYLE__UNDERLINE` The feature id for the 'Underline' attribute
`static int` `FONT_STYLE_FEATURE_COUNT` The number of structural features of the 'Font Style' class
`static int` `GRADIENT_DATA` The meta object id for the 'Gradient Data' data type
`static int` `GRADIENT_STYLE` The meta object id for the '`Gradient Style`' enum
`static int` `GUIDE` The meta object id for the '`Guide`' class
`static int` `GUIDE__NODE_MAP` The feature id for the 'Node Map' map
`static int` `GUIDE__POSITION` The feature id for the 'Position' attribute
`static int` `GUIDE_FEATURE_COUNT` The number of structural features of the 'Guide' class
`static int` `GUIDE_STYLE` The meta object id for the '`Guide Style`' class
`static int` `GUIDE_STYLE__HORIZONTAL_GUIDES` The feature id for the 'Horizontal Guides' containment reference list
`static int` `GUIDE_STYLE__VERTICAL_GUIDES` The feature id for the 'Vertical Guides' containment reference list
`static int` `GUIDE_STYLE_FEATURE_COUNT` The number of structural features of the 'Guide Style' class
`static int` `HINTED_DIAGRAM_LINK_STYLE` The meta object id for the '`Hinted Diagram Link Style`' class
`static int` `HINTED_DIAGRAM_LINK_STYLE__DIAGRAM_LINK` The feature id for the 'Diagram Link' reference
`static int` `HINTED_DIAGRAM_LINK_STYLE__HINT` The feature id for the 'Hint' attribute
`static int` `HINTED_DIAGRAM_LINK_STYLE_FEATURE_COUNT` The number of structural features of the 'Hinted Diagram Link Style' class
`static int` `IDENTITY_ANCHOR` The meta object id for the '`Identity Anchor`' class
`static int` `IDENTITY_ANCHOR__ID` The feature id for the 'Id' attribute
`static int` `IDENTITY_ANCHOR_FEATURE_COUNT` The number of structural features of the 'Identity Anchor' class
`static int` `IMAGE` The meta object id for the '`Image`' class
`static int` `IMAGE__DATA` The feature id for the 'Data' attribute
`static int` `IMAGE_BUFFER_STYLE` The meta object id for the '`Image Buffer Style`' class
`static int` `IMAGE_BUFFER_STYLE__ANTI_ALIAS` The feature id for the 'Anti Alias' attribute
`static int` `IMAGE_BUFFER_STYLE__CROP_BOUND` The feature id for the 'Crop Bound' containment reference
`static int` `IMAGE_BUFFER_STYLE__IMAGE_BUFFER` The feature id for the 'Image Buffer' containment reference
`static int` `IMAGE_BUFFER_STYLE__MAINTAIN_ASPECT_RATIO` The feature id for the 'Maintain Aspect Ratio' attribute
`static int` `IMAGE_BUFFER_STYLE_FEATURE_COUNT` The number of structural features of the 'Image Buffer Style' class
`static int` `IMAGE_FEATURE_COUNT` The number of structural features of the 'Image' class
`static int` `IMAGE_STYLE` The meta object id for the '`Image Style`' class
`static int` `IMAGE_STYLE__ANTI_ALIAS` The feature id for the 'Anti Alias' attribute
`static int` `IMAGE_STYLE__CROP_BOUND` The feature id for the 'Crop Bound' containment reference
`static int` `IMAGE_STYLE__MAINTAIN_ASPECT_RATIO` The feature id for the 'Maintain Aspect Ratio' attribute
`static int` `IMAGE_STYLE_FEATURE_COUNT` The number of structural features of the 'Image Style' class
`static int` `INT_LIST_VALUE_STYLE` The meta object id for the '`Int List Value Style`' class
`static int` `INT_LIST_VALUE_STYLE__INT_LIST_VALUE` The feature id for the 'Int List Value' attribute list
`static int` `INT_LIST_VALUE_STYLE__NAME` The feature id for the 'Name' attribute
`static int` `INT_LIST_VALUE_STYLE_FEATURE_COUNT` The number of structural features of the 'Int List Value Style' class
`static int` `INT_VALUE_STYLE` The meta object id for the '`Int Value Style`' class
`static int` `INT_VALUE_STYLE__INT_VALUE` The feature id for the 'Int Value' attribute
`static int` `INT_VALUE_STYLE__NAME` The feature id for the 'Name' attribute
`static int` `INT_VALUE_STYLE_FEATURE_COUNT` The number of structural features of the 'Int Value Style' class
`static int` `JUMP_LINK_STATUS` The meta object id for the '`Jump Link Status`' enum
`static int` `JUMP_LINK_TYPE` The meta object id for the '`Jump Link Type`' enum
`static int` `LAYOUT_CONSTRAINT` The meta object id for the '`Layout Constraint`' class
`static int` `LAYOUT_CONSTRAINT_FEATURE_COUNT` The number of structural features of the 'Layout Constraint' class
`static int` `LINE_STYLE` The meta object id for the '`Line Style`' class
`static int` `LINE_STYLE__LINE_COLOR` The feature id for the 'Line Color' attribute
`static int` `LINE_STYLE__LINE_WIDTH` The feature id for the 'Line Width' attribute
`static int` `LINE_STYLE_FEATURE_COUNT` The number of structural features of the 'Line Style' class
`static int` `LINE_TYPE` The meta object id for the '`Line Type`' enum
`static int` `LINE_TYPE_STYLE` The meta object id for the '`Line Type Style`' class
`static int` `LINE_TYPE_STYLE__LINE_TYPE` The feature id for the 'Line Type' attribute
`static int` `LINE_TYPE_STYLE_FEATURE_COUNT` The number of structural features of the 'Line Type Style' class
`static int` `LIST_COMPARTMENT` The meta object id for the '`List Compartment`' class
`static int` `LIST_COMPARTMENT__COLLAPSED` The feature id for the 'Collapsed' attribute
`static int` `LIST_COMPARTMENT__DIAGRAM` The feature id for the 'Diagram' reference
`static int` `LIST_COMPARTMENT__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `LIST_COMPARTMENT__ELEMENT` The feature id for the 'Element' reference
`static int` `LIST_COMPARTMENT__FILTERED_OBJECTS` The feature id for the 'Filtered Objects' reference list
`static int` `LIST_COMPARTMENT__FILTERING` The feature id for the 'Filtering' attribute
`static int` `LIST_COMPARTMENT__FILTERING_KEYS` The feature id for the 'Filtering Keys' attribute
`static int` `LIST_COMPARTMENT__LAYOUT_CONSTRAINT` The feature id for the 'Layout Constraint' containment reference
`static int` `LIST_COMPARTMENT__MUTABLE` The feature id for the 'Mutable' attribute
`static int` `LIST_COMPARTMENT__PERSISTED_CHILDREN` The feature id for the 'Persisted Children' containment reference list
`static int` `LIST_COMPARTMENT__SHOW_TITLE` The feature id for the 'Show Title' attribute
`static int` `LIST_COMPARTMENT__SORTED_OBJECTS` The feature id for the 'Sorted Objects' reference list
`static int` `LIST_COMPARTMENT__SORTING` The feature id for the 'Sorting' attribute
`static int` `LIST_COMPARTMENT__SORTING_KEYS` The feature id for the 'Sorting Keys' attribute
`static int` `LIST_COMPARTMENT__SOURCE_EDGES` The feature id for the 'Source Edges' reference list
`static int` `LIST_COMPARTMENT__STYLES` The feature id for the 'Styles' containment reference list
`static int` `LIST_COMPARTMENT__TARGET_EDGES` The feature id for the 'Target Edges' reference list
`static int` `LIST_COMPARTMENT__TRANSIENT_CHILDREN` The feature id for the 'Transient Children' containment reference list
`static int` `LIST_COMPARTMENT__TYPE` The feature id for the 'Type' attribute
`static int` `LIST_COMPARTMENT__VISIBLE` The feature id for the 'Visible' attribute
`static int` `LIST_COMPARTMENT_FEATURE_COUNT` The number of structural features of the 'List Compartment' class
`static int` `LIST_VALUE_STYLE` The meta object id for the '`List Value Style`' class
`static int` `LIST_VALUE_STYLE__INSTANCE_TYPE` The feature id for the 'Instance Type' reference
`static int` `LIST_VALUE_STYLE__NAME` The feature id for the 'Name' attribute
`static int` `LIST_VALUE_STYLE__RAW_VALUES_LIST` The feature id for the 'Raw Values List' attribute list
`static int` `LIST_VALUE_STYLE_FEATURE_COUNT` The number of structural features of the 'List Value Style' class
`static int` `LOCATION` The meta object id for the '`Location`' class
`static int` `LOCATION__X` The feature id for the 'X' attribute
`static int` `LOCATION__Y` The feature id for the 'Y' attribute
`static int` `LOCATION_FEATURE_COUNT` The number of structural features of the 'Location' class
`static int` `MEASUREMENT_UNIT` The meta object id for the '`Measurement Unit`' enum
`static int` `MULTI_DIAGRAM_LINK_STYLE` The meta object id for the '`Multi Diagram Link Style`' class
`static int` `MULTI_DIAGRAM_LINK_STYLE__DIAGRAM_LINKS` The feature id for the 'Diagram Links' reference list
`static int` `MULTI_DIAGRAM_LINK_STYLE_FEATURE_COUNT` The number of structural features of the 'Multi Diagram Link Style' class
`static int` `NAMED_STYLE` The meta object id for the '`Named Style`' class
`static int` `NAMED_STYLE__NAME` The feature id for the 'Name' attribute
`static int` `NAMED_STYLE_FEATURE_COUNT` The number of structural features of the 'Named Style' class
`static int` `NODE` The meta object id for the '`Node`' class
`static int` `NODE__DIAGRAM` The feature id for the 'Diagram' reference
`static int` `NODE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `NODE__ELEMENT` The feature id for the 'Element' reference
`static int` `NODE__LAYOUT_CONSTRAINT` The feature id for the 'Layout Constraint' containment reference
`static int` `NODE__MUTABLE` The feature id for the 'Mutable' attribute
`static int` `NODE__PERSISTED_CHILDREN` The feature id for the 'Persisted Children' containment reference list
`static int` `NODE__SOURCE_EDGES` The feature id for the 'Source Edges' reference list
`static int` `NODE__STYLES` The feature id for the 'Styles' containment reference list
`static int` `NODE__TARGET_EDGES` The feature id for the 'Target Edges' reference list
`static int` `NODE__TRANSIENT_CHILDREN` The feature id for the 'Transient Children' containment reference list
`static int` `NODE__TYPE` The feature id for the 'Type' attribute
`static int` `NODE__VISIBLE` The feature id for the 'Visible' attribute
`static int` `NODE_ENTRY` The meta object id for the '`Node Entry`' class
`static int` `NODE_ENTRY__KEY` The feature id for the 'Key' reference
`static int` `NODE_ENTRY__VALUE` The feature id for the 'Value' attribute
`static int` `NODE_ENTRY_FEATURE_COUNT` The number of structural features of the 'Node Entry' class
`static int` `NODE_FEATURE_COUNT` The number of structural features of the 'Node' class
`static int` `PAGE_STYLE` The meta object id for the '`Page Style`' class
`static int` `PAGE_STYLE__PAGE_HEIGHT` The feature id for the 'Page Height' attribute
`static int` `PAGE_STYLE__PAGE_WIDTH` The feature id for the 'Page Width' attribute
`static int` `PAGE_STYLE__PAGE_X` The feature id for the 'Page X' attribute
`static int` `PAGE_STYLE__PAGE_Y` The feature id for the 'Page Y' attribute
`static int` `PAGE_STYLE_FEATURE_COUNT` The number of structural features of the 'Page Style' class
`static int` `PROPERTIES_SET_STYLE` The meta object id for the '`Properties Set Style`' class
`static int` `PROPERTIES_SET_STYLE__NAME` The feature id for the 'Name' attribute
`static int` `PROPERTIES_SET_STYLE__PROPERTIES_MAP` The feature id for the 'Properties Map' map
`static int` `PROPERTIES_SET_STYLE_FEATURE_COUNT` The number of structural features of the 'Properties Set Style' class
`static int` `PROPERTY_VALUE` The meta object id for the '`Property Value`' class
`static int` `PROPERTY_VALUE__INSTANCE_TYPE` The feature id for the 'Instance Type' reference
`static int` `PROPERTY_VALUE__RAW_VALUE` The feature id for the 'Raw Value' attribute
`static int` `PROPERTY_VALUE_FEATURE_COUNT` The number of structural features of the 'Property Value' class
`static int` `RATIO` The meta object id for the '`Ratio`' class
`static int` `RATIO__VALUE` The feature id for the 'Value' attribute
`static int` `RATIO_FEATURE_COUNT` The number of structural features of the 'Ratio' class
`static int` `RELATIVE_BENDPOINT_LIST` The meta object id for the 'Relative Bendpoint List' data type
`static int` `RELATIVE_BENDPOINTS` The meta object id for the '`Relative Bendpoints`' class
`static int` `RELATIVE_BENDPOINTS__POINTS` The feature id for the 'Points' attribute
`static int` `RELATIVE_BENDPOINTS_FEATURE_COUNT` The number of structural features of the 'Relative Bendpoints' class
`static int` `ROUTING` The meta object id for the '`Routing`' enum
`static int` `ROUTING_STYLE` The meta object id for the '`Routing Style`' class
`static int` `ROUTING_STYLE__AVOID_OBSTRUCTIONS` The feature id for the 'Avoid Obstructions' attribute
`static int` `ROUTING_STYLE__CLOSEST_DISTANCE` The feature id for the 'Closest Distance' attribute
`static int` `ROUTING_STYLE__JUMP_LINK_STATUS` The feature id for the 'Jump Link Status' attribute
`static int` `ROUTING_STYLE__JUMP_LINK_TYPE` The feature id for the 'Jump Link Type' attribute
`static int` `ROUTING_STYLE__JUMP_LINKS_REVERSE` The feature id for the 'Jump Links Reverse' attribute
`static int` `ROUTING_STYLE__ROUNDED_BENDPOINTS_RADIUS` The feature id for the 'Rounded Bendpoints Radius' attribute
`static int` `ROUTING_STYLE__ROUTING` The feature id for the 'Routing' attribute
`static int` `ROUTING_STYLE__SMOOTHNESS` The feature id for the 'Smoothness' attribute
`static int` `ROUTING_STYLE_FEATURE_COUNT` The number of structural features of the 'Routing Style' class
`static int` `SEMANTIC_LIST_COMPARTMENT` The meta object id for the '`Semantic List Compartment`' class
`static int` `SEMANTIC_LIST_COMPARTMENT__COLLAPSED` The feature id for the 'Collapsed' attribute
`static int` `SEMANTIC_LIST_COMPARTMENT__DIAGRAM` The feature id for the 'Diagram' reference
`static int` `SEMANTIC_LIST_COMPARTMENT__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `SEMANTIC_LIST_COMPARTMENT__ELEMENT` The feature id for the 'Element' reference
`static int` `SEMANTIC_LIST_COMPARTMENT__FILTERED_OBJECTS` The feature id for the 'Filtered Objects' reference list
`static int` `SEMANTIC_LIST_COMPARTMENT__FILTERING` The feature id for the 'Filtering' attribute
`static int` `SEMANTIC_LIST_COMPARTMENT__FILTERING_KEYS` The feature id for the 'Filtering Keys' attribute
`static int` `SEMANTIC_LIST_COMPARTMENT__LAYOUT_CONSTRAINT` The feature id for the 'Layout Constraint' containment reference
`static int` `SEMANTIC_LIST_COMPARTMENT__MUTABLE` The feature id for the 'Mutable' attribute
`static int` `SEMANTIC_LIST_COMPARTMENT__PERSISTED_CHILDREN` The feature id for the 'Persisted Children' containment reference list
`static int` `SEMANTIC_LIST_COMPARTMENT__SHOW_TITLE` The feature id for the 'Show Title' attribute
`static int` `SEMANTIC_LIST_COMPARTMENT__SORTED_OBJECTS` The feature id for the 'Sorted Objects' reference list
`static int` `SEMANTIC_LIST_COMPARTMENT__SORTING` The feature id for the 'Sorting' attribute
`static int` `SEMANTIC_LIST_COMPARTMENT__SORTING_KEYS` The feature id for the 'Sorting Keys' attribute
`static int` `SEMANTIC_LIST_COMPARTMENT__SOURCE_EDGES` The feature id for the 'Source Edges' reference list
`static int` `SEMANTIC_LIST_COMPARTMENT__STYLES` The feature id for the 'Styles' containment reference list
`static int` `SEMANTIC_LIST_COMPARTMENT__TARGET_EDGES` The feature id for the 'Target Edges' reference list
`static int` `SEMANTIC_LIST_COMPARTMENT__TRANSIENT_CHILDREN` The feature id for the 'Transient Children' containment reference list
`static int` `SEMANTIC_LIST_COMPARTMENT__TYPE` The feature id for the 'Type' attribute
`static int` `SEMANTIC_LIST_COMPARTMENT__VISIBLE` The feature id for the 'Visible' attribute
`static int` `SEMANTIC_LIST_COMPARTMENT_FEATURE_COUNT` The number of structural features of the 'Semantic List Compartment' class
`static int` `SHAPE` The meta object id for the '`Shape`' class
`static int` `SHAPE__BOLD` The feature id for the 'Bold' attribute
`static int` `SHAPE__DESCRIPTION` The feature id for the 'Description' attribute
`static int` `SHAPE__DIAGRAM` The feature id for the 'Diagram' reference
`static int` `SHAPE__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `SHAPE__ELEMENT` The feature id for the 'Element' reference
`static int` `SHAPE__FILL_COLOR` The feature id for the 'Fill Color' attribute
`static int` `SHAPE__FONT_COLOR` The feature id for the 'Font Color' attribute
`static int` `SHAPE__FONT_HEIGHT` The feature id for the 'Font Height' attribute
`static int` `SHAPE__FONT_NAME` The feature id for the 'Font Name' attribute
`static int` `SHAPE__GRADIENT` The feature id for the 'Gradient' attribute
`static int` `SHAPE__ITALIC` The feature id for the 'Italic' attribute
`static int` `SHAPE__LAYOUT_CONSTRAINT` The feature id for the 'Layout Constraint' containment reference
`static int` `SHAPE__LINE_COLOR` The feature id for the 'Line Color' attribute
`static int` `SHAPE__LINE_WIDTH` The feature id for the 'Line Width' attribute
`static int` `SHAPE__MUTABLE` The feature id for the 'Mutable' attribute
`static int` `SHAPE__PERSISTED_CHILDREN` The feature id for the 'Persisted Children' containment reference list
`static int` `SHAPE__SOURCE_EDGES` The feature id for the 'Source Edges' reference list
`static int` `SHAPE__STRIKE_THROUGH` The feature id for the 'Strike Through' attribute
`static int` `SHAPE__STYLES` The feature id for the 'Styles' containment reference list
`static int` `SHAPE__TARGET_EDGES` The feature id for the 'Target Edges' reference list
`static int` `SHAPE__TRANSIENT_CHILDREN` The feature id for the 'Transient Children' containment reference list
`static int` `SHAPE__TRANSPARENCY` The feature id for the 'Transparency' attribute
`static int` `SHAPE__TYPE` The feature id for the 'Type' attribute
`static int` `SHAPE__UNDERLINE` The feature id for the 'Underline' attribute
`static int` `SHAPE__VISIBLE` The feature id for the 'Visible' attribute
`static int` `SHAPE_FEATURE_COUNT` The number of structural features of the 'Shape' class
`static int` `SHAPE_STYLE` The meta object id for the '`Shape Style`' class
`static int` `SHAPE_STYLE__BOLD` The feature id for the 'Bold' attribute
`static int` `SHAPE_STYLE__DESCRIPTION` The feature id for the 'Description' attribute
`static int` `SHAPE_STYLE__FILL_COLOR` The feature id for the 'Fill Color' attribute
`static int` `SHAPE_STYLE__FONT_COLOR` The feature id for the 'Font Color' attribute
`static int` `SHAPE_STYLE__FONT_HEIGHT` The feature id for the 'Font Height' attribute
`static int` `SHAPE_STYLE__FONT_NAME` The feature id for the 'Font Name' attribute
`static int` `SHAPE_STYLE__GRADIENT` The feature id for the 'Gradient' attribute
`static int` `SHAPE_STYLE__ITALIC` The feature id for the 'Italic' attribute
`static int` `SHAPE_STYLE__LINE_COLOR` The feature id for the 'Line Color' attribute
`static int` `SHAPE_STYLE__LINE_WIDTH` The feature id for the 'Line Width' attribute
`static int` `SHAPE_STYLE__STRIKE_THROUGH` The feature id for the 'Strike Through' attribute
`static int` `SHAPE_STYLE__TRANSPARENCY` The feature id for the 'Transparency' attribute
`static int` `SHAPE_STYLE__UNDERLINE` The feature id for the 'Underline' attribute
`static int` `SHAPE_STYLE_FEATURE_COUNT` The number of structural features of the 'Shape Style' class
`static int` `SINGLE_VALUE_STYLE` The meta object id for the '`Single Value Style`' class
`static int` `SINGLE_VALUE_STYLE__INSTANCE_TYPE` The feature id for the 'Instance Type' reference
`static int` `SINGLE_VALUE_STYLE__NAME` The feature id for the 'Name' attribute
`static int` `SINGLE_VALUE_STYLE__RAW_VALUE` The feature id for the 'Raw Value' attribute
`static int` `SINGLE_VALUE_STYLE_FEATURE_COUNT` The number of structural features of the 'Single Value Style' class
`static int` `SIZE` The meta object id for the '`Size`' class
`static int` `SIZE__HEIGHT` The feature id for the 'Height' attribute
`static int` `SIZE__WIDTH` The feature id for the 'Width' attribute
`static int` `SIZE_FEATURE_COUNT` The number of structural features of the 'Size' class
`static int` `SMOOTHNESS` The meta object id for the '`Smoothness`' enum
`static int` `SORT_KEY_MAP` The meta object id for the 'Sort Key Map' data type
`static int` `SORTING` The meta object id for the '`Sorting`' enum
`static int` `SORTING_DIRECTION` The meta object id for the '`Sorting Direction`' enum
`static int` `SORTING_STYLE` The meta object id for the '`Sorting Style`' class
`static int` `SORTING_STYLE__SORTED_OBJECTS` The feature id for the 'Sorted Objects' reference list
`static int` `SORTING_STYLE__SORTING` The feature id for the 'Sorting' attribute
`static int` `SORTING_STYLE__SORTING_KEYS` The feature id for the 'Sorting Keys' attribute
`static int` `SORTING_STYLE_FEATURE_COUNT` The number of structural features of the 'Sorting Style' class
`static int` `STANDARD_DIAGRAM` The meta object id for the '`Standard Diagram`' class
`static int` `STANDARD_DIAGRAM__DESCRIPTION` The feature id for the 'Description' attribute
`static int` `STANDARD_DIAGRAM__DIAGRAM` The feature id for the 'Diagram' reference
`static int` `STANDARD_DIAGRAM__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `STANDARD_DIAGRAM__ELEMENT` The feature id for the 'Element' reference
`static int` `STANDARD_DIAGRAM__HORIZONTAL_GUIDES` The feature id for the 'Horizontal Guides' containment reference list
`static int` `STANDARD_DIAGRAM__MEASUREMENT_UNIT` The feature id for the 'Measurement Unit' attribute
`static int` `STANDARD_DIAGRAM__MUTABLE` The feature id for the 'Mutable' attribute
`static int` `STANDARD_DIAGRAM__NAME` The feature id for the 'Name' attribute
`static int` `STANDARD_DIAGRAM__PAGE_HEIGHT` The feature id for the 'Page Height' attribute
`static int` `STANDARD_DIAGRAM__PAGE_WIDTH` The feature id for the 'Page Width' attribute
`static int` `STANDARD_DIAGRAM__PAGE_X` The feature id for the 'Page X' attribute
`static int` `STANDARD_DIAGRAM__PAGE_Y` The feature id for the 'Page Y' attribute
`static int` `STANDARD_DIAGRAM__PERSISTED_CHILDREN` The feature id for the 'Persisted Children' containment reference list
`static int` `STANDARD_DIAGRAM__PERSISTED_EDGES` The feature id for the 'Persisted Edges' containment reference list
`static int` `STANDARD_DIAGRAM__SOURCE_EDGES` The feature id for the 'Source Edges' reference list
`static int` `STANDARD_DIAGRAM__STYLES` The feature id for the 'Styles' containment reference list
`static int` `STANDARD_DIAGRAM__TARGET_EDGES` The feature id for the 'Target Edges' reference list
`static int` `STANDARD_DIAGRAM__TRANSIENT_CHILDREN` The feature id for the 'Transient Children' containment reference list
`static int` `STANDARD_DIAGRAM__TRANSIENT_EDGES` The feature id for the 'Transient Edges' containment reference list
`static int` `STANDARD_DIAGRAM__TYPE` The feature id for the 'Type' attribute
`static int` `STANDARD_DIAGRAM__VERTICAL_GUIDES` The feature id for the 'Vertical Guides' containment reference list
`static int` `STANDARD_DIAGRAM__VISIBLE` The feature id for the 'Visible' attribute
`static int` `STANDARD_DIAGRAM_FEATURE_COUNT` The number of structural features of the 'Standard Diagram' class
`static int` `STRING_LIST_VALUE_STYLE` The meta object id for the '`String List Value Style`' class
`static int` `STRING_LIST_VALUE_STYLE__NAME` The feature id for the 'Name' attribute
`static int` `STRING_LIST_VALUE_STYLE__STRING_LIST_VALUE` The feature id for the 'String List Value' attribute list
`static int` `STRING_LIST_VALUE_STYLE_FEATURE_COUNT` The number of structural features of the 'String List Value Style' class
`static int` `STRING_OBJECT_CONVERTER` The meta object id for the '`String Object Converter`' class
`static int` `STRING_OBJECT_CONVERTER_FEATURE_COUNT` The number of structural features of the 'String Object Converter' class
`static int` `STRING_TO_PROPERTY_VALUE_MAP_ENTRY` The meta object id for the '`String To Property Value Map Entry`' class
`static int` `STRING_TO_PROPERTY_VALUE_MAP_ENTRY__KEY` The feature id for the 'Key' attribute
`static int` `STRING_TO_PROPERTY_VALUE_MAP_ENTRY__VALUE` The feature id for the 'Value' containment reference
`static int` `STRING_TO_PROPERTY_VALUE_MAP_ENTRY_FEATURE_COUNT` The number of structural features of the 'String To Property Value Map Entry' class
`static int` `STRING_VALUE_STYLE` The meta object id for the '`String Value Style`' class
`static int` `STRING_VALUE_STYLE__NAME` The feature id for the 'Name' attribute
`static int` `STRING_VALUE_STYLE__STRING_VALUE` The feature id for the 'String Value' attribute
`static int` `STRING_VALUE_STYLE_FEATURE_COUNT` The number of structural features of the 'String Value Style' class
`static int` `STYLE` The meta object id for the '`Style`' class
`static int` `STYLE_FEATURE_COUNT` The number of structural features of the 'Style' class
`static int` `TEXT_ALIGNMENT` The meta object id for the '`Text Alignment`' enum
`static int` `TEXT_STYLE` The meta object id for the '`Text Style`' class
`static int` `TEXT_STYLE__TEXT_ALIGNMENT` The feature id for the 'Text Alignment' attribute
`static int` `TEXT_STYLE_FEATURE_COUNT` The number of structural features of the 'Text Style' class
`static int` `TITLE_STYLE` The meta object id for the '`Title Style`' class
`static int` `TITLE_STYLE__SHOW_TITLE` The feature id for the 'Show Title' attribute
`static int` `TITLE_STYLE_FEATURE_COUNT` The number of structural features of the 'Title Style' class
`static int` `VIEW` The meta object id for the '`View`' class
`static int` `VIEW__DIAGRAM` The feature id for the 'Diagram' reference
`static int` `VIEW__EANNOTATIONS` The feature id for the 'EAnnotations' containment reference list
`static int` `VIEW__ELEMENT` The feature id for the 'Element' reference
`static int` `VIEW__MUTABLE` The feature id for the 'Mutable' attribute
`static int` `VIEW__PERSISTED_CHILDREN` The feature id for the 'Persisted Children' containment reference list
`static int` `VIEW__SOURCE_EDGES` The feature id for the 'Source Edges' reference list
`static int` `VIEW__STYLES` The feature id for the 'Styles' containment reference list
`static int` `VIEW__TARGET_EDGES` The feature id for the 'Target Edges' reference list
`static int` `VIEW__TRANSIENT_CHILDREN` The feature id for the 'Transient Children' containment reference list
`static int` `VIEW__TYPE` The feature id for the 'Type' attribute
`static int` `VIEW__VISIBLE` The feature id for the 'Visible' attribute
`static int` `VIEW_FEATURE_COUNT` The number of structural features of the 'View' class

Method Summary
`org.eclipse.emf.ecore.EEnum` `getAlignment()` Returns the meta object for enum '`Alignment`'
`org.eclipse.emf.ecore.EClass` `getAnchor()` Returns the meta object for class '`Anchor`'
`org.eclipse.emf.ecore.EAttribute` `getArrowStyle_ArrowSource()` Returns the meta object for the attribute '`Arrow Source`'
`org.eclipse.emf.ecore.EAttribute` `getArrowStyle_ArrowTarget()` Returns the meta object for the attribute '`Arrow Target`'
`org.eclipse.emf.ecore.EClass` `getArrowStyle()` Returns the meta object for class '`Arrow Style`'
`org.eclipse.emf.ecore.EEnum` `getArrowType()` Returns the meta object for enum '`Arrow Type`'
`org.eclipse.emf.ecore.EClass` `getBasicCompartment()` Returns the meta object for class '`Basic Compartment`'
`org.eclipse.emf.ecore.EClass` `getBasicDecorationNode()` Returns the meta object for class '`Basic Decoration Node`'
`org.eclipse.emf.ecore.EClass` `getBasicSemanticCompartment()` Returns the meta object for class '`Basic Semantic Compartment`'
`org.eclipse.emf.ecore.EClass` `getBendpoints()` Returns the meta object for class '`Bendpoints`'
`org.eclipse.emf.ecore.EAttribute` `getBooleanListValueStyle_BooleanListValue()` Returns the meta object for the attribute list '`Boolean List Value`'
`org.eclipse.emf.ecore.EClass` `getBooleanListValueStyle()` Returns the meta object for class '`Boolean List Value Style`'
`org.eclipse.emf.ecore.EAttribute` `getBooleanValueStyle_BooleanValue()` Returns the meta object for the attribute '`Boolean Value`'
`org.eclipse.emf.ecore.EClass` `getBooleanValueStyle()` Returns the meta object for class '`Boolean Value Style`'
`org.eclipse.emf.ecore.EClass` `getBounds()` Returns the meta object for class '`Bounds`'
`org.eclipse.emf.ecore.EAttribute` `getByteArrayValueStyle_ByteArrayValue()` Returns the meta object for the attribute '`Byte Array Value`'
`org.eclipse.emf.ecore.EClass` `getByteArrayValueStyle()` Returns the meta object for class '`Byte Array Value Style`'
`org.eclipse.emf.ecore.EAttribute` `getCanonicalStyle_Canonical()` Returns the meta object for the attribute '`Canonical`'
`org.eclipse.emf.ecore.EClass` `getCanonicalStyle()` Returns the meta object for class '`Canonical Style`'
`org.eclipse.emf.ecore.EClass` `getCompartment()` Returns the meta object for class '`Compartment`'
`org.eclipse.emf.ecore.EClass` `getConnector()` Returns the meta object for class '`Connector`'
`org.eclipse.emf.ecore.EClass` `getConnectorStyle()` Returns the meta object for class '`Connector Style`'
`org.eclipse.emf.ecore.EReference` `getDataTypeStyle_InstanceType()` Returns the meta object for the reference '`Instance Type`'
`org.eclipse.emf.ecore.EClass` `getDataTypeStyle()` Returns the meta object for class '`Data Type Style`'
`org.eclipse.emf.ecore.EClass` `getDecorationNode()` Returns the meta object for class '`Decoration Node`'
`org.eclipse.emf.ecore.EAttribute` `getDescriptionStyle_Description()` Returns the meta object for the attribute '`Description`'
`org.eclipse.emf.ecore.EClass` `getDescriptionStyle()` Returns the meta object for class '`Description Style`'
`org.eclipse.emf.ecore.EAttribute` `getDiagram_MeasurementUnit()` Returns the meta object for the attribute '`Measurement Unit`'
`org.eclipse.emf.ecore.EAttribute` `getDiagram_Name()` Returns the meta object for the attribute '`Name`'
`org.eclipse.emf.ecore.EReference` `getDiagram_PersistedEdges()` Returns the meta object for the containment reference list '`Persisted Edges`'
`org.eclipse.emf.ecore.EReference` `getDiagram_TransientEdges()` Returns the meta object for the containment reference list '`Transient Edges`'
`org.eclipse.emf.ecore.EClass` `getDiagram()` Returns the meta object for class '`Diagram`'
`org.eclipse.emf.ecore.EReference` `getDiagramLinkStyle_DiagramLink()` Returns the meta object for the reference '`Diagram Link`'
`org.eclipse.emf.ecore.EClass` `getDiagramLinkStyle()` Returns the meta object for class '`Diagram Link Style`'
`org.eclipse.emf.ecore.EClass` `getDiagramStyle()` Returns the meta object for class '`Diagram Style`'
`org.eclipse.emf.ecore.EAttribute` `getDoubleListValueStyle_DoubleListValue()` Returns the meta object for the attribute list '`Double List Value`'
`org.eclipse.emf.ecore.EClass` `getDoubleListValueStyle()` Returns the meta object for class '`Double List Value Style`'
`org.eclipse.emf.ecore.EAttribute` `getDoubleValueStyle_DoubleValue()` Returns the meta object for the attribute '`Double Value`'
`org.eclipse.emf.ecore.EClass` `getDoubleValueStyle()` Returns the meta object for class '`Double Value Style`'
`org.eclipse.emf.ecore.EAttribute` `getDrawerStyle_Collapsed()` Returns the meta object for the attribute '`Collapsed`'
`org.eclipse.emf.ecore.EClass` `getDrawerStyle()` Returns the meta object for class '`Drawer Style`'
`org.eclipse.emf.ecore.EReference` `getEdge_Bendpoints()` Returns the meta object for the containment reference '`Bendpoints`'
`org.eclipse.emf.ecore.EReference` `getEdge_Source()` Returns the meta object for the reference '`Source`'
`org.eclipse.emf.ecore.EReference` `getEdge_SourceAnchor()` Returns the meta object for the containment reference '`Source Anchor`'
`org.eclipse.emf.ecore.EReference` `getEdge_Target()` Returns the meta object for the reference '`Target`'
`org.eclipse.emf.ecore.EReference` `getEdge_TargetAnchor()` Returns the meta object for the containment reference '`Target Anchor`'
`org.eclipse.emf.ecore.EClass` `getEdge()` Returns the meta object for class '`Edge`'
`org.eclipse.emf.ecore.EReference` `getEObjectListValueStyle_EObjectListValue()` Returns the meta object for the reference list '`EObject List Value`'
`org.eclipse.emf.ecore.EClass` `getEObjectListValueStyle()` Returns the meta object for class '`EObject List Value Style`'
`org.eclipse.emf.ecore.EReference` `getEObjectValueStyle_EObjectValue()` Returns the meta object for the reference '`EObject Value`'
`org.eclipse.emf.ecore.EClass` `getEObjectValueStyle()` Returns the meta object for class '`EObject Value Style`'
`org.eclipse.emf.ecore.EAttribute` `getFillStyle_FillColor()` Returns the meta object for the attribute '`Fill Color`'
`org.eclipse.emf.ecore.EAttribute` `getFillStyle_Gradient()` Returns the meta object for the attribute '`Gradient`'
`org.eclipse.emf.ecore.EAttribute` `getFillStyle_Transparency()` Returns the meta object for the attribute '`Transparency`'
`org.eclipse.emf.ecore.EClass` `getFillStyle()` Returns the meta object for class '`Fill Style`'
`org.eclipse.emf.ecore.EEnum` `getFiltering()` Returns the meta object for enum '`Filtering`'
`org.eclipse.emf.ecore.EReference` `getFilteringStyle_FilteredObjects()` Returns the meta object for the reference list '`Filtered Objects`'
`org.eclipse.emf.ecore.EAttribute` `getFilteringStyle_Filtering()` Returns the meta object for the attribute '`Filtering`'
`org.eclipse.emf.ecore.EAttribute` `getFilteringStyle_FilteringKeys()` Returns the meta object for the attribute '`Filtering Keys`'
`org.eclipse.emf.ecore.EClass` `getFilteringStyle()` Returns the meta object for class '`Filtering Style`'
`org.eclipse.emf.ecore.EDataType` `getFilterKeyList()` Returns the meta object for data type '`Filter Key List`'
`org.eclipse.emf.ecore.EAttribute` `getFontStyle_Bold()` Returns the meta object for the attribute '`Bold`'
`org.eclipse.emf.ecore.EAttribute` `getFontStyle_FontColor()` Returns the meta object for the attribute '`Font Color`'
`org.eclipse.emf.ecore.EAttribute` `getFontStyle_FontHeight()` Returns the meta object for the attribute '`Font Height`'
`org.eclipse.emf.ecore.EAttribute` `getFontStyle_FontName()` Returns the meta object for the attribute '`Font Name`'
`org.eclipse.emf.ecore.EAttribute` `getFontStyle_Italic()` Returns the meta object for the attribute '`Italic`'
`org.eclipse.emf.ecore.EAttribute` `getFontStyle_StrikeThrough()` Returns the meta object for the attribute '`Strike Through`'
`org.eclipse.emf.ecore.EAttribute` `getFontStyle_Underline()` Returns the meta object for the attribute '`Underline`'
`org.eclipse.emf.ecore.EClass` `getFontStyle()` Returns the meta object for class '`Font Style`'
`org.eclipse.emf.ecore.EDataType` `getGradientData()` Returns the meta object for data type '`Gradient Data`'
`org.eclipse.emf.ecore.EEnum` `getGradientStyle()` Returns the meta object for enum '`Gradient Style`'
`org.eclipse.emf.ecore.EReference` `getGuide_NodeMap()` Returns the meta object for the map '`Node Map`'
`org.eclipse.emf.ecore.EAttribute` `getGuide_Position()` Returns the meta object for the attribute '`Position`'
`org.eclipse.emf.ecore.EClass` `getGuide()` Returns the meta object for class '`Guide`'
`org.eclipse.emf.ecore.EReference` `getGuideStyle_HorizontalGuides()` Returns the meta object for the containment reference list '`Horizontal Guides`'
`org.eclipse.emf.ecore.EReference` `getGuideStyle_VerticalGuides()` Returns the meta object for the containment reference list '`Vertical Guides`'
`org.eclipse.emf.ecore.EClass` `getGuideStyle()` Returns the meta object for class '`Guide Style`'
`org.eclipse.emf.ecore.EAttribute` `getHintedDiagramLinkStyle_Hint()` Returns the meta object for the attribute '`Hint`'
`org.eclipse.emf.ecore.EClass` `getHintedDiagramLinkStyle()` Returns the meta object for class '`Hinted Diagram Link Style`'
`org.eclipse.emf.ecore.EAttribute` `getIdentityAnchor_Id()` Returns the meta object for the attribute '`Id`'
`org.eclipse.emf.ecore.EClass` `getIdentityAnchor()` Returns the meta object for class '`Identity Anchor`'
`org.eclipse.emf.ecore.EAttribute` `getImage_Data()` Returns the meta object for the attribute '`Data`'
`org.eclipse.emf.ecore.EClass` `getImage()` Returns the meta object for class '`Image`'
`org.eclipse.emf.ecore.EReference` `getImageBufferStyle_ImageBuffer()` Returns the meta object for the containment reference '`Image Buffer`'
`org.eclipse.emf.ecore.EClass` `getImageBufferStyle()` Returns the meta object for class '`Image Buffer Style`'
`org.eclipse.emf.ecore.EAttribute` `getImageStyle_AntiAlias()` Returns the meta object for the attribute '`Anti Alias`'
`org.eclipse.emf.ecore.EReference` `getImageStyle_CropBound()` Returns the meta object for the containment reference '`Crop Bound`'
`org.eclipse.emf.ecore.EAttribute` `getImageStyle_MaintainAspectRatio()` Returns the meta object for the attribute '`Maintain Aspect Ratio`'
`org.eclipse.emf.ecore.EClass` `getImageStyle()` Returns the meta object for class '`Image Style`'
`org.eclipse.emf.ecore.EAttribute` `getIntListValueStyle_IntListValue()` Returns the meta object for the attribute list '`Int List Value`'
`org.eclipse.emf.ecore.EClass` `getIntListValueStyle()` Returns the meta object for class '`Int List Value Style`'
`org.eclipse.emf.ecore.EAttribute` `getIntValueStyle_IntValue()` Returns the meta object for the attribute '`Int Value`'
`org.eclipse.emf.ecore.EClass` `getIntValueStyle()` Returns the meta object for class '`Int Value Style`'
`org.eclipse.emf.ecore.EEnum` `getJumpLinkStatus()` Returns the meta object for enum '`Jump Link Status`'
`org.eclipse.emf.ecore.EEnum` `getJumpLinkType()` Returns the meta object for enum '`Jump Link Type`'
`org.eclipse.emf.ecore.EClass` `getLayoutConstraint()` Returns the meta object for class '`Layout Constraint`'
`org.eclipse.emf.ecore.EAttribute` `getLineStyle_LineColor()` Returns the meta object for the attribute '`Line Color`'
`org.eclipse.emf.ecore.EAttribute` `getLineStyle_LineWidth()` Returns the meta object for the attribute '`Line Width`'
`org.eclipse.emf.ecore.EClass` `getLineStyle()` Returns the meta object for class '`Line Style`'
`org.eclipse.emf.ecore.EEnum` `getLineType()` Returns the meta object for enum '`Line Type`'
`org.eclipse.emf.ecore.EAttribute` `getLineTypeStyle_LineType()` Returns the meta object for the attribute '`Line Type`'
`org.eclipse.emf.ecore.EClass` `getLineTypeStyle()` Returns the meta object for class '`Line Type Style`'
`org.eclipse.emf.ecore.EClass` `getListCompartment()` Returns the meta object for class '`List Compartment`'
`org.eclipse.emf.ecore.EAttribute` `getListValueStyle_RawValuesList()` Returns the meta object for the attribute list '`Raw Values List`'
`org.eclipse.emf.ecore.EClass` `getListValueStyle()` Returns the meta object for class '`List Value Style`'
`org.eclipse.emf.ecore.EAttribute` `getLocation_X()` Returns the meta object for the attribute '`X`'
`org.eclipse.emf.ecore.EAttribute` `getLocation_Y()` Returns the meta object for the attribute '`Y`'
`org.eclipse.emf.ecore.EClass` `getLocation()` Returns the meta object for class '`Location`'
`org.eclipse.emf.ecore.EEnum` `getMeasurementUnit()` Returns the meta object for enum '`Measurement Unit`'
`org.eclipse.emf.ecore.EReference` `getMultiDiagramLinkStyle_DiagramLinks()` Returns the meta object for the reference list '`Diagram Links`'
`org.eclipse.emf.ecore.EClass` `getMultiDiagramLinkStyle()` Returns the meta object for class '`Multi Diagram Link Style`'
`org.eclipse.emf.ecore.EAttribute` `getNamedStyle_Name()` Returns the meta object for the attribute '`Name`'
`org.eclipse.emf.ecore.EClass` `getNamedStyle()` Returns the meta object for class '`Named Style`'
`org.eclipse.emf.ecore.EReference` `getNode_LayoutConstraint()` Returns the meta object for the containment reference '`Layout Constraint`'
`org.eclipse.emf.ecore.EClass` `getNode()` Returns the meta object for class '`Node`'
`org.eclipse.emf.ecore.EReference` `getNodeEntry_Key()` Returns the meta object for the reference '`Key`'
`org.eclipse.emf.ecore.EAttribute` `getNodeEntry_Value()` Returns the meta object for the attribute '`Value`'
`org.eclipse.emf.ecore.EClass` `getNodeEntry()` Returns the meta object for class '`Node Entry`'
`NotationFactory` `getNotationFactory()` Returns the factory that creates the instances of the model
`org.eclipse.emf.ecore.EAttribute` `getPageStyle_PageHeight()` Returns the meta object for the attribute '`Page Height`'
`org.eclipse.emf.ecore.EAttribute` `getPageStyle_PageWidth()` Returns the meta object for the attribute '`Page Width`'
`org.eclipse.emf.ecore.EAttribute` `getPageStyle_PageX()` Returns the meta object for the attribute '`Page X`'
`org.eclipse.emf.ecore.EAttribute` `getPageStyle_PageY()` Returns the meta object for the attribute '`Page Y`'
`org.eclipse.emf.ecore.EClass` `getPageStyle()` Returns the meta object for class '`Page Style`'
`org.eclipse.emf.ecore.EReference` `getPropertiesSetStyle_PropertiesMap()` Returns the meta object for the map '`Properties Map`'
`org.eclipse.emf.ecore.EClass` `getPropertiesSetStyle()` Returns the meta object for class '`Properties Set Style`'
`org.eclipse.emf.ecore.EReference` `getPropertyValue_InstanceType()` Returns the meta object for the reference '`Instance Type`'
`org.eclipse.emf.ecore.EAttribute` `getPropertyValue_RawValue()` Returns the meta object for the attribute '`Raw Value`'
`org.eclipse.emf.ecore.EClass` `getPropertyValue()` Returns the meta object for class '`Property Value`'
`org.eclipse.emf.ecore.EAttribute` `getRatio_Value()` Returns the meta object for the attribute '`Value`'
`org.eclipse.emf.ecore.EClass` `getRatio()` Returns the meta object for class '`Ratio`'
`org.eclipse.emf.ecore.EDataType` `getRelativeBendpointList()` Returns the meta object for data type '`Relative Bendpoint List`'
`org.eclipse.emf.ecore.EAttribute` `getRelativeBendpoints_Points()` Returns the meta object for the attribute '`Points`'
`org.eclipse.emf.ecore.EClass` `getRelativeBendpoints()` Returns the meta object for class '`Relative Bendpoints`'
`org.eclipse.emf.ecore.EEnum` `getRouting()` Returns the meta object for enum '`Routing`'
`org.eclipse.emf.ecore.EAttribute` `getRoutingStyle_AvoidObstructions()` Returns the meta object for the attribute '`Avoid Obstructions`'
`org.eclipse.emf.ecore.EAttribute` `getRoutingStyle_ClosestDistance()` Returns the meta object for the attribute '`Closest Distance`'
`org.eclipse.emf.ecore.EAttribute` `getRoutingStyle_JumpLinksReverse()` Returns the meta object for the attribute '`Jump Links Reverse`'
`org.eclipse.emf.ecore.EAttribute` `getRoutingStyle_JumpLinkStatus()` Returns the meta object for the attribute '`Jump Link Status`'
`org.eclipse.emf.ecore.EAttribute` `getRoutingStyle_JumpLinkType()` Returns the meta object for the attribute '`Jump Link Type`'
`org.eclipse.emf.ecore.EAttribute` `getRoutingStyle_RoundedBendpointsRadius()` Returns the meta object for the attribute '`Rounded Bendpoints Radius`'
`org.eclipse.emf.ecore.EAttribute` `getRoutingStyle_Routing()` Returns the meta object for the attribute '`Routing`'
`org.eclipse.emf.ecore.EAttribute` `getRoutingStyle_Smoothness()` Returns the meta object for the attribute '`Smoothness`'
`org.eclipse.emf.ecore.EClass` `getRoutingStyle()` Returns the meta object for class '`Routing Style`'
`org.eclipse.emf.ecore.EClass` `getSemanticListCompartment()` Returns the meta object for class '`Semantic List Compartment`'
`org.eclipse.emf.ecore.EClass` `getShape()` Returns the meta object for class '`Shape`'
`org.eclipse.emf.ecore.EClass` `getShapeStyle()` Returns the meta object for class '`Shape Style`'
`org.eclipse.emf.ecore.EAttribute` `getSingleValueStyle_RawValue()` Returns the meta object for the attribute '`Raw Value`'
`org.eclipse.emf.ecore.EClass` `getSingleValueStyle()` Returns the meta object for class '`Single Value Style`'
`org.eclipse.emf.ecore.EAttribute` `getSize_Height()` Returns the meta object for the attribute '`Height`'
`org.eclipse.emf.ecore.EAttribute` `getSize_Width()` Returns the meta object for the attribute '`Width`'
`org.eclipse.emf.ecore.EClass` `getSize()` Returns the meta object for class '`Size`'
`org.eclipse.emf.ecore.EEnum` `getSmoothness()` Returns the meta object for enum '`Smoothness`'
`org.eclipse.emf.ecore.EEnum` `getSorting()` Returns the meta object for enum '`Sorting`'
`org.eclipse.emf.ecore.EEnum` `getSortingDirection()` Returns the meta object for enum '`Sorting Direction`'
`org.eclipse.emf.ecore.EReference` `getSortingStyle_SortedObjects()` Returns the meta object for the reference list '`Sorted Objects`'
`org.eclipse.emf.ecore.EAttribute` `getSortingStyle_Sorting()` Returns the meta object for the attribute '`Sorting`'
`org.eclipse.emf.ecore.EAttribute` `getSortingStyle_SortingKeys()` Returns the meta object for the attribute '`Sorting Keys`'
`org.eclipse.emf.ecore.EClass` `getSortingStyle()` Returns the meta object for class '`Sorting Style`'
`org.eclipse.emf.ecore.EDataType` `getSortKeyMap()` Returns the meta object for data type '`Sort Key Map`'
`org.eclipse.emf.ecore.EClass` `getStandardDiagram()` Returns the meta object for class '`Standard Diagram`'
`org.eclipse.emf.ecore.EAttribute` `getStringListValueStyle_StringListValue()` Returns the meta object for the attribute list '`String List Value`'
`org.eclipse.emf.ecore.EClass` `getStringListValueStyle()` Returns the meta object for class '`String List Value Style`'
`org.eclipse.emf.ecore.EClass` `getStringObjectConverter()` Returns the meta object for class '`String Object Converter`'
`org.eclipse.emf.ecore.EAttribute` `getStringToPropertyValueMapEntry_Key()` Returns the meta object for the attribute '`Key`'
`org.eclipse.emf.ecore.EReference` `getStringToPropertyValueMapEntry_Value()` Returns the meta object for the containment reference '`Value`'
`org.eclipse.emf.ecore.EClass` `getStringToPropertyValueMapEntry()` Returns the meta object for class '`String To Property Value Map Entry`'
`org.eclipse.emf.ecore.EAttribute` `getStringValueStyle_StringValue()` Returns the meta object for the attribute '`String Value`'
`org.eclipse.emf.ecore.EClass` `getStringValueStyle()` Returns the meta object for class '`String Value Style`'
`org.eclipse.emf.ecore.EClass` `getStyle()` Returns the meta object for class '`Style`'
`org.eclipse.emf.ecore.EEnum` `getTextAlignment()` Returns the meta object for enum '`Text Alignment`'
`org.eclipse.emf.ecore.EAttribute` `getTextStyle_TextAlignment()` Returns the meta object for the attribute '`Text Alignment`'
`org.eclipse.emf.ecore.EClass` `getTextStyle()` Returns the meta object for class '`Text Style`'
`org.eclipse.emf.ecore.EAttribute` `getTitleStyle_ShowTitle()` Returns the meta object for the attribute '`Show Title`'
`org.eclipse.emf.ecore.EClass` `getTitleStyle()` Returns the meta object for class '`Title Style`'
`org.eclipse.emf.ecore.EReference` `getView_Diagram()` Returns the meta object for the reference '`Diagram`'
`org.eclipse.emf.ecore.EReference` `getView_Element()` Returns the meta object for the reference '`Element`'
`org.eclipse.emf.ecore.EAttribute` `getView_Mutable()` Returns the meta object for the attribute '`Mutable`'
`org.eclipse.emf.ecore.EReference` `getView_PersistedChildren()` Returns the meta object for the containment reference list '`Persisted Children`'
`org.eclipse.emf.ecore.EReference` `getView_SourceEdges()` Returns the meta object for the reference list '`Source Edges`'
`org.eclipse.emf.ecore.EReference` `getView_Styles()` Returns the meta object for the containment reference list '`Styles`'
`org.eclipse.emf.ecore.EReference` `getView_TargetEdges()` Returns the meta object for the reference list '`Target Edges`'
`org.eclipse.emf.ecore.EReference` `getView_TransientChildren()` Returns the meta object for the containment reference list '`Transient Children`'
`org.eclipse.emf.ecore.EAttribute` `getView_Type()` Returns the meta object for the attribute '`Type`'
`org.eclipse.emf.ecore.EAttribute` `getView_Visible()` Returns the meta object for the attribute '`Visible`'
`org.eclipse.emf.ecore.EClass` `getView()` Returns the meta object for class '`View`'

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values
  ** Generated **

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values
  ** Generated **

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values
  ** Generated **

### eINSTANCE

    static final NotationPackage eINSTANCE

  The singleton instance of the package.

  ** Generated **

### VIEW

    static final int VIEW

  The meta object id for the '`View`' class.

  See Also:
    `ViewImpl`, `NotationPackageImpl.getView()`, Constant Field Values
  ** Generated **

### VIEW__EANNOTATIONS

    static final int VIEW__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### VIEW__VISIBLE

    static final int VIEW__VISIBLE

  The feature id for the 'Visible' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### VIEW__TYPE

    static final int VIEW__TYPE

  The feature id for the 'Type' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### VIEW__MUTABLE

    static final int VIEW__MUTABLE

  The feature id for the 'Mutable' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### VIEW__SOURCE_EDGES

    static final int VIEW__SOURCE_EDGES

  The feature id for the 'Source Edges' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### VIEW__TARGET_EDGES

    static final int VIEW__TARGET_EDGES

  The feature id for the 'Target Edges' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### VIEW__PERSISTED_CHILDREN

    static final int VIEW__PERSISTED_CHILDREN

  The feature id for the 'Persisted Children' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### VIEW__STYLES

    static final int VIEW__STYLES

  The feature id for the 'Styles' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### VIEW__ELEMENT

    static final int VIEW__ELEMENT

  The feature id for the 'Element' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### VIEW__DIAGRAM

    static final int VIEW__DIAGRAM

  The feature id for the 'Diagram' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### VIEW__TRANSIENT_CHILDREN

    static final int VIEW__TRANSIENT_CHILDREN

  The feature id for the 'Transient Children' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### VIEW_FEATURE_COUNT

    static final int VIEW_FEATURE_COUNT

  The number of structural features of the 'View' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### EDGE

    static final int EDGE

  The meta object id for the '`Edge`' class.

  See Also:
    `EdgeImpl`, `NotationPackageImpl.getEdge()`, Constant Field Values
  ** Generated **

### EDGE__EANNOTATIONS

    static final int EDGE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### EDGE__VISIBLE

    static final int EDGE__VISIBLE

  The feature id for the 'Visible' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### EDGE__TYPE

    static final int EDGE__TYPE

  The feature id for the 'Type' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### EDGE__MUTABLE

    static final int EDGE__MUTABLE

  The feature id for the 'Mutable' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### EDGE__SOURCE_EDGES

    static final int EDGE__SOURCE_EDGES

  The feature id for the 'Source Edges' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### EDGE__TARGET_EDGES

    static final int EDGE__TARGET_EDGES

  The feature id for the 'Target Edges' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### EDGE__PERSISTED_CHILDREN

    static final int EDGE__PERSISTED_CHILDREN

  The feature id for the 'Persisted Children' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### EDGE__STYLES

    static final int EDGE__STYLES

  The feature id for the 'Styles' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### EDGE__ELEMENT

    static final int EDGE__ELEMENT

  The feature id for the 'Element' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### EDGE__DIAGRAM

    static final int EDGE__DIAGRAM

  The feature id for the 'Diagram' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### EDGE__TRANSIENT_CHILDREN

    static final int EDGE__TRANSIENT_CHILDREN

  The feature id for the 'Transient Children' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### EDGE__SOURCE

    static final int EDGE__SOURCE

  The feature id for the 'Source' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### EDGE__TARGET

    static final int EDGE__TARGET

  The feature id for the 'Target' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### EDGE__BENDPOINTS

    static final int EDGE__BENDPOINTS

  The feature id for the 'Bendpoints' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### EDGE__SOURCE_ANCHOR

    static final int EDGE__SOURCE_ANCHOR

  The feature id for the 'Source Anchor' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### EDGE__TARGET_ANCHOR

    static final int EDGE__TARGET_ANCHOR

  The feature id for the 'Target Anchor' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### EDGE_FEATURE_COUNT

    static final int EDGE_FEATURE_COUNT

  The number of structural features of the 'Edge' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### NODE

    static final int NODE

  The meta object id for the '`Node`' class.

  See Also:
    `NodeImpl`, `NotationPackageImpl.getNode()`, Constant Field Values
  ** Generated **

### NODE__EANNOTATIONS

    static final int NODE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### NODE__VISIBLE

    static final int NODE__VISIBLE

  The feature id for the 'Visible' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### NODE__TYPE

    static final int NODE__TYPE

  The feature id for the 'Type' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### NODE__MUTABLE

    static final int NODE__MUTABLE

  The feature id for the 'Mutable' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### NODE__SOURCE_EDGES

    static final int NODE__SOURCE_EDGES

  The feature id for the 'Source Edges' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### NODE__TARGET_EDGES

    static final int NODE__TARGET_EDGES

  The feature id for the 'Target Edges' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### NODE__PERSISTED_CHILDREN

    static final int NODE__PERSISTED_CHILDREN

  The feature id for the 'Persisted Children' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### NODE__STYLES

    static final int NODE__STYLES

  The feature id for the 'Styles' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### NODE__ELEMENT

    static final int NODE__ELEMENT

  The feature id for the 'Element' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### NODE__DIAGRAM

    static final int NODE__DIAGRAM

  The feature id for the 'Diagram' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### NODE__TRANSIENT_CHILDREN

    static final int NODE__TRANSIENT_CHILDREN

  The feature id for the 'Transient Children' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### NODE__LAYOUT_CONSTRAINT

    static final int NODE__LAYOUT_CONSTRAINT

  The feature id for the 'Layout Constraint' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### NODE_FEATURE_COUNT

    static final int NODE_FEATURE_COUNT

  The number of structural features of the 'Node' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### STYLE

    static final int STYLE

  The meta object id for the '`Style`' class.

  See Also:
    `Style`, `NotationPackageImpl.getStyle()`, Constant Field Values
  ** Generated **

### STYLE_FEATURE_COUNT

    static final int STYLE_FEATURE_COUNT

  The number of structural features of the 'Style' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FILL_STYLE

    static final int FILL_STYLE

  The meta object id for the '`Fill Style`' class.

  See Also:
    `FillStyleImpl`, `NotationPackageImpl.getFillStyle()`, Constant Field Values
  ** Generated **

### FILL_STYLE__FILL_COLOR

    static final int FILL_STYLE__FILL_COLOR

  The feature id for the 'Fill Color' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FILL_STYLE__TRANSPARENCY

    static final int FILL_STYLE__TRANSPARENCY

  The feature id for the 'Transparency' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FILL_STYLE__GRADIENT

    static final int FILL_STYLE__GRADIENT

  The feature id for the 'Gradient' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FILL_STYLE_FEATURE_COUNT

    static final int FILL_STYLE_FEATURE_COUNT

  The number of structural features of the 'Fill Style' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LINE_STYLE

    static final int LINE_STYLE

  The meta object id for the '`Line Style`' class.

  See Also:
    `LineStyleImpl`, `NotationPackageImpl.getLineStyle()`, Constant Field Values
  ** Generated **

### LINE_STYLE__LINE_COLOR

    static final int LINE_STYLE__LINE_COLOR

  The feature id for the 'Line Color' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LINE_STYLE__LINE_WIDTH

    static final int LINE_STYLE__LINE_WIDTH

  The feature id for the 'Line Width' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LINE_STYLE_FEATURE_COUNT

    static final int LINE_STYLE_FEATURE_COUNT

  The number of structural features of the 'Line Style' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FONT_STYLE

    static final int FONT_STYLE

  The meta object id for the '`Font Style`' class.

  See Also:
    `FontStyleImpl`, `NotationPackageImpl.getFontStyle()`, Constant Field Values
  ** Generated **

### FONT_STYLE__FONT_COLOR

    static final int FONT_STYLE__FONT_COLOR

  The feature id for the 'Font Color' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FONT_STYLE__FONT_NAME

    static final int FONT_STYLE__FONT_NAME

  The feature id for the 'Font Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FONT_STYLE__FONT_HEIGHT

    static final int FONT_STYLE__FONT_HEIGHT

  The feature id for the 'Font Height' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FONT_STYLE__BOLD

    static final int FONT_STYLE__BOLD

  The feature id for the 'Bold' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FONT_STYLE__ITALIC

    static final int FONT_STYLE__ITALIC

  The feature id for the 'Italic' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FONT_STYLE__UNDERLINE

    static final int FONT_STYLE__UNDERLINE

  The feature id for the 'Underline' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FONT_STYLE__STRIKE_THROUGH

    static final int FONT_STYLE__STRIKE_THROUGH

  The feature id for the 'Strike Through' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FONT_STYLE_FEATURE_COUNT

    static final int FONT_STYLE_FEATURE_COUNT

  The number of structural features of the 'Font Style' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### TITLE_STYLE

    static final int TITLE_STYLE

  The meta object id for the '`Title Style`' class.

  See Also:
    `TitleStyleImpl`, `NotationPackageImpl.getTitleStyle()`, Constant Field Values
  ** Generated **

### TITLE_STYLE__SHOW_TITLE

    static final int TITLE_STYLE__SHOW_TITLE

  The feature id for the 'Show Title' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### TITLE_STYLE_FEATURE_COUNT

    static final int TITLE_STYLE_FEATURE_COUNT

  The number of structural features of the 'Title Style' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SORTING_STYLE

    static final int SORTING_STYLE

  The meta object id for the '`Sorting Style`' class.

  See Also:
    `SortingStyleImpl`, `NotationPackageImpl.getSortingStyle()`, Constant Field Values
  ** Generated **

### SORTING_STYLE__SORTING

    static final int SORTING_STYLE__SORTING

  The feature id for the 'Sorting' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SORTING_STYLE__SORTING_KEYS

    static final int SORTING_STYLE__SORTING_KEYS

  The feature id for the 'Sorting Keys' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SORTING_STYLE__SORTED_OBJECTS

    static final int SORTING_STYLE__SORTED_OBJECTS

  The feature id for the 'Sorted Objects' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SORTING_STYLE_FEATURE_COUNT

    static final int SORTING_STYLE_FEATURE_COUNT

  The number of structural features of the 'Sorting Style' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DESCRIPTION_STYLE

    static final int DESCRIPTION_STYLE

  The meta object id for the '`Description Style`' class.

  See Also:
    `DescriptionStyleImpl`, `NotationPackageImpl.getDescriptionStyle()`, Constant Field Values
  ** Generated **

### DESCRIPTION_STYLE__DESCRIPTION

    static final int DESCRIPTION_STYLE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DESCRIPTION_STYLE_FEATURE_COUNT

    static final int DESCRIPTION_STYLE_FEATURE_COUNT

  The number of structural features of the 'Description Style' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LAYOUT_CONSTRAINT

    static final int LAYOUT_CONSTRAINT

  The meta object id for the '`Layout Constraint`' class.

  See Also:
    `LayoutConstraint`, `NotationPackageImpl.getLayoutConstraint()`, Constant Field Values
  ** Generated **

### LAYOUT_CONSTRAINT_FEATURE_COUNT

    static final int LAYOUT_CONSTRAINT_FEATURE_COUNT

  The number of structural features of the 'Layout Constraint' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SIZE

    static final int SIZE

  The meta object id for the '`Size`' class.

  See Also:
    `SizeImpl`, `NotationPackageImpl.getSize()`, Constant Field Values
  ** Generated **

### SIZE__WIDTH

    static final int SIZE__WIDTH

  The feature id for the 'Width' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SIZE__HEIGHT

    static final int SIZE__HEIGHT

  The feature id for the 'Height' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SIZE_FEATURE_COUNT

    static final int SIZE_FEATURE_COUNT

  The number of structural features of the 'Size' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LOCATION

    static final int LOCATION

  The meta object id for the '`Location`' class.

  See Also:
    `LocationImpl`, `NotationPackageImpl.getLocation()`, Constant Field Values
  ** Generated **

### LOCATION__X

    static final int LOCATION__X

  The feature id for the 'X' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LOCATION__Y

    static final int LOCATION__Y

  The feature id for the 'Y' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LOCATION_FEATURE_COUNT

    static final int LOCATION_FEATURE_COUNT

  The number of structural features of the 'Location' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BOUNDS

    static final int BOUNDS

  The meta object id for the '`Bounds`' class.

  See Also:
    `BoundsImpl`, `NotationPackageImpl.getBounds()`, Constant Field Values
  ** Generated **

### BOUNDS__X

    static final int BOUNDS__X

  The feature id for the 'X' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BOUNDS__Y

    static final int BOUNDS__Y

  The feature id for the 'Y' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BOUNDS__WIDTH

    static final int BOUNDS__WIDTH

  The feature id for the 'Width' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BOUNDS__HEIGHT

    static final int BOUNDS__HEIGHT

  The feature id for the 'Height' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BOUNDS_FEATURE_COUNT

    static final int BOUNDS_FEATURE_COUNT

  The number of structural features of the 'Bounds' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### RATIO

    static final int RATIO

  The meta object id for the '`Ratio`' class.

  See Also:
    `RatioImpl`, `NotationPackageImpl.getRatio()`, Constant Field Values
  ** Generated **

### RATIO__VALUE

    static final int RATIO__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### RATIO_FEATURE_COUNT

    static final int RATIO_FEATURE_COUNT

  The number of structural features of the 'Ratio' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ANCHOR

    static final int ANCHOR

  The meta object id for the '`Anchor`' class.

  See Also:
    `Anchor`, `NotationPackageImpl.getAnchor()`, Constant Field Values
  ** Generated **

### ANCHOR_FEATURE_COUNT

    static final int ANCHOR_FEATURE_COUNT

  The number of structural features of the 'Anchor' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BENDPOINTS

    static final int BENDPOINTS

  The meta object id for the '`Bendpoints`' class.

  See Also:
    `Bendpoints`, `NotationPackageImpl.getBendpoints()`, Constant Field Values
  ** Generated **

### BENDPOINTS_FEATURE_COUNT

    static final int BENDPOINTS_FEATURE_COUNT

  The number of structural features of the 'Bendpoints' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### IDENTITY_ANCHOR

    static final int IDENTITY_ANCHOR

  The meta object id for the '`Identity Anchor`' class.

  See Also:
    `IdentityAnchorImpl`, `NotationPackageImpl.getIdentityAnchor()`, Constant Field Values
  ** Generated **

### IDENTITY_ANCHOR__ID

    static final int IDENTITY_ANCHOR__ID

  The feature id for the 'Id' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### IDENTITY_ANCHOR_FEATURE_COUNT

    static final int IDENTITY_ANCHOR_FEATURE_COUNT

  The number of structural features of the 'Identity Anchor' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ROUTING_STYLE

    static final int ROUTING_STYLE

  The meta object id for the '`Routing Style`' class.

  See Also:
    `RoutingStyleImpl`, `NotationPackageImpl.getRoutingStyle()`, Constant Field Values
  ** Generated **

### ROUTING_STYLE__ROUTING

    static final int ROUTING_STYLE__ROUTING

  The feature id for the 'Routing' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ROUTING_STYLE__SMOOTHNESS

    static final int ROUTING_STYLE__SMOOTHNESS

  The feature id for the 'Smoothness' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ROUTING_STYLE__AVOID_OBSTRUCTIONS

    static final int ROUTING_STYLE__AVOID_OBSTRUCTIONS

  The feature id for the 'Avoid Obstructions' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ROUTING_STYLE__CLOSEST_DISTANCE

    static final int ROUTING_STYLE__CLOSEST_DISTANCE

  The feature id for the 'Closest Distance' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ROUTING_STYLE__JUMP_LINK_STATUS

    static final int ROUTING_STYLE__JUMP_LINK_STATUS

  The feature id for the 'Jump Link Status' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ROUTING_STYLE__JUMP_LINK_TYPE

    static final int ROUTING_STYLE__JUMP_LINK_TYPE

  The feature id for the 'Jump Link Type' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ROUTING_STYLE__JUMP_LINKS_REVERSE

    static final int ROUTING_STYLE__JUMP_LINKS_REVERSE

  The feature id for the 'Jump Links Reverse' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ROUTING_STYLE__ROUNDED_BENDPOINTS_RADIUS

    static final int ROUTING_STYLE__ROUNDED_BENDPOINTS_RADIUS

  The feature id for the 'Rounded Bendpoints Radius' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ROUTING_STYLE_FEATURE_COUNT

    static final int ROUTING_STYLE_FEATURE_COUNT

  The number of structural features of the 'Routing Style' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### RELATIVE_BENDPOINTS

    static final int RELATIVE_BENDPOINTS

  The meta object id for the '`Relative Bendpoints`' class.

  See Also:
    `RelativeBendpointsImpl`, `NotationPackageImpl.getRelativeBendpoints()`, Constant Field Values
  ** Generated **

### RELATIVE_BENDPOINTS__POINTS

    static final int RELATIVE_BENDPOINTS__POINTS

  The feature id for the 'Points' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### RELATIVE_BENDPOINTS_FEATURE_COUNT

    static final int RELATIVE_BENDPOINTS_FEATURE_COUNT

  The number of structural features of the 'Relative Bendpoints' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DIAGRAM

    static final int DIAGRAM

  The meta object id for the '`Diagram`' class.

  See Also:
    `DiagramImpl`, `NotationPackageImpl.getDiagram()`, Constant Field Values
  ** Generated **

### DIAGRAM__EANNOTATIONS

    static final int DIAGRAM__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DIAGRAM__VISIBLE

    static final int DIAGRAM__VISIBLE

  The feature id for the 'Visible' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DIAGRAM__TYPE

    static final int DIAGRAM__TYPE

  The feature id for the 'Type' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DIAGRAM__MUTABLE

    static final int DIAGRAM__MUTABLE

  The feature id for the 'Mutable' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DIAGRAM__SOURCE_EDGES

    static final int DIAGRAM__SOURCE_EDGES

  The feature id for the 'Source Edges' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DIAGRAM__TARGET_EDGES

    static final int DIAGRAM__TARGET_EDGES

  The feature id for the 'Target Edges' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DIAGRAM__PERSISTED_CHILDREN

    static final int DIAGRAM__PERSISTED_CHILDREN

  The feature id for the 'Persisted Children' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DIAGRAM__STYLES

    static final int DIAGRAM__STYLES

  The feature id for the 'Styles' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DIAGRAM__ELEMENT

    static final int DIAGRAM__ELEMENT

  The feature id for the 'Element' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DIAGRAM__DIAGRAM

    static final int DIAGRAM__DIAGRAM

  The feature id for the 'Diagram' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DIAGRAM__TRANSIENT_CHILDREN

    static final int DIAGRAM__TRANSIENT_CHILDREN

  The feature id for the 'Transient Children' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DIAGRAM__NAME

    static final int DIAGRAM__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DIAGRAM__MEASUREMENT_UNIT

    static final int DIAGRAM__MEASUREMENT_UNIT

  The feature id for the 'Measurement Unit' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DIAGRAM__PERSISTED_EDGES

    static final int DIAGRAM__PERSISTED_EDGES

  The feature id for the 'Persisted Edges' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DIAGRAM__TRANSIENT_EDGES

    static final int DIAGRAM__TRANSIENT_EDGES

  The feature id for the 'Transient Edges' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DIAGRAM_FEATURE_COUNT

    static final int DIAGRAM_FEATURE_COUNT

  The number of structural features of the 'Diagram' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### IMAGE

    static final int IMAGE

  The meta object id for the '`Image`' class.

  See Also:
    `ImageImpl`, `NotationPackageImpl.getImage()`, Constant Field Values
  ** Generated **

### IMAGE__DATA

    static final int IMAGE__DATA

  The feature id for the 'Data' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### IMAGE_FEATURE_COUNT

    static final int IMAGE_FEATURE_COUNT

  The number of structural features of the 'Image' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CANONICAL_STYLE

    static final int CANONICAL_STYLE

  The meta object id for the '`Canonical Style`' class.

  See Also:
    `CanonicalStyleImpl`, `NotationPackageImpl.getCanonicalStyle()`, Constant Field Values
  ** Generated **

### CANONICAL_STYLE__CANONICAL

    static final int CANONICAL_STYLE__CANONICAL

  The feature id for the 'Canonical' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CANONICAL_STYLE_FEATURE_COUNT

    static final int CANONICAL_STYLE_FEATURE_COUNT

  The number of structural features of the 'Canonical Style' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE_STYLE

    static final int SHAPE_STYLE

  The meta object id for the '`Shape Style`' class.

  See Also:
    `ShapeStyleImpl`, `NotationPackageImpl.getShapeStyle()`, Constant Field Values
  ** Generated **

### SHAPE_STYLE__FONT_COLOR

    static final int SHAPE_STYLE__FONT_COLOR

  The feature id for the 'Font Color' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE_STYLE__FONT_NAME

    static final int SHAPE_STYLE__FONT_NAME

  The feature id for the 'Font Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE_STYLE__FONT_HEIGHT

    static final int SHAPE_STYLE__FONT_HEIGHT

  The feature id for the 'Font Height' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE_STYLE__BOLD

    static final int SHAPE_STYLE__BOLD

  The feature id for the 'Bold' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE_STYLE__ITALIC

    static final int SHAPE_STYLE__ITALIC

  The feature id for the 'Italic' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE_STYLE__UNDERLINE

    static final int SHAPE_STYLE__UNDERLINE

  The feature id for the 'Underline' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE_STYLE__STRIKE_THROUGH

    static final int SHAPE_STYLE__STRIKE_THROUGH

  The feature id for the 'Strike Through' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE_STYLE__DESCRIPTION

    static final int SHAPE_STYLE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE_STYLE__FILL_COLOR

    static final int SHAPE_STYLE__FILL_COLOR

  The feature id for the 'Fill Color' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE_STYLE__TRANSPARENCY

    static final int SHAPE_STYLE__TRANSPARENCY

  The feature id for the 'Transparency' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE_STYLE__GRADIENT

    static final int SHAPE_STYLE__GRADIENT

  The feature id for the 'Gradient' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE_STYLE__LINE_COLOR

    static final int SHAPE_STYLE__LINE_COLOR

  The feature id for the 'Line Color' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE_STYLE__LINE_WIDTH

    static final int SHAPE_STYLE__LINE_WIDTH

  The feature id for the 'Line Width' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE_STYLE_FEATURE_COUNT

    static final int SHAPE_STYLE_FEATURE_COUNT

  The number of structural features of the 'Shape Style' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONNECTOR_STYLE

    static final int CONNECTOR_STYLE

  The meta object id for the '`Connector Style`' class.

  See Also:
    `ConnectorStyleImpl`, `NotationPackageImpl.getConnectorStyle()`, Constant Field Values
  ** Generated **

### CONNECTOR_STYLE__ROUTING

    static final int CONNECTOR_STYLE__ROUTING

  The feature id for the 'Routing' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONNECTOR_STYLE__SMOOTHNESS

    static final int CONNECTOR_STYLE__SMOOTHNESS

  The feature id for the 'Smoothness' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONNECTOR_STYLE__AVOID_OBSTRUCTIONS

    static final int CONNECTOR_STYLE__AVOID_OBSTRUCTIONS

  The feature id for the 'Avoid Obstructions' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONNECTOR_STYLE__CLOSEST_DISTANCE

    static final int CONNECTOR_STYLE__CLOSEST_DISTANCE

  The feature id for the 'Closest Distance' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONNECTOR_STYLE__JUMP_LINK_STATUS

    static final int CONNECTOR_STYLE__JUMP_LINK_STATUS

  The feature id for the 'Jump Link Status' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONNECTOR_STYLE__JUMP_LINK_TYPE

    static final int CONNECTOR_STYLE__JUMP_LINK_TYPE

  The feature id for the 'Jump Link Type' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONNECTOR_STYLE__JUMP_LINKS_REVERSE

    static final int CONNECTOR_STYLE__JUMP_LINKS_REVERSE

  The feature id for the 'Jump Links Reverse' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONNECTOR_STYLE__ROUNDED_BENDPOINTS_RADIUS

    static final int CONNECTOR_STYLE__ROUNDED_BENDPOINTS_RADIUS

  The feature id for the 'Rounded Bendpoints Radius' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONNECTOR_STYLE__LINE_COLOR

    static final int CONNECTOR_STYLE__LINE_COLOR

  The feature id for the 'Line Color' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONNECTOR_STYLE__LINE_WIDTH

    static final int CONNECTOR_STYLE__LINE_WIDTH

  The feature id for the 'Line Width' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONNECTOR_STYLE_FEATURE_COUNT

    static final int CONNECTOR_STYLE_FEATURE_COUNT

  The number of structural features of the 'Connector Style' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PAGE_STYLE

    static final int PAGE_STYLE

  The meta object id for the '`Page Style`' class.

  See Also:
    `PageStyleImpl`, `NotationPackageImpl.getPageStyle()`, Constant Field Values
  ** Generated **

### PAGE_STYLE__PAGE_X

    static final int PAGE_STYLE__PAGE_X

  The feature id for the 'Page X' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PAGE_STYLE__PAGE_Y

    static final int PAGE_STYLE__PAGE_Y

  The feature id for the 'Page Y' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PAGE_STYLE__PAGE_WIDTH

    static final int PAGE_STYLE__PAGE_WIDTH

  The feature id for the 'Page Width' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PAGE_STYLE__PAGE_HEIGHT

    static final int PAGE_STYLE__PAGE_HEIGHT

  The feature id for the 'Page Height' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PAGE_STYLE_FEATURE_COUNT

    static final int PAGE_STYLE_FEATURE_COUNT

  The number of structural features of the 'Page Style' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DRAWER_STYLE

    static final int DRAWER_STYLE

  The meta object id for the '`Drawer Style`' class.

  See Also:
    `DrawerStyleImpl`, `NotationPackageImpl.getDrawerStyle()`, Constant Field Values
  ** Generated **

### DRAWER_STYLE__COLLAPSED

    static final int DRAWER_STYLE__COLLAPSED

  The feature id for the 'Collapsed' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DRAWER_STYLE_FEATURE_COUNT

    static final int DRAWER_STYLE_FEATURE_COUNT

  The number of structural features of the 'Drawer Style' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GUIDE_STYLE

    static final int GUIDE_STYLE

  The meta object id for the '`Guide Style`' class.

  See Also:
    `GuideStyleImpl`, `NotationPackageImpl.getGuideStyle()`, Constant Field Values
  ** Generated **

### GUIDE_STYLE__HORIZONTAL_GUIDES

    static final int GUIDE_STYLE__HORIZONTAL_GUIDES

  The feature id for the 'Horizontal Guides' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GUIDE_STYLE__VERTICAL_GUIDES

    static final int GUIDE_STYLE__VERTICAL_GUIDES

  The feature id for the 'Vertical Guides' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GUIDE_STYLE_FEATURE_COUNT

    static final int GUIDE_STYLE_FEATURE_COUNT

  The number of structural features of the 'Guide Style' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GUIDE

    static final int GUIDE

  The meta object id for the '`Guide`' class.

  See Also:
    `GuideImpl`, `NotationPackageImpl.getGuide()`, Constant Field Values
  ** Generated **

### GUIDE__POSITION

    static final int GUIDE__POSITION

  The feature id for the 'Position' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GUIDE__NODE_MAP

    static final int GUIDE__NODE_MAP

  The feature id for the 'Node Map' map.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### GUIDE_FEATURE_COUNT

    static final int GUIDE_FEATURE_COUNT

  The number of structural features of the 'Guide' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### NODE_ENTRY

    static final int NODE_ENTRY

  The meta object id for the '`Node Entry`' class.

  See Also:
    `NodeEntryImpl`, `NotationPackageImpl.getNodeEntry()`, Constant Field Values
  ** Generated **

### NODE_ENTRY__VALUE

    static final int NODE_ENTRY__VALUE

  The feature id for the 'Value' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### NODE_ENTRY__KEY

    static final int NODE_ENTRY__KEY

  The feature id for the 'Key' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### NODE_ENTRY_FEATURE_COUNT

    static final int NODE_ENTRY_FEATURE_COUNT

  The number of structural features of the 'Node Entry' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FILTERING_STYLE

    static final int FILTERING_STYLE

  The meta object id for the '`Filtering Style`' class.

  See Also:
    `FilteringStyleImpl`, `NotationPackageImpl.getFilteringStyle()`, Constant Field Values
  ** Generated **

### FILTERING_STYLE__FILTERING

    static final int FILTERING_STYLE__FILTERING

  The feature id for the 'Filtering' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FILTERING_STYLE__FILTERING_KEYS

    static final int FILTERING_STYLE__FILTERING_KEYS

  The feature id for the 'Filtering Keys' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FILTERING_STYLE__FILTERED_OBJECTS

    static final int FILTERING_STYLE__FILTERED_OBJECTS

  The feature id for the 'Filtered Objects' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### FILTERING_STYLE_FEATURE_COUNT

    static final int FILTERING_STYLE_FEATURE_COUNT

  The number of structural features of the 'Filtering Style' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DIAGRAM_STYLE

    static final int DIAGRAM_STYLE

  The meta object id for the '`Diagram Style`' class.

  See Also:
    `DiagramStyleImpl`, `NotationPackageImpl.getDiagramStyle()`, Constant Field Values
  ** Generated **

### DIAGRAM_STYLE__PAGE_X

    static final int DIAGRAM_STYLE__PAGE_X

  The feature id for the 'Page X' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DIAGRAM_STYLE__PAGE_Y

    static final int DIAGRAM_STYLE__PAGE_Y

  The feature id for the 'Page Y' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DIAGRAM_STYLE__PAGE_WIDTH

    static final int DIAGRAM_STYLE__PAGE_WIDTH

  The feature id for the 'Page Width' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DIAGRAM_STYLE__PAGE_HEIGHT

    static final int DIAGRAM_STYLE__PAGE_HEIGHT

  The feature id for the 'Page Height' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DIAGRAM_STYLE__HORIZONTAL_GUIDES

    static final int DIAGRAM_STYLE__HORIZONTAL_GUIDES

  The feature id for the 'Horizontal Guides' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DIAGRAM_STYLE__VERTICAL_GUIDES

    static final int DIAGRAM_STYLE__VERTICAL_GUIDES

  The feature id for the 'Vertical Guides' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DIAGRAM_STYLE__DESCRIPTION

    static final int DIAGRAM_STYLE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DIAGRAM_STYLE_FEATURE_COUNT

    static final int DIAGRAM_STYLE_FEATURE_COUNT

  The number of structural features of the 'Diagram Style' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### IMAGE_STYLE

    static final int IMAGE_STYLE

  The meta object id for the '`Image Style`' class.

  See Also:
    `ImageStyleImpl`, `NotationPackageImpl.getImageStyle()`, Constant Field Values
  ** Generated **

### IMAGE_STYLE__ANTI_ALIAS

    static final int IMAGE_STYLE__ANTI_ALIAS

  The feature id for the 'Anti Alias' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### IMAGE_STYLE__MAINTAIN_ASPECT_RATIO

    static final int IMAGE_STYLE__MAINTAIN_ASPECT_RATIO

  The feature id for the 'Maintain Aspect Ratio' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### IMAGE_STYLE__CROP_BOUND

    static final int IMAGE_STYLE__CROP_BOUND

  The feature id for the 'Crop Bound' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### IMAGE_STYLE_FEATURE_COUNT

    static final int IMAGE_STYLE_FEATURE_COUNT

  The number of structural features of the 'Image Style' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### IMAGE_BUFFER_STYLE

    static final int IMAGE_BUFFER_STYLE

  The meta object id for the '`Image Buffer Style`' class.

  See Also:
    `ImageBufferStyleImpl`, `NotationPackageImpl.getImageBufferStyle()`, Constant Field Values
  ** Generated **

### IMAGE_BUFFER_STYLE__ANTI_ALIAS

    static final int IMAGE_BUFFER_STYLE__ANTI_ALIAS

  The feature id for the 'Anti Alias' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### IMAGE_BUFFER_STYLE__MAINTAIN_ASPECT_RATIO

    static final int IMAGE_BUFFER_STYLE__MAINTAIN_ASPECT_RATIO

  The feature id for the 'Maintain Aspect Ratio' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### IMAGE_BUFFER_STYLE__CROP_BOUND

    static final int IMAGE_BUFFER_STYLE__CROP_BOUND

  The feature id for the 'Crop Bound' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### IMAGE_BUFFER_STYLE__IMAGE_BUFFER

    static final int IMAGE_BUFFER_STYLE__IMAGE_BUFFER

  The feature id for the 'Image Buffer' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### IMAGE_BUFFER_STYLE_FEATURE_COUNT

    static final int IMAGE_BUFFER_STYLE_FEATURE_COUNT

  The number of structural features of the 'Image Buffer Style' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### NAMED_STYLE

    static final int NAMED_STYLE

  The meta object id for the '`Named Style`' class.

  See Also:
    `NamedStyleImpl`, `NotationPackageImpl.getNamedStyle()`, Constant Field Values
  ** Generated **

### NAMED_STYLE__NAME

    static final int NAMED_STYLE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### NAMED_STYLE_FEATURE_COUNT

    static final int NAMED_STYLE_FEATURE_COUNT

  The number of structural features of the 'Named Style' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PROPERTIES_SET_STYLE

    static final int PROPERTIES_SET_STYLE

  The meta object id for the '`Properties Set Style`' class.

  See Also:
    `PropertiesSetStyleImpl`, `NotationPackageImpl.getPropertiesSetStyle()`, Constant Field Values
  ** Generated **

### PROPERTIES_SET_STYLE__NAME

    static final int PROPERTIES_SET_STYLE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PROPERTIES_SET_STYLE__PROPERTIES_MAP

    static final int PROPERTIES_SET_STYLE__PROPERTIES_MAP

  The feature id for the 'Properties Map' map.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PROPERTIES_SET_STYLE_FEATURE_COUNT

    static final int PROPERTIES_SET_STYLE_FEATURE_COUNT

  The number of structural features of the 'Properties Set Style' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### STRING_TO_PROPERTY_VALUE_MAP_ENTRY

    static final int STRING_TO_PROPERTY_VALUE_MAP_ENTRY

  The meta object id for the '`String To Property Value Map Entry`' class.

  See Also:
    `StringToPropertyValueMapEntryImpl`, `NotationPackageImpl.getStringToPropertyValueMapEntry()`, Constant Field Values
  ** Generated **

### STRING_TO_PROPERTY_VALUE_MAP_ENTRY__KEY

    static final int STRING_TO_PROPERTY_VALUE_MAP_ENTRY__KEY

  The feature id for the 'Key' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### STRING_TO_PROPERTY_VALUE_MAP_ENTRY__VALUE

    static final int STRING_TO_PROPERTY_VALUE_MAP_ENTRY__VALUE

  The feature id for the 'Value' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### STRING_TO_PROPERTY_VALUE_MAP_ENTRY_FEATURE_COUNT

    static final int STRING_TO_PROPERTY_VALUE_MAP_ENTRY_FEATURE_COUNT

  The number of structural features of the 'String To Property Value Map Entry' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### STRING_OBJECT_CONVERTER

    static final int STRING_OBJECT_CONVERTER

  The meta object id for the '`String Object Converter`' class.

  See Also:
    `StringObjectConverter`, `NotationPackageImpl.getStringObjectConverter()`, Constant Field Values
  ** Generated **

### STRING_OBJECT_CONVERTER_FEATURE_COUNT

    static final int STRING_OBJECT_CONVERTER_FEATURE_COUNT

  The number of structural features of the 'String Object Converter' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PROPERTY_VALUE

    static final int PROPERTY_VALUE

  The meta object id for the '`Property Value`' class.

  See Also:
    `PropertyValueImpl`, `NotationPackageImpl.getPropertyValue()`, Constant Field Values
  ** Generated **

### PROPERTY_VALUE__RAW_VALUE

    static final int PROPERTY_VALUE__RAW_VALUE

  The feature id for the 'Raw Value' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PROPERTY_VALUE__INSTANCE_TYPE

    static final int PROPERTY_VALUE__INSTANCE_TYPE

  The feature id for the 'Instance Type' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### PROPERTY_VALUE_FEATURE_COUNT

    static final int PROPERTY_VALUE_FEATURE_COUNT

  The number of structural features of the 'Property Value' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DATA_TYPE_STYLE

    static final int DATA_TYPE_STYLE

  The meta object id for the '`Data Type Style`' class.

  See Also:
    `DataTypeStyleImpl`, `NotationPackageImpl.getDataTypeStyle()`, Constant Field Values
  ** Generated **

### DATA_TYPE_STYLE__NAME

    static final int DATA_TYPE_STYLE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DATA_TYPE_STYLE__INSTANCE_TYPE

    static final int DATA_TYPE_STYLE__INSTANCE_TYPE

  The feature id for the 'Instance Type' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DATA_TYPE_STYLE_FEATURE_COUNT

    static final int DATA_TYPE_STYLE_FEATURE_COUNT

  The number of structural features of the 'Data Type Style' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SINGLE_VALUE_STYLE

    static final int SINGLE_VALUE_STYLE

  The meta object id for the '`Single Value Style`' class.

  See Also:
    `SingleValueStyleImpl`, `NotationPackageImpl.getSingleValueStyle()`, Constant Field Values
  ** Generated **

### SINGLE_VALUE_STYLE__NAME

    static final int SINGLE_VALUE_STYLE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SINGLE_VALUE_STYLE__INSTANCE_TYPE

    static final int SINGLE_VALUE_STYLE__INSTANCE_TYPE

  The feature id for the 'Instance Type' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SINGLE_VALUE_STYLE__RAW_VALUE

    static final int SINGLE_VALUE_STYLE__RAW_VALUE

  The feature id for the 'Raw Value' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SINGLE_VALUE_STYLE_FEATURE_COUNT

    static final int SINGLE_VALUE_STYLE_FEATURE_COUNT

  The number of structural features of the 'Single Value Style' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LIST_VALUE_STYLE

    static final int LIST_VALUE_STYLE

  The meta object id for the '`List Value Style`' class.

  See Also:
    `ListValueStyleImpl`, `NotationPackageImpl.getListValueStyle()`, Constant Field Values
  ** Generated **

### LIST_VALUE_STYLE__NAME

    static final int LIST_VALUE_STYLE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LIST_VALUE_STYLE__INSTANCE_TYPE

    static final int LIST_VALUE_STYLE__INSTANCE_TYPE

  The feature id for the 'Instance Type' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LIST_VALUE_STYLE__RAW_VALUES_LIST

    static final int LIST_VALUE_STYLE__RAW_VALUES_LIST

  The feature id for the 'Raw Values List' attribute list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LIST_VALUE_STYLE_FEATURE_COUNT

    static final int LIST_VALUE_STYLE_FEATURE_COUNT

  The number of structural features of the 'List Value Style' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### INT_VALUE_STYLE

    static final int INT_VALUE_STYLE

  The meta object id for the '`Int Value Style`' class.

  See Also:
    `IntValueStyleImpl`, `NotationPackageImpl.getIntValueStyle()`, Constant Field Values
  ** Generated **

### INT_VALUE_STYLE__NAME

    static final int INT_VALUE_STYLE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### INT_VALUE_STYLE__INT_VALUE

    static final int INT_VALUE_STYLE__INT_VALUE

  The feature id for the 'Int Value' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### INT_VALUE_STYLE_FEATURE_COUNT

    static final int INT_VALUE_STYLE_FEATURE_COUNT

  The number of structural features of the 'Int Value Style' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### INT_LIST_VALUE_STYLE

    static final int INT_LIST_VALUE_STYLE

  The meta object id for the '`Int List Value Style`' class.

  See Also:
    `IntListValueStyleImpl`, `NotationPackageImpl.getIntListValueStyle()`, Constant Field Values
  ** Generated **

### INT_LIST_VALUE_STYLE__NAME

    static final int INT_LIST_VALUE_STYLE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### INT_LIST_VALUE_STYLE__INT_LIST_VALUE

    static final int INT_LIST_VALUE_STYLE__INT_LIST_VALUE

  The feature id for the 'Int List Value' attribute list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### INT_LIST_VALUE_STYLE_FEATURE_COUNT

    static final int INT_LIST_VALUE_STYLE_FEATURE_COUNT

  The number of structural features of the 'Int List Value Style' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BOOLEAN_VALUE_STYLE

    static final int BOOLEAN_VALUE_STYLE

  The meta object id for the '`Boolean Value Style`' class.

  See Also:
    `BooleanValueStyleImpl`, `NotationPackageImpl.getBooleanValueStyle()`, Constant Field Values
  ** Generated **

### BOOLEAN_VALUE_STYLE__NAME

    static final int BOOLEAN_VALUE_STYLE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BOOLEAN_VALUE_STYLE__BOOLEAN_VALUE

    static final int BOOLEAN_VALUE_STYLE__BOOLEAN_VALUE

  The feature id for the 'Boolean Value' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BOOLEAN_VALUE_STYLE_FEATURE_COUNT

    static final int BOOLEAN_VALUE_STYLE_FEATURE_COUNT

  The number of structural features of the 'Boolean Value Style' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DOUBLE_VALUE_STYLE

    static final int DOUBLE_VALUE_STYLE

  The meta object id for the '`Double Value Style`' class.

  See Also:
    `DoubleValueStyleImpl`, `NotationPackageImpl.getDoubleValueStyle()`, Constant Field Values
  ** Generated **

### DOUBLE_VALUE_STYLE__NAME

    static final int DOUBLE_VALUE_STYLE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DOUBLE_VALUE_STYLE__DOUBLE_VALUE

    static final int DOUBLE_VALUE_STYLE__DOUBLE_VALUE

  The feature id for the 'Double Value' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DOUBLE_VALUE_STYLE_FEATURE_COUNT

    static final int DOUBLE_VALUE_STYLE_FEATURE_COUNT

  The number of structural features of the 'Double Value Style' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DOUBLE_LIST_VALUE_STYLE

    static final int DOUBLE_LIST_VALUE_STYLE

  The meta object id for the '`Double List Value Style`' class.

  See Also:
    `DoubleListValueStyleImpl`, `NotationPackageImpl.getDoubleListValueStyle()`, Constant Field Values
  ** Generated **

### DOUBLE_LIST_VALUE_STYLE__NAME

    static final int DOUBLE_LIST_VALUE_STYLE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DOUBLE_LIST_VALUE_STYLE__DOUBLE_LIST_VALUE

    static final int DOUBLE_LIST_VALUE_STYLE__DOUBLE_LIST_VALUE

  The feature id for the 'Double List Value' attribute list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DOUBLE_LIST_VALUE_STYLE_FEATURE_COUNT

    static final int DOUBLE_LIST_VALUE_STYLE_FEATURE_COUNT

  The number of structural features of the 'Double List Value Style' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### STRING_VALUE_STYLE

    static final int STRING_VALUE_STYLE

  The meta object id for the '`String Value Style`' class.

  See Also:
    `StringValueStyleImpl`, `NotationPackageImpl.getStringValueStyle()`, Constant Field Values
  ** Generated **

### STRING_VALUE_STYLE__NAME

    static final int STRING_VALUE_STYLE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### STRING_VALUE_STYLE__STRING_VALUE

    static final int STRING_VALUE_STYLE__STRING_VALUE

  The feature id for the 'String Value' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### STRING_VALUE_STYLE_FEATURE_COUNT

    static final int STRING_VALUE_STYLE_FEATURE_COUNT

  The number of structural features of the 'String Value Style' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### STRING_LIST_VALUE_STYLE

    static final int STRING_LIST_VALUE_STYLE

  The meta object id for the '`String List Value Style`' class.

  See Also:
    `StringListValueStyleImpl`, `NotationPackageImpl.getStringListValueStyle()`, Constant Field Values
  ** Generated **

### STRING_LIST_VALUE_STYLE__NAME

    static final int STRING_LIST_VALUE_STYLE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### STRING_LIST_VALUE_STYLE__STRING_LIST_VALUE

    static final int STRING_LIST_VALUE_STYLE__STRING_LIST_VALUE

  The feature id for the 'String List Value' attribute list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### STRING_LIST_VALUE_STYLE_FEATURE_COUNT

    static final int STRING_LIST_VALUE_STYLE_FEATURE_COUNT

  The number of structural features of the 'String List Value Style' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### EOBJECT_VALUE_STYLE

    static final int EOBJECT_VALUE_STYLE

  The meta object id for the '`EObject Value Style`' class.

  See Also:
    `EObjectValueStyleImpl`, `NotationPackageImpl.getEObjectValueStyle()`, Constant Field Values
  ** Generated **

### EOBJECT_VALUE_STYLE__NAME

    static final int EOBJECT_VALUE_STYLE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### EOBJECT_VALUE_STYLE__EOBJECT_VALUE

    static final int EOBJECT_VALUE_STYLE__EOBJECT_VALUE

  The feature id for the 'EObject Value' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### EOBJECT_VALUE_STYLE_FEATURE_COUNT

    static final int EOBJECT_VALUE_STYLE_FEATURE_COUNT

  The number of structural features of the 'EObject Value Style' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### EOBJECT_LIST_VALUE_STYLE

    static final int EOBJECT_LIST_VALUE_STYLE

  The meta object id for the '`EObject List Value Style`' class.

  See Also:
    `EObjectListValueStyleImpl`, `NotationPackageImpl.getEObjectListValueStyle()`, Constant Field Values
  ** Generated **

### EOBJECT_LIST_VALUE_STYLE__NAME

    static final int EOBJECT_LIST_VALUE_STYLE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### EOBJECT_LIST_VALUE_STYLE__EOBJECT_LIST_VALUE

    static final int EOBJECT_LIST_VALUE_STYLE__EOBJECT_LIST_VALUE

  The feature id for the 'EObject List Value' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### EOBJECT_LIST_VALUE_STYLE_FEATURE_COUNT

    static final int EOBJECT_LIST_VALUE_STYLE_FEATURE_COUNT

  The number of structural features of the 'EObject List Value Style' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BYTE_ARRAY_VALUE_STYLE

    static final int BYTE_ARRAY_VALUE_STYLE

  The meta object id for the '`Byte Array Value Style`' class.

  See Also:
    `ByteArrayValueStyleImpl`, `NotationPackageImpl.getByteArrayValueStyle()`, Constant Field Values
  ** Generated **

### BYTE_ARRAY_VALUE_STYLE__NAME

    static final int BYTE_ARRAY_VALUE_STYLE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BYTE_ARRAY_VALUE_STYLE__BYTE_ARRAY_VALUE

    static final int BYTE_ARRAY_VALUE_STYLE__BYTE_ARRAY_VALUE

  The feature id for the 'Byte Array Value' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BYTE_ARRAY_VALUE_STYLE_FEATURE_COUNT

    static final int BYTE_ARRAY_VALUE_STYLE_FEATURE_COUNT

  The number of structural features of the 'Byte Array Value Style' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BOOLEAN_LIST_VALUE_STYLE

    static final int BOOLEAN_LIST_VALUE_STYLE

  The meta object id for the '`Boolean List Value Style`' class.

  See Also:
    `BooleanListValueStyleImpl`, `NotationPackageImpl.getBooleanListValueStyle()`, Constant Field Values
  ** Generated **

### BOOLEAN_LIST_VALUE_STYLE__NAME

    static final int BOOLEAN_LIST_VALUE_STYLE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BOOLEAN_LIST_VALUE_STYLE__BOOLEAN_LIST_VALUE

    static final int BOOLEAN_LIST_VALUE_STYLE__BOOLEAN_LIST_VALUE

  The feature id for the 'Boolean List Value' attribute list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BOOLEAN_LIST_VALUE_STYLE_FEATURE_COUNT

    static final int BOOLEAN_LIST_VALUE_STYLE_FEATURE_COUNT

  The number of structural features of the 'Boolean List Value Style' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DIAGRAM_LINK_STYLE

    static final int DIAGRAM_LINK_STYLE

  The meta object id for the '`Diagram Link Style`' class.

  See Also:
    `DiagramLinkStyleImpl`, `NotationPackageImpl.getDiagramLinkStyle()`, Constant Field Values
  ** Generated **

### DIAGRAM_LINK_STYLE__DIAGRAM_LINK

    static final int DIAGRAM_LINK_STYLE__DIAGRAM_LINK

  The feature id for the 'Diagram Link' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DIAGRAM_LINK_STYLE_FEATURE_COUNT

    static final int DIAGRAM_LINK_STYLE_FEATURE_COUNT

  The number of structural features of the 'Diagram Link Style' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### HINTED_DIAGRAM_LINK_STYLE

    static final int HINTED_DIAGRAM_LINK_STYLE

  The meta object id for the '`Hinted Diagram Link Style`' class.

  See Also:
    `HintedDiagramLinkStyleImpl`, `NotationPackageImpl.getHintedDiagramLinkStyle()`, Constant Field Values
  ** Generated **

### HINTED_DIAGRAM_LINK_STYLE__DIAGRAM_LINK

    static final int HINTED_DIAGRAM_LINK_STYLE__DIAGRAM_LINK

  The feature id for the 'Diagram Link' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### HINTED_DIAGRAM_LINK_STYLE__HINT

    static final int HINTED_DIAGRAM_LINK_STYLE__HINT

  The feature id for the 'Hint' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### HINTED_DIAGRAM_LINK_STYLE_FEATURE_COUNT

    static final int HINTED_DIAGRAM_LINK_STYLE_FEATURE_COUNT

  The number of structural features of the 'Hinted Diagram Link Style' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### MULTI_DIAGRAM_LINK_STYLE

    static final int MULTI_DIAGRAM_LINK_STYLE

  The meta object id for the '`Multi Diagram Link Style`' class.

  See Also:
    `MultiDiagramLinkStyleImpl`, `NotationPackageImpl.getMultiDiagramLinkStyle()`, Constant Field Values
  ** Generated **

### MULTI_DIAGRAM_LINK_STYLE__DIAGRAM_LINKS

    static final int MULTI_DIAGRAM_LINK_STYLE__DIAGRAM_LINKS

  The feature id for the 'Diagram Links' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### MULTI_DIAGRAM_LINK_STYLE_FEATURE_COUNT

    static final int MULTI_DIAGRAM_LINK_STYLE_FEATURE_COUNT

  The number of structural features of the 'Multi Diagram Link Style' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### TEXT_STYLE

    static final int TEXT_STYLE

  The meta object id for the '`Text Style`' class.

  See Also:
    `TextStyleImpl`, `NotationPackageImpl.getTextStyle()`, Constant Field Values
  ** Generated **

### TEXT_STYLE__TEXT_ALIGNMENT

    static final int TEXT_STYLE__TEXT_ALIGNMENT

  The feature id for the 'Text Alignment' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### TEXT_STYLE_FEATURE_COUNT

    static final int TEXT_STYLE_FEATURE_COUNT

  The number of structural features of the 'Text Style' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LINE_TYPE_STYLE

    static final int LINE_TYPE_STYLE

  The meta object id for the '`Line Type Style`' class.

  See Also:
    `LineTypeStyleImpl`, `NotationPackageImpl.getLineTypeStyle()`, Constant Field Values
  ** Generated **

### LINE_TYPE_STYLE__LINE_TYPE

    static final int LINE_TYPE_STYLE__LINE_TYPE

  The feature id for the 'Line Type' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LINE_TYPE_STYLE_FEATURE_COUNT

    static final int LINE_TYPE_STYLE_FEATURE_COUNT

  The number of structural features of the 'Line Type Style' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ARROW_STYLE

    static final int ARROW_STYLE

  The meta object id for the '`Arrow Style`' class.

  See Also:
    `ArrowStyleImpl`, `NotationPackageImpl.getArrowStyle()`, Constant Field Values
  ** Generated **

### ARROW_STYLE__ARROW_SOURCE

    static final int ARROW_STYLE__ARROW_SOURCE

  The feature id for the 'Arrow Source' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ARROW_STYLE__ARROW_TARGET

    static final int ARROW_STYLE__ARROW_TARGET

  The feature id for the 'Arrow Target' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### ARROW_STYLE_FEATURE_COUNT

    static final int ARROW_STYLE_FEATURE_COUNT

  The number of structural features of the 'Arrow Style' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE

    static final int SHAPE

  The meta object id for the '`Shape`' class.

  See Also:
    `ShapeImpl`, `NotationPackageImpl.getShape()`, Constant Field Values
  ** Generated **

### SHAPE__EANNOTATIONS

    static final int SHAPE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE__VISIBLE

    static final int SHAPE__VISIBLE

  The feature id for the 'Visible' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE__TYPE

    static final int SHAPE__TYPE

  The feature id for the 'Type' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE__MUTABLE

    static final int SHAPE__MUTABLE

  The feature id for the 'Mutable' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE__SOURCE_EDGES

    static final int SHAPE__SOURCE_EDGES

  The feature id for the 'Source Edges' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE__TARGET_EDGES

    static final int SHAPE__TARGET_EDGES

  The feature id for the 'Target Edges' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE__PERSISTED_CHILDREN

    static final int SHAPE__PERSISTED_CHILDREN

  The feature id for the 'Persisted Children' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE__STYLES

    static final int SHAPE__STYLES

  The feature id for the 'Styles' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE__ELEMENT

    static final int SHAPE__ELEMENT

  The feature id for the 'Element' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE__DIAGRAM

    static final int SHAPE__DIAGRAM

  The feature id for the 'Diagram' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE__TRANSIENT_CHILDREN

    static final int SHAPE__TRANSIENT_CHILDREN

  The feature id for the 'Transient Children' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE__LAYOUT_CONSTRAINT

    static final int SHAPE__LAYOUT_CONSTRAINT

  The feature id for the 'Layout Constraint' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE__FONT_COLOR

    static final int SHAPE__FONT_COLOR

  The feature id for the 'Font Color' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE__FONT_NAME

    static final int SHAPE__FONT_NAME

  The feature id for the 'Font Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE__FONT_HEIGHT

    static final int SHAPE__FONT_HEIGHT

  The feature id for the 'Font Height' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE__BOLD

    static final int SHAPE__BOLD

  The feature id for the 'Bold' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE__ITALIC

    static final int SHAPE__ITALIC

  The feature id for the 'Italic' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE__UNDERLINE

    static final int SHAPE__UNDERLINE

  The feature id for the 'Underline' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE__STRIKE_THROUGH

    static final int SHAPE__STRIKE_THROUGH

  The feature id for the 'Strike Through' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE__DESCRIPTION

    static final int SHAPE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE__FILL_COLOR

    static final int SHAPE__FILL_COLOR

  The feature id for the 'Fill Color' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE__TRANSPARENCY

    static final int SHAPE__TRANSPARENCY

  The feature id for the 'Transparency' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE__GRADIENT

    static final int SHAPE__GRADIENT

  The feature id for the 'Gradient' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE__LINE_COLOR

    static final int SHAPE__LINE_COLOR

  The feature id for the 'Line Color' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE__LINE_WIDTH

    static final int SHAPE__LINE_WIDTH

  The feature id for the 'Line Width' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SHAPE_FEATURE_COUNT

    static final int SHAPE_FEATURE_COUNT

  The number of structural features of the 'Shape' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### COMPARTMENT

    static final int COMPARTMENT

  The meta object id for the '`Compartment`' class.

  See Also:
    `CompartmentImpl`, `NotationPackageImpl.getCompartment()`, Constant Field Values
  ** Generated **

### LIST_COMPARTMENT

    static final int LIST_COMPARTMENT

  The meta object id for the '`List Compartment`' class.

  See Also:
    `ListCompartmentImpl`, `NotationPackageImpl.getListCompartment()`, Constant Field Values
  ** Generated **

### CONNECTOR

    static final int CONNECTOR

  The meta object id for the '`Connector`' class.

  See Also:
    `ConnectorImpl`, `NotationPackageImpl.getConnector()`, Constant Field Values
  ** Generated **

### STANDARD_DIAGRAM

    static final int STANDARD_DIAGRAM

  The meta object id for the '`Standard Diagram`' class.

  See Also:
    `StandardDiagramImpl`, `NotationPackageImpl.getStandardDiagram()`, Constant Field Values
  ** Generated **

### BASIC_DECORATION_NODE

    static final int BASIC_DECORATION_NODE

  The meta object id for the '`Basic Decoration Node`' class.

  See Also:
    `BasicDecorationNodeImpl`, `NotationPackageImpl.getBasicDecorationNode()`, Constant Field Values
  ** Generated **

### BASIC_DECORATION_NODE__EANNOTATIONS

    static final int BASIC_DECORATION_NODE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BASIC_DECORATION_NODE__VISIBLE

    static final int BASIC_DECORATION_NODE__VISIBLE

  The feature id for the 'Visible' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BASIC_DECORATION_NODE__TYPE

    static final int BASIC_DECORATION_NODE__TYPE

  The feature id for the 'Type' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BASIC_DECORATION_NODE__MUTABLE

    static final int BASIC_DECORATION_NODE__MUTABLE

  The feature id for the 'Mutable' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BASIC_DECORATION_NODE__SOURCE_EDGES

    static final int BASIC_DECORATION_NODE__SOURCE_EDGES

  The feature id for the 'Source Edges' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BASIC_DECORATION_NODE__TARGET_EDGES

    static final int BASIC_DECORATION_NODE__TARGET_EDGES

  The feature id for the 'Target Edges' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BASIC_DECORATION_NODE__PERSISTED_CHILDREN

    static final int BASIC_DECORATION_NODE__PERSISTED_CHILDREN

  The feature id for the 'Persisted Children' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BASIC_DECORATION_NODE__STYLES

    static final int BASIC_DECORATION_NODE__STYLES

  The feature id for the 'Styles' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BASIC_DECORATION_NODE__ELEMENT

    static final int BASIC_DECORATION_NODE__ELEMENT

  The feature id for the 'Element' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BASIC_DECORATION_NODE__DIAGRAM

    static final int BASIC_DECORATION_NODE__DIAGRAM

  The feature id for the 'Diagram' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BASIC_DECORATION_NODE__TRANSIENT_CHILDREN

    static final int BASIC_DECORATION_NODE__TRANSIENT_CHILDREN

  The feature id for the 'Transient Children' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BASIC_DECORATION_NODE__LAYOUT_CONSTRAINT

    static final int BASIC_DECORATION_NODE__LAYOUT_CONSTRAINT

  The feature id for the 'Layout Constraint' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BASIC_DECORATION_NODE_FEATURE_COUNT

    static final int BASIC_DECORATION_NODE_FEATURE_COUNT

  The number of structural features of the 'Basic Decoration Node' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DECORATION_NODE

    static final int DECORATION_NODE

  The meta object id for the '`Decoration Node`' class.

  See Also:
    `DecorationNodeImpl`, `NotationPackageImpl.getDecorationNode()`, Constant Field Values
  ** Generated **

### DECORATION_NODE__EANNOTATIONS

    static final int DECORATION_NODE__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DECORATION_NODE__VISIBLE

    static final int DECORATION_NODE__VISIBLE

  The feature id for the 'Visible' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DECORATION_NODE__TYPE

    static final int DECORATION_NODE__TYPE

  The feature id for the 'Type' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DECORATION_NODE__MUTABLE

    static final int DECORATION_NODE__MUTABLE

  The feature id for the 'Mutable' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DECORATION_NODE__SOURCE_EDGES

    static final int DECORATION_NODE__SOURCE_EDGES

  The feature id for the 'Source Edges' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DECORATION_NODE__TARGET_EDGES

    static final int DECORATION_NODE__TARGET_EDGES

  The feature id for the 'Target Edges' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DECORATION_NODE__PERSISTED_CHILDREN

    static final int DECORATION_NODE__PERSISTED_CHILDREN

  The feature id for the 'Persisted Children' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DECORATION_NODE__STYLES

    static final int DECORATION_NODE__STYLES

  The feature id for the 'Styles' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DECORATION_NODE__ELEMENT

    static final int DECORATION_NODE__ELEMENT

  The feature id for the 'Element' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DECORATION_NODE__DIAGRAM

    static final int DECORATION_NODE__DIAGRAM

  The feature id for the 'Diagram' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DECORATION_NODE__TRANSIENT_CHILDREN

    static final int DECORATION_NODE__TRANSIENT_CHILDREN

  The feature id for the 'Transient Children' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DECORATION_NODE__LAYOUT_CONSTRAINT

    static final int DECORATION_NODE__LAYOUT_CONSTRAINT

  The feature id for the 'Layout Constraint' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### DECORATION_NODE_FEATURE_COUNT

    static final int DECORATION_NODE_FEATURE_COUNT

  The number of structural features of the 'Decoration Node' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BASIC_COMPARTMENT

    static final int BASIC_COMPARTMENT

  The meta object id for the '`Basic Compartment`' class.

  See Also:
    `BasicCompartmentImpl`, `NotationPackageImpl.getBasicCompartment()`, Constant Field Values
  ** Generated **

### BASIC_COMPARTMENT__EANNOTATIONS

    static final int BASIC_COMPARTMENT__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BASIC_COMPARTMENT__VISIBLE

    static final int BASIC_COMPARTMENT__VISIBLE

  The feature id for the 'Visible' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BASIC_COMPARTMENT__TYPE

    static final int BASIC_COMPARTMENT__TYPE

  The feature id for the 'Type' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BASIC_COMPARTMENT__MUTABLE

    static final int BASIC_COMPARTMENT__MUTABLE

  The feature id for the 'Mutable' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BASIC_COMPARTMENT__SOURCE_EDGES

    static final int BASIC_COMPARTMENT__SOURCE_EDGES

  The feature id for the 'Source Edges' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BASIC_COMPARTMENT__TARGET_EDGES

    static final int BASIC_COMPARTMENT__TARGET_EDGES

  The feature id for the 'Target Edges' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BASIC_COMPARTMENT__PERSISTED_CHILDREN

    static final int BASIC_COMPARTMENT__PERSISTED_CHILDREN

  The feature id for the 'Persisted Children' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BASIC_COMPARTMENT__STYLES

    static final int BASIC_COMPARTMENT__STYLES

  The feature id for the 'Styles' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BASIC_COMPARTMENT__ELEMENT

    static final int BASIC_COMPARTMENT__ELEMENT

  The feature id for the 'Element' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BASIC_COMPARTMENT__DIAGRAM

    static final int BASIC_COMPARTMENT__DIAGRAM

  The feature id for the 'Diagram' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BASIC_COMPARTMENT__TRANSIENT_CHILDREN

    static final int BASIC_COMPARTMENT__TRANSIENT_CHILDREN

  The feature id for the 'Transient Children' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BASIC_COMPARTMENT__LAYOUT_CONSTRAINT

    static final int BASIC_COMPARTMENT__LAYOUT_CONSTRAINT

  The feature id for the 'Layout Constraint' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BASIC_COMPARTMENT__COLLAPSED

    static final int BASIC_COMPARTMENT__COLLAPSED

  The feature id for the 'Collapsed' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BASIC_COMPARTMENT_FEATURE_COUNT

    static final int BASIC_COMPARTMENT_FEATURE_COUNT

  The number of structural features of the 'Basic Compartment' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### COMPARTMENT__EANNOTATIONS

    static final int COMPARTMENT__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### COMPARTMENT__VISIBLE

    static final int COMPARTMENT__VISIBLE

  The feature id for the 'Visible' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### COMPARTMENT__TYPE

    static final int COMPARTMENT__TYPE

  The feature id for the 'Type' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### COMPARTMENT__MUTABLE

    static final int COMPARTMENT__MUTABLE

  The feature id for the 'Mutable' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### COMPARTMENT__SOURCE_EDGES

    static final int COMPARTMENT__SOURCE_EDGES

  The feature id for the 'Source Edges' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### COMPARTMENT__TARGET_EDGES

    static final int COMPARTMENT__TARGET_EDGES

  The feature id for the 'Target Edges' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### COMPARTMENT__PERSISTED_CHILDREN

    static final int COMPARTMENT__PERSISTED_CHILDREN

  The feature id for the 'Persisted Children' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### COMPARTMENT__STYLES

    static final int COMPARTMENT__STYLES

  The feature id for the 'Styles' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### COMPARTMENT__ELEMENT

    static final int COMPARTMENT__ELEMENT

  The feature id for the 'Element' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### COMPARTMENT__DIAGRAM

    static final int COMPARTMENT__DIAGRAM

  The feature id for the 'Diagram' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### COMPARTMENT__TRANSIENT_CHILDREN

    static final int COMPARTMENT__TRANSIENT_CHILDREN

  The feature id for the 'Transient Children' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### COMPARTMENT__LAYOUT_CONSTRAINT

    static final int COMPARTMENT__LAYOUT_CONSTRAINT

  The feature id for the 'Layout Constraint' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### COMPARTMENT__COLLAPSED

    static final int COMPARTMENT__COLLAPSED

  The feature id for the 'Collapsed' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### COMPARTMENT__CANONICAL

    static final int COMPARTMENT__CANONICAL

  The feature id for the 'Canonical' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### COMPARTMENT__SHOW_TITLE

    static final int COMPARTMENT__SHOW_TITLE

  The feature id for the 'Show Title' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### COMPARTMENT_FEATURE_COUNT

    static final int COMPARTMENT_FEATURE_COUNT

  The number of structural features of the 'Compartment' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LIST_COMPARTMENT__EANNOTATIONS

    static final int LIST_COMPARTMENT__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LIST_COMPARTMENT__VISIBLE

    static final int LIST_COMPARTMENT__VISIBLE

  The feature id for the 'Visible' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LIST_COMPARTMENT__TYPE

    static final int LIST_COMPARTMENT__TYPE

  The feature id for the 'Type' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LIST_COMPARTMENT__MUTABLE

    static final int LIST_COMPARTMENT__MUTABLE

  The feature id for the 'Mutable' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LIST_COMPARTMENT__SOURCE_EDGES

    static final int LIST_COMPARTMENT__SOURCE_EDGES

  The feature id for the 'Source Edges' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LIST_COMPARTMENT__TARGET_EDGES

    static final int LIST_COMPARTMENT__TARGET_EDGES

  The feature id for the 'Target Edges' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LIST_COMPARTMENT__PERSISTED_CHILDREN

    static final int LIST_COMPARTMENT__PERSISTED_CHILDREN

  The feature id for the 'Persisted Children' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LIST_COMPARTMENT__STYLES

    static final int LIST_COMPARTMENT__STYLES

  The feature id for the 'Styles' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LIST_COMPARTMENT__ELEMENT

    static final int LIST_COMPARTMENT__ELEMENT

  The feature id for the 'Element' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LIST_COMPARTMENT__DIAGRAM

    static final int LIST_COMPARTMENT__DIAGRAM

  The feature id for the 'Diagram' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LIST_COMPARTMENT__TRANSIENT_CHILDREN

    static final int LIST_COMPARTMENT__TRANSIENT_CHILDREN

  The feature id for the 'Transient Children' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LIST_COMPARTMENT__LAYOUT_CONSTRAINT

    static final int LIST_COMPARTMENT__LAYOUT_CONSTRAINT

  The feature id for the 'Layout Constraint' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LIST_COMPARTMENT__COLLAPSED

    static final int LIST_COMPARTMENT__COLLAPSED

  The feature id for the 'Collapsed' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LIST_COMPARTMENT__SORTING

    static final int LIST_COMPARTMENT__SORTING

  The feature id for the 'Sorting' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LIST_COMPARTMENT__SORTING_KEYS

    static final int LIST_COMPARTMENT__SORTING_KEYS

  The feature id for the 'Sorting Keys' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LIST_COMPARTMENT__SORTED_OBJECTS

    static final int LIST_COMPARTMENT__SORTED_OBJECTS

  The feature id for the 'Sorted Objects' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LIST_COMPARTMENT__FILTERING

    static final int LIST_COMPARTMENT__FILTERING

  The feature id for the 'Filtering' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LIST_COMPARTMENT__FILTERING_KEYS

    static final int LIST_COMPARTMENT__FILTERING_KEYS

  The feature id for the 'Filtering Keys' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LIST_COMPARTMENT__FILTERED_OBJECTS

    static final int LIST_COMPARTMENT__FILTERED_OBJECTS

  The feature id for the 'Filtered Objects' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LIST_COMPARTMENT__SHOW_TITLE

    static final int LIST_COMPARTMENT__SHOW_TITLE

  The feature id for the 'Show Title' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### LIST_COMPARTMENT_FEATURE_COUNT

    static final int LIST_COMPARTMENT_FEATURE_COUNT

  The number of structural features of the 'List Compartment' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONNECTOR__EANNOTATIONS

    static final int CONNECTOR__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONNECTOR__VISIBLE

    static final int CONNECTOR__VISIBLE

  The feature id for the 'Visible' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONNECTOR__TYPE

    static final int CONNECTOR__TYPE

  The feature id for the 'Type' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONNECTOR__MUTABLE

    static final int CONNECTOR__MUTABLE

  The feature id for the 'Mutable' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONNECTOR__SOURCE_EDGES

    static final int CONNECTOR__SOURCE_EDGES

  The feature id for the 'Source Edges' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONNECTOR__TARGET_EDGES

    static final int CONNECTOR__TARGET_EDGES

  The feature id for the 'Target Edges' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONNECTOR__PERSISTED_CHILDREN

    static final int CONNECTOR__PERSISTED_CHILDREN

  The feature id for the 'Persisted Children' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONNECTOR__STYLES

    static final int CONNECTOR__STYLES

  The feature id for the 'Styles' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONNECTOR__ELEMENT

    static final int CONNECTOR__ELEMENT

  The feature id for the 'Element' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONNECTOR__DIAGRAM

    static final int CONNECTOR__DIAGRAM

  The feature id for the 'Diagram' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONNECTOR__TRANSIENT_CHILDREN

    static final int CONNECTOR__TRANSIENT_CHILDREN

  The feature id for the 'Transient Children' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONNECTOR__SOURCE

    static final int CONNECTOR__SOURCE

  The feature id for the 'Source' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONNECTOR__TARGET

    static final int CONNECTOR__TARGET

  The feature id for the 'Target' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONNECTOR__BENDPOINTS

    static final int CONNECTOR__BENDPOINTS

  The feature id for the 'Bendpoints' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONNECTOR__SOURCE_ANCHOR

    static final int CONNECTOR__SOURCE_ANCHOR

  The feature id for the 'Source Anchor' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONNECTOR__TARGET_ANCHOR

    static final int CONNECTOR__TARGET_ANCHOR

  The feature id for the 'Target Anchor' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONNECTOR__ROUTING

    static final int CONNECTOR__ROUTING

  The feature id for the 'Routing' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONNECTOR__SMOOTHNESS

    static final int CONNECTOR__SMOOTHNESS

  The feature id for the 'Smoothness' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONNECTOR__AVOID_OBSTRUCTIONS

    static final int CONNECTOR__AVOID_OBSTRUCTIONS

  The feature id for the 'Avoid Obstructions' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONNECTOR__CLOSEST_DISTANCE

    static final int CONNECTOR__CLOSEST_DISTANCE

  The feature id for the 'Closest Distance' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONNECTOR__JUMP_LINK_STATUS

    static final int CONNECTOR__JUMP_LINK_STATUS

  The feature id for the 'Jump Link Status' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONNECTOR__JUMP_LINK_TYPE

    static final int CONNECTOR__JUMP_LINK_TYPE

  The feature id for the 'Jump Link Type' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONNECTOR__JUMP_LINKS_REVERSE

    static final int CONNECTOR__JUMP_LINKS_REVERSE

  The feature id for the 'Jump Links Reverse' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONNECTOR__ROUNDED_BENDPOINTS_RADIUS

    static final int CONNECTOR__ROUNDED_BENDPOINTS_RADIUS

  The feature id for the 'Rounded Bendpoints Radius' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONNECTOR__LINE_COLOR

    static final int CONNECTOR__LINE_COLOR

  The feature id for the 'Line Color' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONNECTOR__LINE_WIDTH

    static final int CONNECTOR__LINE_WIDTH

  The feature id for the 'Line Width' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### CONNECTOR_FEATURE_COUNT

    static final int CONNECTOR_FEATURE_COUNT

  The number of structural features of the 'Connector' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### STANDARD_DIAGRAM__EANNOTATIONS

    static final int STANDARD_DIAGRAM__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### STANDARD_DIAGRAM__VISIBLE

    static final int STANDARD_DIAGRAM__VISIBLE

  The feature id for the 'Visible' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### STANDARD_DIAGRAM__TYPE

    static final int STANDARD_DIAGRAM__TYPE

  The feature id for the 'Type' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### STANDARD_DIAGRAM__MUTABLE

    static final int STANDARD_DIAGRAM__MUTABLE

  The feature id for the 'Mutable' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### STANDARD_DIAGRAM__SOURCE_EDGES

    static final int STANDARD_DIAGRAM__SOURCE_EDGES

  The feature id for the 'Source Edges' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### STANDARD_DIAGRAM__TARGET_EDGES

    static final int STANDARD_DIAGRAM__TARGET_EDGES

  The feature id for the 'Target Edges' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### STANDARD_DIAGRAM__PERSISTED_CHILDREN

    static final int STANDARD_DIAGRAM__PERSISTED_CHILDREN

  The feature id for the 'Persisted Children' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### STANDARD_DIAGRAM__STYLES

    static final int STANDARD_DIAGRAM__STYLES

  The feature id for the 'Styles' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### STANDARD_DIAGRAM__ELEMENT

    static final int STANDARD_DIAGRAM__ELEMENT

  The feature id for the 'Element' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### STANDARD_DIAGRAM__DIAGRAM

    static final int STANDARD_DIAGRAM__DIAGRAM

  The feature id for the 'Diagram' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### STANDARD_DIAGRAM__TRANSIENT_CHILDREN

    static final int STANDARD_DIAGRAM__TRANSIENT_CHILDREN

  The feature id for the 'Transient Children' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### STANDARD_DIAGRAM__NAME

    static final int STANDARD_DIAGRAM__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### STANDARD_DIAGRAM__MEASUREMENT_UNIT

    static final int STANDARD_DIAGRAM__MEASUREMENT_UNIT

  The feature id for the 'Measurement Unit' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### STANDARD_DIAGRAM__PERSISTED_EDGES

    static final int STANDARD_DIAGRAM__PERSISTED_EDGES

  The feature id for the 'Persisted Edges' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### STANDARD_DIAGRAM__TRANSIENT_EDGES

    static final int STANDARD_DIAGRAM__TRANSIENT_EDGES

  The feature id for the 'Transient Edges' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### STANDARD_DIAGRAM__PAGE_X

    static final int STANDARD_DIAGRAM__PAGE_X

  The feature id for the 'Page X' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### STANDARD_DIAGRAM__PAGE_Y

    static final int STANDARD_DIAGRAM__PAGE_Y

  The feature id for the 'Page Y' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### STANDARD_DIAGRAM__PAGE_WIDTH

    static final int STANDARD_DIAGRAM__PAGE_WIDTH

  The feature id for the 'Page Width' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### STANDARD_DIAGRAM__PAGE_HEIGHT

    static final int STANDARD_DIAGRAM__PAGE_HEIGHT

  The feature id for the 'Page Height' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### STANDARD_DIAGRAM__HORIZONTAL_GUIDES

    static final int STANDARD_DIAGRAM__HORIZONTAL_GUIDES

  The feature id for the 'Horizontal Guides' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### STANDARD_DIAGRAM__VERTICAL_GUIDES

    static final int STANDARD_DIAGRAM__VERTICAL_GUIDES

  The feature id for the 'Vertical Guides' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### STANDARD_DIAGRAM__DESCRIPTION

    static final int STANDARD_DIAGRAM__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### STANDARD_DIAGRAM_FEATURE_COUNT

    static final int STANDARD_DIAGRAM_FEATURE_COUNT

  The number of structural features of the 'Standard Diagram' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BASIC_SEMANTIC_COMPARTMENT

    static final int BASIC_SEMANTIC_COMPARTMENT

  The meta object id for the '`Basic Semantic Compartment`' class.

  See Also:
    `BasicSemanticCompartmentImpl`, `NotationPackageImpl.getBasicSemanticCompartment()`, Constant Field Values
  ** Generated **

### BASIC_SEMANTIC_COMPARTMENT__EANNOTATIONS

    static final int BASIC_SEMANTIC_COMPARTMENT__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BASIC_SEMANTIC_COMPARTMENT__VISIBLE

    static final int BASIC_SEMANTIC_COMPARTMENT__VISIBLE

  The feature id for the 'Visible' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BASIC_SEMANTIC_COMPARTMENT__TYPE

    static final int BASIC_SEMANTIC_COMPARTMENT__TYPE

  The feature id for the 'Type' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BASIC_SEMANTIC_COMPARTMENT__MUTABLE

    static final int BASIC_SEMANTIC_COMPARTMENT__MUTABLE

  The feature id for the 'Mutable' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BASIC_SEMANTIC_COMPARTMENT__SOURCE_EDGES

    static final int BASIC_SEMANTIC_COMPARTMENT__SOURCE_EDGES

  The feature id for the 'Source Edges' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BASIC_SEMANTIC_COMPARTMENT__TARGET_EDGES

    static final int BASIC_SEMANTIC_COMPARTMENT__TARGET_EDGES

  The feature id for the 'Target Edges' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BASIC_SEMANTIC_COMPARTMENT__PERSISTED_CHILDREN

    static final int BASIC_SEMANTIC_COMPARTMENT__PERSISTED_CHILDREN

  The feature id for the 'Persisted Children' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BASIC_SEMANTIC_COMPARTMENT__STYLES

    static final int BASIC_SEMANTIC_COMPARTMENT__STYLES

  The feature id for the 'Styles' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BASIC_SEMANTIC_COMPARTMENT__ELEMENT

    static final int BASIC_SEMANTIC_COMPARTMENT__ELEMENT

  The feature id for the 'Element' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BASIC_SEMANTIC_COMPARTMENT__DIAGRAM

    static final int BASIC_SEMANTIC_COMPARTMENT__DIAGRAM

  The feature id for the 'Diagram' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BASIC_SEMANTIC_COMPARTMENT__TRANSIENT_CHILDREN

    static final int BASIC_SEMANTIC_COMPARTMENT__TRANSIENT_CHILDREN

  The feature id for the 'Transient Children' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BASIC_SEMANTIC_COMPARTMENT__LAYOUT_CONSTRAINT

    static final int BASIC_SEMANTIC_COMPARTMENT__LAYOUT_CONSTRAINT

  The feature id for the 'Layout Constraint' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BASIC_SEMANTIC_COMPARTMENT__COLLAPSED

    static final int BASIC_SEMANTIC_COMPARTMENT__COLLAPSED

  The feature id for the 'Collapsed' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### BASIC_SEMANTIC_COMPARTMENT_FEATURE_COUNT

    static final int BASIC_SEMANTIC_COMPARTMENT_FEATURE_COUNT

  The number of structural features of the 'Basic Semantic Compartment' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SEMANTIC_LIST_COMPARTMENT

    static final int SEMANTIC_LIST_COMPARTMENT

  The meta object id for the '`Semantic List Compartment`' class.

  See Also:
    `SemanticListCompartmentImpl`, `NotationPackageImpl.getSemanticListCompartment()`, Constant Field Values
  ** Generated **

### SEMANTIC_LIST_COMPARTMENT__EANNOTATIONS

    static final int SEMANTIC_LIST_COMPARTMENT__EANNOTATIONS

  The feature id for the 'EAnnotations' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SEMANTIC_LIST_COMPARTMENT__VISIBLE

    static final int SEMANTIC_LIST_COMPARTMENT__VISIBLE

  The feature id for the 'Visible' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SEMANTIC_LIST_COMPARTMENT__TYPE

    static final int SEMANTIC_LIST_COMPARTMENT__TYPE

  The feature id for the 'Type' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SEMANTIC_LIST_COMPARTMENT__MUTABLE

    static final int SEMANTIC_LIST_COMPARTMENT__MUTABLE

  The feature id for the 'Mutable' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SEMANTIC_LIST_COMPARTMENT__SOURCE_EDGES

    static final int SEMANTIC_LIST_COMPARTMENT__SOURCE_EDGES

  The feature id for the 'Source Edges' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SEMANTIC_LIST_COMPARTMENT__TARGET_EDGES

    static final int SEMANTIC_LIST_COMPARTMENT__TARGET_EDGES

  The feature id for the 'Target Edges' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SEMANTIC_LIST_COMPARTMENT__PERSISTED_CHILDREN

    static final int SEMANTIC_LIST_COMPARTMENT__PERSISTED_CHILDREN

  The feature id for the 'Persisted Children' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SEMANTIC_LIST_COMPARTMENT__STYLES

    static final int SEMANTIC_LIST_COMPARTMENT__STYLES

  The feature id for the 'Styles' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SEMANTIC_LIST_COMPARTMENT__ELEMENT

    static final int SEMANTIC_LIST_COMPARTMENT__ELEMENT

  The feature id for the 'Element' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SEMANTIC_LIST_COMPARTMENT__DIAGRAM

    static final int SEMANTIC_LIST_COMPARTMENT__DIAGRAM

  The feature id for the 'Diagram' reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SEMANTIC_LIST_COMPARTMENT__TRANSIENT_CHILDREN

    static final int SEMANTIC_LIST_COMPARTMENT__TRANSIENT_CHILDREN

  The feature id for the 'Transient Children' containment reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SEMANTIC_LIST_COMPARTMENT__LAYOUT_CONSTRAINT

    static final int SEMANTIC_LIST_COMPARTMENT__LAYOUT_CONSTRAINT

  The feature id for the 'Layout Constraint' containment reference.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SEMANTIC_LIST_COMPARTMENT__COLLAPSED

    static final int SEMANTIC_LIST_COMPARTMENT__COLLAPSED

  The feature id for the 'Collapsed' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SEMANTIC_LIST_COMPARTMENT__SORTING

    static final int SEMANTIC_LIST_COMPARTMENT__SORTING

  The feature id for the 'Sorting' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SEMANTIC_LIST_COMPARTMENT__SORTING_KEYS

    static final int SEMANTIC_LIST_COMPARTMENT__SORTING_KEYS

  The feature id for the 'Sorting Keys' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SEMANTIC_LIST_COMPARTMENT__SORTED_OBJECTS

    static final int SEMANTIC_LIST_COMPARTMENT__SORTED_OBJECTS

  The feature id for the 'Sorted Objects' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SEMANTIC_LIST_COMPARTMENT__FILTERING

    static final int SEMANTIC_LIST_COMPARTMENT__FILTERING

  The feature id for the 'Filtering' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SEMANTIC_LIST_COMPARTMENT__FILTERING_KEYS

    static final int SEMANTIC_LIST_COMPARTMENT__FILTERING_KEYS

  The feature id for the 'Filtering Keys' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SEMANTIC_LIST_COMPARTMENT__FILTERED_OBJECTS

    static final int SEMANTIC_LIST_COMPARTMENT__FILTERED_OBJECTS

  The feature id for the 'Filtered Objects' reference list.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SEMANTIC_LIST_COMPARTMENT__SHOW_TITLE

    static final int SEMANTIC_LIST_COMPARTMENT__SHOW_TITLE

  The feature id for the 'Show Title' attribute.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SEMANTIC_LIST_COMPARTMENT_FEATURE_COUNT

    static final int SEMANTIC_LIST_COMPARTMENT_FEATURE_COUNT

  The number of structural features of the 'Semantic List Compartment' class.

  See Also:
    Constant Field Values
  ** Generated **
  Ordered:

### SORTING

    static final int SORTING

  The meta object id for the '`Sorting`' enum.

  See Also:
    `Sorting`, `NotationPackageImpl.getSorting()`, Constant Field Values
  ** Generated **

### FILTERING

    static final int FILTERING

  The meta object id for the '`Filtering`' enum.

  See Also:
    `Filtering`, `NotationPackageImpl.getFiltering()`, Constant Field Values
  ** Generated **

### ROUTING

    static final int ROUTING

  The meta object id for the '`Routing`' enum.

  See Also:
    `Routing`, `NotationPackageImpl.getRouting()`, Constant Field Values
  ** Generated **

### SMOOTHNESS

    static final int SMOOTHNESS

  The meta object id for the '`Smoothness`' enum.

  See Also:
    `Smoothness`, `NotationPackageImpl.getSmoothness()`, Constant Field Values
  ** Generated **

### JUMP_LINK_STATUS

    static final int JUMP_LINK_STATUS

  The meta object id for the '`Jump Link Status`' enum.

  See Also:
    `JumpLinkStatus`, `NotationPackageImpl.getJumpLinkStatus()`, Constant Field Values
  ** Generated **

### JUMP_LINK_TYPE

    static final int JUMP_LINK_TYPE

  The meta object id for the '`Jump Link Type`' enum.

  See Also:
    `JumpLinkType`, `NotationPackageImpl.getJumpLinkType()`, Constant Field Values
  ** Generated **

### ALIGNMENT

    static final int ALIGNMENT

  The meta object id for the '`Alignment`' enum.

  See Also:
    `Alignment`, `NotationPackageImpl.getAlignment()`, Constant Field Values
  ** Generated **

### SORTING_DIRECTION

    static final int SORTING_DIRECTION

  The meta object id for the '`Sorting Direction`' enum.

  See Also:
    `SortingDirection`, `NotationPackageImpl.getSortingDirection()`, Constant Field Values
  ** Generated **

### MEASUREMENT_UNIT

    static final int MEASUREMENT_UNIT

  The meta object id for the '`Measurement Unit`' enum.

  See Also:
    `MeasurementUnit`, `NotationPackageImpl.getMeasurementUnit()`, Constant Field Values
  ** Generated **

### TEXT_ALIGNMENT

    static final int TEXT_ALIGNMENT

  The meta object id for the '`Text Alignment`' enum.

  See Also:
    `TextAlignment`, `NotationPackageImpl.getTextAlignment()`, Constant Field Values
  ** Generated **

### LINE_TYPE

    static final int LINE_TYPE

  The meta object id for the '`Line Type`' enum.

  See Also:
    `LineType`, `NotationPackageImpl.getLineType()`, Constant Field Values
  ** Generated **

### ARROW_TYPE

    static final int ARROW_TYPE

  The meta object id for the '`Arrow Type`' enum.

  See Also:
    `ArrowType`, `NotationPackageImpl.getArrowType()`, Constant Field Values
  ** Generated **

### GRADIENT_STYLE

    static final int GRADIENT_STYLE

  The meta object id for the '`Gradient Style`' enum.

  See Also:
    `GradientStyle`, `NotationPackageImpl.getGradientStyle()`, Constant Field Values
  ** Generated **

### RELATIVE_BENDPOINT_LIST

    static final int RELATIVE_BENDPOINT_LIST

  The meta object id for the 'Relative Bendpoint List' data type.

  See Also:
    `List`, `NotationPackageImpl.getRelativeBendpointList()`, Constant Field Values
  ** Generated **

### FILTER_KEY_LIST

    static final int FILTER_KEY_LIST

  The meta object id for the 'Filter Key List' data type.

  See Also:
    `List`, `NotationPackageImpl.getFilterKeyList()`, Constant Field Values
  ** Generated **

### SORT_KEY_MAP

    static final int SORT_KEY_MAP

  The meta object id for the 'Sort Key Map' data type.

  See Also:
    `Map`, `NotationPackageImpl.getSortKeyMap()`, Constant Field Values
  ** Generated **

### GRADIENT_DATA

    static final int GRADIENT_DATA

  The meta object id for the 'Gradient Data' data type.

  See Also:
    `GradientData`, `NotationPackageImpl.getGradientData()`, Constant Field Values
  ** Generated **

Method Detail

### getEdge

    org.eclipse.emf.ecore.EClass getEdge()

  Returns the meta object for class '`Edge`'.

  Returns:
    the meta object for class 'Edge'.
  See Also:
    `Edge`
  ** Generated **

### getEdge_Source

    org.eclipse.emf.ecore.EReference getEdge_Source()

  Returns the meta object for the reference '`Source`'.

  Returns:
    the meta object for the reference 'Source'.
  See Also:
    `Edge.getSource()`, `getEdge()`
  ** Generated **

### getEdge_Target

    org.eclipse.emf.ecore.EReference getEdge_Target()

  Returns the meta object for the reference '`Target`'.

  Returns:
    the meta object for the reference 'Target'.
  See Also:
    `Edge.getTarget()`, `getEdge()`
  ** Generated **

### getEdge_Bendpoints

    org.eclipse.emf.ecore.EReference getEdge_Bendpoints()

  Returns the meta object for the containment reference '`Bendpoints`'.

  Returns:
    the meta object for the containment reference 'Bendpoints'.
  See Also:
    `Edge.getBendpoints()`, `getEdge()`
  ** Generated **

### getEdge_SourceAnchor

    org.eclipse.emf.ecore.EReference getEdge_SourceAnchor()

  Returns the meta object for the containment reference '`Source Anchor`'.

  Returns:
    the meta object for the containment reference 'Source Anchor'.
  See Also:
    `Edge.getSourceAnchor()`, `getEdge()`
  ** Generated **

### getEdge_TargetAnchor

    org.eclipse.emf.ecore.EReference getEdge_TargetAnchor()

  Returns the meta object for the containment reference '`Target Anchor`'.

  Returns:
    the meta object for the containment reference 'Target Anchor'.
  See Also:
    `Edge.getTargetAnchor()`, `getEdge()`
  ** Generated **

### getNode

    org.eclipse.emf.ecore.EClass getNode()

  Returns the meta object for class '`Node`'.

  Returns:
    the meta object for class 'Node'.
  See Also:
    `Node`
  ** Generated **

### getNode_LayoutConstraint

    org.eclipse.emf.ecore.EReference getNode_LayoutConstraint()

  Returns the meta object for the containment reference '`Layout Constraint`'.

  Returns:
    the meta object for the containment reference 'Layout Constraint'.
  See Also:
    `Node.getLayoutConstraint()`, `getNode()`
  ** Generated **

### getStyle

    org.eclipse.emf.ecore.EClass getStyle()

  Returns the meta object for class '`Style`'.

  Returns:
    the meta object for class 'Style'.
  See Also:
    `Style`
  ** Generated **

### getFillStyle

    org.eclipse.emf.ecore.EClass getFillStyle()

  Returns the meta object for class '`Fill Style`'.

  Returns:
    the meta object for class 'Fill Style'.
  See Also:
    `FillStyle`
  ** Generated **

### getFillStyle_FillColor

    org.eclipse.emf.ecore.EAttribute getFillStyle_FillColor()

  Returns the meta object for the attribute '`Fill Color`'.

  Returns:
    the meta object for the attribute 'Fill Color'.
  See Also:
    `FillStyle.getFillColor()`, `getFillStyle()`
  ** Generated **

### getFillStyle_Transparency

    org.eclipse.emf.ecore.EAttribute getFillStyle_Transparency()

  Returns the meta object for the attribute '`Transparency`'.

  Returns:
    the meta object for the attribute 'Transparency'.
  See Also:
    `FillStyle.getTransparency()`, `getFillStyle()`
  ** Generated **

### getFillStyle_Gradient

    org.eclipse.emf.ecore.EAttribute getFillStyle_Gradient()

  Returns the meta object for the attribute '`Gradient`'.

  Returns:
    the meta object for the attribute 'Gradient'.
  See Also:
    `FillStyle.getGradient()`, `getFillStyle()`
  ** Generated **

### getLineStyle

    org.eclipse.emf.ecore.EClass getLineStyle()

  Returns the meta object for class '`Line Style`'.

  Returns:
    the meta object for class 'Line Style'.
  See Also:
    `LineStyle`
  ** Generated **

### getLineStyle_LineColor

    org.eclipse.emf.ecore.EAttribute getLineStyle_LineColor()

  Returns the meta object for the attribute '`Line Color`'.

  Returns:
    the meta object for the attribute 'Line Color'.
  See Also:
    `LineStyle.getLineColor()`, `getLineStyle()`
  ** Generated **

### getLineStyle_LineWidth

    org.eclipse.emf.ecore.EAttribute getLineStyle_LineWidth()

  Returns the meta object for the attribute '`Line Width`'.

  Returns:
    the meta object for the attribute 'Line Width'.
  See Also:
    `LineStyle.getLineWidth()`, `getLineStyle()`
  ** Generated **

### getFontStyle

    org.eclipse.emf.ecore.EClass getFontStyle()

  Returns the meta object for class '`Font Style`'.

  Returns:
    the meta object for class 'Font Style'.
  See Also:
    `FontStyle`
  ** Generated **

### getFontStyle_FontColor

    org.eclipse.emf.ecore.EAttribute getFontStyle_FontColor()

  Returns the meta object for the attribute '`Font Color`'.

  Returns:
    the meta object for the attribute 'Font Color'.
  See Also:
    `FontStyle.getFontColor()`, `getFontStyle()`
  ** Generated **

### getFontStyle_FontName

    org.eclipse.emf.ecore.EAttribute getFontStyle_FontName()

  Returns the meta object for the attribute '`Font Name`'.

  Returns:
    the meta object for the attribute 'Font Name'.
  See Also:
    `FontStyle.getFontName()`, `getFontStyle()`
  ** Generated **

### getFontStyle_FontHeight

    org.eclipse.emf.ecore.EAttribute getFontStyle_FontHeight()

  Returns the meta object for the attribute '`Font Height`'.

  Returns:
    the meta object for the attribute 'Font Height'.
  See Also:
    `FontStyle.getFontHeight()`, `getFontStyle()`
  ** Generated **

### getFontStyle_Bold

    org.eclipse.emf.ecore.EAttribute getFontStyle_Bold()

  Returns the meta object for the attribute '`Bold`'.

  Returns:
    the meta object for the attribute 'Bold'.
  See Also:
    `FontStyle.isBold()`, `getFontStyle()`
  ** Generated **

### getFontStyle_Italic

    org.eclipse.emf.ecore.EAttribute getFontStyle_Italic()

  Returns the meta object for the attribute '`Italic`'.

  Returns:
    the meta object for the attribute 'Italic'.
  See Also:
    `FontStyle.isItalic()`, `getFontStyle()`
  ** Generated **

### getFontStyle_Underline

    org.eclipse.emf.ecore.EAttribute getFontStyle_Underline()

  Returns the meta object for the attribute '`Underline`'.

  Returns:
    the meta object for the attribute 'Underline'.
  See Also:
    `FontStyle.isUnderline()`, `getFontStyle()`
  ** Generated **

### getFontStyle_StrikeThrough

    org.eclipse.emf.ecore.EAttribute getFontStyle_StrikeThrough()

  Returns the meta object for the attribute '`Strike Through`'.

  Returns:
    the meta object for the attribute 'Strike Through'.
  See Also:
    `FontStyle.isStrikeThrough()`, `getFontStyle()`
  ** Generated **

### getTitleStyle

    org.eclipse.emf.ecore.EClass getTitleStyle()

  Returns the meta object for class '`Title Style`'.

  Returns:
    the meta object for class 'Title Style'.
  See Also:
    `TitleStyle`
  ** Generated **

### getTitleStyle_ShowTitle

    org.eclipse.emf.ecore.EAttribute getTitleStyle_ShowTitle()

  Returns the meta object for the attribute '`Show Title`'.

  Returns:
    the meta object for the attribute 'Show Title'.
  See Also:
    `TitleStyle.isShowTitle()`, `getTitleStyle()`
  ** Generated **

### getSortingStyle

    org.eclipse.emf.ecore.EClass getSortingStyle()

  Returns the meta object for class '`Sorting Style`'.

  Returns:
    the meta object for class 'Sorting Style'.
  See Also:
    `SortingStyle`
  ** Generated **

### getSortingStyle_Sorting

    org.eclipse.emf.ecore.EAttribute getSortingStyle_Sorting()

  Returns the meta object for the attribute '`Sorting`'.

  Returns:
    the meta object for the attribute 'Sorting'.
  See Also:
    `SortingStyle.getSorting()`, `getSortingStyle()`
  ** Generated **

### getSortingStyle_SortingKeys

    org.eclipse.emf.ecore.EAttribute getSortingStyle_SortingKeys()

  Returns the meta object for the attribute '`Sorting Keys`'.

  Returns:
    the meta object for the attribute 'Sorting Keys'.
  See Also:
    `SortingStyle.getSortingKeys()`, `getSortingStyle()`
  ** Generated **

### getSortingStyle_SortedObjects

    org.eclipse.emf.ecore.EReference getSortingStyle_SortedObjects()

  Returns the meta object for the reference list '`Sorted Objects`'.

  Returns:
    the meta object for the reference list 'Sorted Objects'.
  See Also:
    `SortingStyle.getSortedObjects()`, `getSortingStyle()`
  ** Generated **

### getDescriptionStyle

    org.eclipse.emf.ecore.EClass getDescriptionStyle()

  Returns the meta object for class '`Description Style`'.

  Returns:
    the meta object for class 'Description Style'.
  See Also:
    `DescriptionStyle`
  ** Generated **

### getDescriptionStyle_Description

    org.eclipse.emf.ecore.EAttribute getDescriptionStyle_Description()

  Returns the meta object for the attribute '`Description`'.

  Returns:
    the meta object for the attribute 'Description'.
  See Also:
    `DescriptionStyle.getDescription()`, `getDescriptionStyle()`
  ** Generated **

### getLayoutConstraint

    org.eclipse.emf.ecore.EClass getLayoutConstraint()

  Returns the meta object for class '`Layout Constraint`'.

  Returns:
    the meta object for class 'Layout Constraint'.
  See Also:
    `LayoutConstraint`
  ** Generated **

### getSize

    org.eclipse.emf.ecore.EClass getSize()

  Returns the meta object for class '`Size`'.

  Returns:
    the meta object for class 'Size'.
  See Also:
    `Size`
  ** Generated **

### getSize_Width

    org.eclipse.emf.ecore.EAttribute getSize_Width()

  Returns the meta object for the attribute '`Width`'.

  Returns:
    the meta object for the attribute 'Width'.
  See Also:
    `Size.getWidth()`, `getSize()`
  ** Generated **

### getSize_Height

    org.eclipse.emf.ecore.EAttribute getSize_Height()

  Returns the meta object for the attribute '`Height`'.

  Returns:
    the meta object for the attribute 'Height'.
  See Also:
    `Size.getHeight()`, `getSize()`
  ** Generated **

### getLocation

    org.eclipse.emf.ecore.EClass getLocation()

  Returns the meta object for class '`Location`'.

  Returns:
    the meta object for class 'Location'.
  See Also:
    `Location`
  ** Generated **

### getLocation_X

    org.eclipse.emf.ecore.EAttribute getLocation_X()

  Returns the meta object for the attribute '`X`'.

  Returns:
    the meta object for the attribute 'X'.
  See Also:
    `Location.getX()`, `getLocation()`
  ** Generated **

### getLocation_Y

    org.eclipse.emf.ecore.EAttribute getLocation_Y()

  Returns the meta object for the attribute '`Y`'.

  Returns:
    the meta object for the attribute 'Y'.
  See Also:
    `Location.getY()`, `getLocation()`
  ** Generated **

### getBounds

    org.eclipse.emf.ecore.EClass getBounds()

  Returns the meta object for class '`Bounds`'.

  Returns:
    the meta object for class 'Bounds'.
  See Also:
    `Bounds`
  ** Generated **

### getRatio

    org.eclipse.emf.ecore.EClass getRatio()

  Returns the meta object for class '`Ratio`'.

  Returns:
    the meta object for class 'Ratio'.
  See Also:
    `Ratio`
  ** Generated **

### getRatio_Value

    org.eclipse.emf.ecore.EAttribute getRatio_Value()

  Returns the meta object for the attribute '`Value`'.

  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `Ratio.getValue()`, `getRatio()`
  ** Generated **

### getAnchor

    org.eclipse.emf.ecore.EClass getAnchor()

  Returns the meta object for class '`Anchor`'.

  Returns:
    the meta object for class 'Anchor'.
  See Also:
    `Anchor`
  ** Generated **

### getBendpoints

    org.eclipse.emf.ecore.EClass getBendpoints()

  Returns the meta object for class '`Bendpoints`'.

  Returns:
    the meta object for class 'Bendpoints'.
  See Also:
    `Bendpoints`
  ** Generated **

### getIdentityAnchor

    org.eclipse.emf.ecore.EClass getIdentityAnchor()

  Returns the meta object for class '`Identity Anchor`'.

  Returns:
    the meta object for class 'Identity Anchor'.
  See Also:
    `IdentityAnchor`
  ** Generated **

### getIdentityAnchor_Id

    org.eclipse.emf.ecore.EAttribute getIdentityAnchor_Id()

  Returns the meta object for the attribute '`Id`'.

  Returns:
    the meta object for the attribute 'Id'.
  See Also:
    `IdentityAnchor.getId()`, `getIdentityAnchor()`
  ** Generated **

### getRoutingStyle

    org.eclipse.emf.ecore.EClass getRoutingStyle()

  Returns the meta object for class '`Routing Style`'.

  Returns:
    the meta object for class 'Routing Style'.
  See Also:
    `RoutingStyle`
  ** Generated **

### getRoutingStyle_Routing

    org.eclipse.emf.ecore.EAttribute getRoutingStyle_Routing()

  Returns the meta object for the attribute '`Routing`'.

  Returns:
    the meta object for the attribute 'Routing'.
  See Also:
    `RoutingStyle.getRouting()`, `getRoutingStyle()`
  ** Generated **

### getRoutingStyle_Smoothness

    org.eclipse.emf.ecore.EAttribute getRoutingStyle_Smoothness()

  Returns the meta object for the attribute '`Smoothness`'.

  Returns:
    the meta object for the attribute 'Smoothness'.
  See Also:
    `RoutingStyle.getSmoothness()`, `getRoutingStyle()`
  ** Generated **

### getRoutingStyle_AvoidObstructions

    org.eclipse.emf.ecore.EAttribute getRoutingStyle_AvoidObstructions()

  Returns the meta object for the attribute '`Avoid Obstructions`'.

  Returns:
    the meta object for the attribute 'Avoid Obstructions'.
  See Also:
    `RoutingStyle.isAvoidObstructions()`, `getRoutingStyle()`
  ** Generated **

### getRoutingStyle_ClosestDistance

    org.eclipse.emf.ecore.EAttribute getRoutingStyle_ClosestDistance()

  Returns the meta object for the attribute '`Closest Distance`'.

  Returns:
    the meta object for the attribute 'Closest Distance'.
  See Also:
    `RoutingStyle.isClosestDistance()`, `getRoutingStyle()`
  ** Generated **

### getRoutingStyle_JumpLinkStatus

    org.eclipse.emf.ecore.EAttribute getRoutingStyle_JumpLinkStatus()

  Returns the meta object for the attribute '`Jump Link Status`'.

  Returns:
    the meta object for the attribute 'Jump Link Status'.
  See Also:
    `RoutingStyle.getJumpLinkStatus()`, `getRoutingStyle()`
  ** Generated **

### getRoutingStyle_JumpLinkType

    org.eclipse.emf.ecore.EAttribute getRoutingStyle_JumpLinkType()

  Returns the meta object for the attribute '`Jump Link Type`'.

  Returns:
    the meta object for the attribute 'Jump Link Type'.
  See Also:
    `RoutingStyle.getJumpLinkType()`, `getRoutingStyle()`
  ** Generated **

### getRoutingStyle_JumpLinksReverse

    org.eclipse.emf.ecore.EAttribute getRoutingStyle_JumpLinksReverse()

  Returns the meta object for the attribute '`Jump Links Reverse`'.

  Returns:
    the meta object for the attribute 'Jump Links Reverse'.
  See Also:
    `RoutingStyle.isJumpLinksReverse()`, `getRoutingStyle()`
  ** Generated **

### getRoutingStyle_RoundedBendpointsRadius

    org.eclipse.emf.ecore.EAttribute getRoutingStyle_RoundedBendpointsRadius()

  Returns the meta object for the attribute '`Rounded Bendpoints Radius`'.

  Returns:
    the meta object for the attribute 'Rounded Bendpoints Radius'.
  See Also:
    `RoutingStyle.getRoundedBendpointsRadius()`, `getRoutingStyle()`
  ** Generated **

### getView

    org.eclipse.emf.ecore.EClass getView()

  Returns the meta object for class '`View`'.

  Returns:
    the meta object for class 'View'.
  See Also:
    `View`
  ** Generated **

### getView_Visible

    org.eclipse.emf.ecore.EAttribute getView_Visible()

  Returns the meta object for the attribute '`Visible`'.

  Returns:
    the meta object for the attribute 'Visible'.
  See Also:
    `View.isVisible()`, `getView()`
  ** Generated **

### getView_Type

    org.eclipse.emf.ecore.EAttribute getView_Type()

  Returns the meta object for the attribute '`Type`'.

  Returns:
    the meta object for the attribute 'Type'.
  See Also:
    `View.getType()`, `getView()`
  ** Generated **

### getView_Mutable

    org.eclipse.emf.ecore.EAttribute getView_Mutable()

  Returns the meta object for the attribute '`Mutable`'.

  Returns:
    the meta object for the attribute 'Mutable'.
  See Also:
    `View.isMutable()`, `getView()`
  ** Generated **

### getView_SourceEdges

    org.eclipse.emf.ecore.EReference getView_SourceEdges()

  Returns the meta object for the reference list '`Source Edges`'.

  Returns:
    the meta object for the reference list 'Source Edges'.
  See Also:
    `View.getSourceEdges()`, `getView()`
  ** Generated **

### getView_TargetEdges

    org.eclipse.emf.ecore.EReference getView_TargetEdges()

  Returns the meta object for the reference list '`Target Edges`'.

  Returns:
    the meta object for the reference list 'Target Edges'.
  See Also:
    `View.getTargetEdges()`, `getView()`
  ** Generated **

### getView_PersistedChildren

    org.eclipse.emf.ecore.EReference getView_PersistedChildren()

  Returns the meta object for the containment reference list '`Persisted Children`'.

  Returns:
    the meta object for the containment reference list 'Persisted Children'.
  See Also:
    `View.getPersistedChildren()`, `getView()`
  ** Generated **

### getView_Styles

    org.eclipse.emf.ecore.EReference getView_Styles()

  Returns the meta object for the containment reference list '`Styles`'.

  Returns:
    the meta object for the containment reference list 'Styles'.
  See Also:
    `View.getStyles()`, `getView()`
  ** Generated **

### getView_Element

    org.eclipse.emf.ecore.EReference getView_Element()

  Returns the meta object for the reference '`Element`'.

  Returns:
    the meta object for the reference 'Element'.
  See Also:
    `View.getElement()`, `getView()`
  ** Generated **

### getView_Diagram

    org.eclipse.emf.ecore.EReference getView_Diagram()

  Returns the meta object for the reference '`Diagram`'.

  Returns:
    the meta object for the reference 'Diagram'.
  See Also:
    `View.getDiagram()`, `getView()`
  ** Generated **

### getView_TransientChildren

    org.eclipse.emf.ecore.EReference getView_TransientChildren()

  Returns the meta object for the containment reference list '`Transient Children`'.

  Returns:
    the meta object for the containment reference list 'Transient Children'.
  See Also:
    `View.getTransientChildren()`, `getView()`
  ** Generated **

### getRelativeBendpoints

    org.eclipse.emf.ecore.EClass getRelativeBendpoints()

  Returns the meta object for class '`Relative Bendpoints`'.

  Returns:
    the meta object for class 'Relative Bendpoints'.
  See Also:
    `RelativeBendpoints`
  ** Generated **

### getRelativeBendpoints_Points

    org.eclipse.emf.ecore.EAttribute getRelativeBendpoints_Points()

  Returns the meta object for the attribute '`Points`'.

  Returns:
    the meta object for the attribute 'Points'.
  See Also:
    `RelativeBendpoints.getPoints()`, `getRelativeBendpoints()`
  ** Generated **

### getDiagram

    org.eclipse.emf.ecore.EClass getDiagram()

  Returns the meta object for class '`Diagram`'.

  Returns:
    the meta object for class 'Diagram'.
  See Also:
    `Diagram`
  ** Generated **

### getDiagram_Name

    org.eclipse.emf.ecore.EAttribute getDiagram_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `Diagram.getName()`, `getDiagram()`
  ** Generated **

### getDiagram_MeasurementUnit

    org.eclipse.emf.ecore.EAttribute getDiagram_MeasurementUnit()

  Returns the meta object for the attribute '`Measurement Unit`'.

  Returns:
    the meta object for the attribute 'Measurement Unit'.
  See Also:
    `Diagram.getMeasurementUnit()`, `getDiagram()`
  ** Generated **

### getDiagram_PersistedEdges

    org.eclipse.emf.ecore.EReference getDiagram_PersistedEdges()

  Returns the meta object for the containment reference list '`Persisted Edges`'.

  Returns:
    the meta object for the containment reference list 'Persisted Edges'.
  See Also:
    `Diagram.getPersistedEdges()`, `getDiagram()`
  ** Generated **

### getDiagram_TransientEdges

    org.eclipse.emf.ecore.EReference getDiagram_TransientEdges()

  Returns the meta object for the containment reference list '`Transient Edges`'.

  Returns:
    the meta object for the containment reference list 'Transient Edges'.
  See Also:
    `Diagram.getTransientEdges()`, `getDiagram()`
  ** Generated **

### getImage

    org.eclipse.emf.ecore.EClass getImage()

  Returns the meta object for class '`Image`'.

  Returns:
    the meta object for class 'Image'.
  See Also:
    `Image`
  ** Generated **

### getImage_Data

    org.eclipse.emf.ecore.EAttribute getImage_Data()

  Returns the meta object for the attribute '`Data`'.

  Returns:
    the meta object for the attribute 'Data'.
  See Also:
    `Image.getData()`, `getImage()`
  ** Generated **

### getCanonicalStyle

    org.eclipse.emf.ecore.EClass getCanonicalStyle()

  Returns the meta object for class '`Canonical Style`'.

  Returns:
    the meta object for class 'Canonical Style'.
  See Also:
    `CanonicalStyle`
  ** Generated **

### getCanonicalStyle_Canonical

    org.eclipse.emf.ecore.EAttribute getCanonicalStyle_Canonical()

  Returns the meta object for the attribute '`Canonical`'.

  Returns:
    the meta object for the attribute 'Canonical'.
  See Also:
    `CanonicalStyle.isCanonical()`, `getCanonicalStyle()`
  ** Generated **

### getShapeStyle

    org.eclipse.emf.ecore.EClass getShapeStyle()

  Returns the meta object for class '`Shape Style`'.

  Returns:
    the meta object for class 'Shape Style'.
  See Also:
    `ShapeStyle`
  ** Generated **

### getConnectorStyle

    org.eclipse.emf.ecore.EClass getConnectorStyle()

  Returns the meta object for class '`Connector Style`'.

  Returns:
    the meta object for class 'Connector Style'.
  See Also:
    `ConnectorStyle`
  ** Generated **

### getPageStyle

    org.eclipse.emf.ecore.EClass getPageStyle()

  Returns the meta object for class '`Page Style`'.

  Returns:
    the meta object for class 'Page Style'.
  See Also:
    `PageStyle`
  ** Generated **

### getPageStyle_PageX

    org.eclipse.emf.ecore.EAttribute getPageStyle_PageX()

  Returns the meta object for the attribute '`Page X`'.

  Returns:
    the meta object for the attribute 'Page X'.
  See Also:
    `PageStyle.getPageX()`, `getPageStyle()`
  ** Generated **

### getPageStyle_PageY

    org.eclipse.emf.ecore.EAttribute getPageStyle_PageY()

  Returns the meta object for the attribute '`Page Y`'.

  Returns:
    the meta object for the attribute 'Page Y'.
  See Also:
    `PageStyle.getPageY()`, `getPageStyle()`
  ** Generated **

### getPageStyle_PageWidth

    org.eclipse.emf.ecore.EAttribute getPageStyle_PageWidth()

  Returns the meta object for the attribute '`Page Width`'.

  Returns:
    the meta object for the attribute 'Page Width'.
  See Also:
    `PageStyle.getPageWidth()`, `getPageStyle()`
  ** Generated **

### getPageStyle_PageHeight

    org.eclipse.emf.ecore.EAttribute getPageStyle_PageHeight()

  Returns the meta object for the attribute '`Page Height`'.

  Returns:
    the meta object for the attribute 'Page Height'.
  See Also:
    `PageStyle.getPageHeight()`, `getPageStyle()`
  ** Generated **

### getDrawerStyle

    org.eclipse.emf.ecore.EClass getDrawerStyle()

  Returns the meta object for class '`Drawer Style`'.

  Returns:
    the meta object for class 'Drawer Style'.
  See Also:
    `DrawerStyle`
  ** Generated **

### getDrawerStyle_Collapsed

    org.eclipse.emf.ecore.EAttribute getDrawerStyle_Collapsed()

  Returns the meta object for the attribute '`Collapsed`'.

  Returns:
    the meta object for the attribute 'Collapsed'.
  See Also:
    `DrawerStyle.isCollapsed()`, `getDrawerStyle()`
  ** Generated **

### getGuideStyle

    org.eclipse.emf.ecore.EClass getGuideStyle()

  Returns the meta object for class '`Guide Style`'.

  Returns:
    the meta object for class 'Guide Style'.
  See Also:
    `GuideStyle`
  ** Generated **

### getGuideStyle_HorizontalGuides

    org.eclipse.emf.ecore.EReference getGuideStyle_HorizontalGuides()

  Returns the meta object for the containment reference list '`Horizontal Guides`'.

  Returns:
    the meta object for the containment reference list 'Horizontal Guides'.
  See Also:
    `GuideStyle.getHorizontalGuides()`, `getGuideStyle()`
  ** Generated **

### getGuideStyle_VerticalGuides

    org.eclipse.emf.ecore.EReference getGuideStyle_VerticalGuides()

  Returns the meta object for the containment reference list '`Vertical Guides`'.

  Returns:
    the meta object for the containment reference list 'Vertical Guides'.
  See Also:
    `GuideStyle.getVerticalGuides()`, `getGuideStyle()`
  ** Generated **

### getGuide

    org.eclipse.emf.ecore.EClass getGuide()

  Returns the meta object for class '`Guide`'.

  Returns:
    the meta object for class 'Guide'.
  See Also:
    `Guide`
  ** Generated **

### getGuide_Position

    org.eclipse.emf.ecore.EAttribute getGuide_Position()

  Returns the meta object for the attribute '`Position`'.

  Returns:
    the meta object for the attribute 'Position'.
  See Also:
    `Guide.getPosition()`, `getGuide()`
  ** Generated **

### getGuide_NodeMap

    org.eclipse.emf.ecore.EReference getGuide_NodeMap()

  Returns the meta object for the map '`Node Map`'.

  Returns:
    the meta object for the map 'Node Map'.
  See Also:
    `Guide.getNodeMap()`, `getGuide()`
  ** Generated **

### getNodeEntry

    org.eclipse.emf.ecore.EClass getNodeEntry()

  Returns the meta object for class '`Node Entry`'.

  Returns:
    the meta object for class 'Node Entry'.
  See Also:
    `Map.Entry`
  ** Generated **
  Model:
    features="value key" valueDefault="Center" valueDataType="org.eclipse.gmf.runtime.notation.Alignment" keyType="org.eclipse.gmf.runtime.notation.Node" keyRequired="true"

### getNodeEntry_Value

    org.eclipse.emf.ecore.EAttribute getNodeEntry_Value()

  Returns the meta object for the attribute '`Value`'.

  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `Map.Entry`, `getNodeEntry()`
  ** Generated **

### getNodeEntry_Key

    org.eclipse.emf.ecore.EReference getNodeEntry_Key()

  Returns the meta object for the reference '`Key`'.

  Returns:
    the meta object for the reference 'Key'.
  See Also:
    `Map.Entry`, `getNodeEntry()`
  ** Generated **

### getFilteringStyle

    org.eclipse.emf.ecore.EClass getFilteringStyle()

  Returns the meta object for class '`Filtering Style`'.

  Returns:
    the meta object for class 'Filtering Style'.
  See Also:
    `FilteringStyle`
  ** Generated **

### getFilteringStyle_Filtering

    org.eclipse.emf.ecore.EAttribute getFilteringStyle_Filtering()

  Returns the meta object for the attribute '`Filtering`'.

  Returns:
    the meta object for the attribute 'Filtering'.
  See Also:
    `FilteringStyle.getFiltering()`, `getFilteringStyle()`
  ** Generated **

### getFilteringStyle_FilteringKeys

    org.eclipse.emf.ecore.EAttribute getFilteringStyle_FilteringKeys()

  Returns the meta object for the attribute '`Filtering Keys`'.

  Returns:
    the meta object for the attribute 'Filtering Keys'.
  See Also:
    `FilteringStyle.getFilteringKeys()`, `getFilteringStyle()`
  ** Generated **

### getFilteringStyle_FilteredObjects

    org.eclipse.emf.ecore.EReference getFilteringStyle_FilteredObjects()

  Returns the meta object for the reference list '`Filtered Objects`'.

  Returns:
    the meta object for the reference list 'Filtered Objects'.
  See Also:
    `FilteringStyle.getFilteredObjects()`, `getFilteringStyle()`
  ** Generated **

### getDiagramStyle

    org.eclipse.emf.ecore.EClass getDiagramStyle()

  Returns the meta object for class '`Diagram Style`'.

  Returns:
    the meta object for class 'Diagram Style'.
  See Also:
    `DiagramStyle`
  ** Generated **

### getImageStyle

    org.eclipse.emf.ecore.EClass getImageStyle()

  Returns the meta object for class '`Image Style`'.

  Returns:
    the meta object for class 'Image Style'.
  See Also:
    `ImageStyle`
  ** Generated **

### getImageStyle_AntiAlias

    org.eclipse.emf.ecore.EAttribute getImageStyle_AntiAlias()

  Returns the meta object for the attribute '`Anti Alias`'.

  Returns:
    the meta object for the attribute 'Anti Alias'.
  See Also:
    `ImageStyle.getAntiAlias()`, `getImageStyle()`
  ** Generated **

### getImageStyle_MaintainAspectRatio

    org.eclipse.emf.ecore.EAttribute getImageStyle_MaintainAspectRatio()

  Returns the meta object for the attribute '`Maintain Aspect Ratio`'.

  Returns:
    the meta object for the attribute 'Maintain Aspect Ratio'.
  See Also:
    `ImageStyle.getMaintainAspectRatio()`, `getImageStyle()`
  ** Generated **

### getImageStyle_CropBound

    org.eclipse.emf.ecore.EReference getImageStyle_CropBound()

  Returns the meta object for the containment reference '`Crop Bound`'.

  Returns:
    the meta object for the containment reference 'Crop Bound'.
  See Also:
    `ImageStyle.getCropBound()`, `getImageStyle()`
  ** Generated **

### getImageBufferStyle

    org.eclipse.emf.ecore.EClass getImageBufferStyle()

  Returns the meta object for class '`Image Buffer Style`'.

  Returns:
    the meta object for class 'Image Buffer Style'.
  See Also:
    `ImageBufferStyle`
  ** Generated **

### getImageBufferStyle_ImageBuffer

    org.eclipse.emf.ecore.EReference getImageBufferStyle_ImageBuffer()

  Returns the meta object for the containment reference '`Image Buffer`'.

  Returns:
    the meta object for the containment reference 'Image Buffer'.
  See Also:
    `ImageBufferStyle.getImageBuffer()`, `getImageBufferStyle()`
  ** Generated **

### getPropertiesSetStyle

    org.eclipse.emf.ecore.EClass getPropertiesSetStyle()

  Returns the meta object for class '`Properties Set Style`'.

  Returns:
    the meta object for class 'Properties Set Style'.
  See Also:
    `PropertiesSetStyle`
  ** Generated **

### getPropertiesSetStyle_PropertiesMap

    org.eclipse.emf.ecore.EReference getPropertiesSetStyle_PropertiesMap()

  Returns the meta object for the map '`Properties Map`'.

  Returns:
    the meta object for the map 'Properties Map'.
  See Also:
    `PropertiesSetStyle.getPropertiesMap()`, `getPropertiesSetStyle()`
  ** Generated **

### getStringToPropertyValueMapEntry

    org.eclipse.emf.ecore.EClass getStringToPropertyValueMapEntry()

  Returns the meta object for class '`String To Property Value Map Entry`'.

  Returns:
    the meta object for class 'String To Property Value Map Entry'.
  See Also:
    `Map.Entry`
  ** Generated **
  Model:
    keyDataType="org.eclipse.emf.ecore.EString" valueType="org.eclipse.gmf.runtime.notation.PropertyValue" valueContainment="true"

### getStringToPropertyValueMapEntry_Key

    org.eclipse.emf.ecore.EAttribute getStringToPropertyValueMapEntry_Key()

  Returns the meta object for the attribute '`Key`'.

  Returns:
    the meta object for the attribute 'Key'.
  See Also:
    `Map.Entry`, `getStringToPropertyValueMapEntry()`
  ** Generated **

### getStringToPropertyValueMapEntry_Value

    org.eclipse.emf.ecore.EReference getStringToPropertyValueMapEntry_Value()

  Returns the meta object for the containment reference '`Value`'.

  Returns:
    the meta object for the containment reference 'Value'.
  See Also:
    `Map.Entry`, `getStringToPropertyValueMapEntry()`
  ** Generated **

### getPropertyValue

    org.eclipse.emf.ecore.EClass getPropertyValue()

  Returns the meta object for class '`Property Value`'.

  Returns:
    the meta object for class 'Property Value'.
  See Also:
    `PropertyValue`
  ** Generated **

### getPropertyValue_RawValue

    org.eclipse.emf.ecore.EAttribute getPropertyValue_RawValue()

  Returns the meta object for the attribute '`Raw Value`'.

  Returns:
    the meta object for the attribute 'Raw Value'.
  See Also:
    `PropertyValue.getRawValue()`, `getPropertyValue()`
  ** Generated **

### getPropertyValue_InstanceType

    org.eclipse.emf.ecore.EReference getPropertyValue_InstanceType()

  Returns the meta object for the reference '`Instance Type`'.

  Returns:
    the meta object for the reference 'Instance Type'.
  See Also:
    `PropertyValue.getInstanceType()`, `getPropertyValue()`
  ** Generated **

### getSingleValueStyle

    org.eclipse.emf.ecore.EClass getSingleValueStyle()

  Returns the meta object for class '`Single Value Style`'.

  Returns:
    the meta object for class 'Single Value Style'.
  See Also:
    `SingleValueStyle`
  ** Generated **

### getSingleValueStyle_RawValue

    org.eclipse.emf.ecore.EAttribute getSingleValueStyle_RawValue()

  Returns the meta object for the attribute '`Raw Value`'.

  Returns:
    the meta object for the attribute 'Raw Value'.
  See Also:
    `SingleValueStyle.getRawValue()`, `getSingleValueStyle()`
  ** Generated **

### getListValueStyle

    org.eclipse.emf.ecore.EClass getListValueStyle()

  Returns the meta object for class '`List Value Style`'.

  Returns:
    the meta object for class 'List Value Style'.
  See Also:
    `ListValueStyle`
  ** Generated **

### getListValueStyle_RawValuesList

    org.eclipse.emf.ecore.EAttribute getListValueStyle_RawValuesList()

  Returns the meta object for the attribute list '`Raw Values List`'.

  Returns:
    the meta object for the attribute list 'Raw Values List'.
  See Also:
    `ListValueStyle.getRawValuesList()`, `getListValueStyle()`
  ** Generated **

### getNamedStyle

    org.eclipse.emf.ecore.EClass getNamedStyle()

  Returns the meta object for class '`Named Style`'.

  Returns:
    the meta object for class 'Named Style'.
  See Also:
    `NamedStyle`
  ** Generated **

### getNamedStyle_Name

    org.eclipse.emf.ecore.EAttribute getNamedStyle_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `NamedStyle.getName()`, `getNamedStyle()`
  ** Generated **

### getStringObjectConverter

    org.eclipse.emf.ecore.EClass getStringObjectConverter()

  Returns the meta object for class '`String Object Converter`'.

  Returns:
    the meta object for class 'String Object Converter'.
  See Also:
    `StringObjectConverter`
  ** Generated **

### getDataTypeStyle

    org.eclipse.emf.ecore.EClass getDataTypeStyle()

  Returns the meta object for class '`Data Type Style`'.

  Returns:
    the meta object for class 'Data Type Style'.
  See Also:
    `DataTypeStyle`
  ** Generated **

### getDataTypeStyle_InstanceType

    org.eclipse.emf.ecore.EReference getDataTypeStyle_InstanceType()

  Returns the meta object for the reference '`Instance Type`'.

  Returns:
    the meta object for the reference 'Instance Type'.
  See Also:
    `DataTypeStyle.getInstanceType()`, `getDataTypeStyle()`
  ** Generated **

### getIntValueStyle

    org.eclipse.emf.ecore.EClass getIntValueStyle()

  Returns the meta object for class '`Int Value Style`'.

  Returns:
    the meta object for class 'Int Value Style'.
  See Also:
    `IntValueStyle`
  ** Generated **

### getIntValueStyle_IntValue

    org.eclipse.emf.ecore.EAttribute getIntValueStyle_IntValue()

  Returns the meta object for the attribute '`Int Value`'.

  Returns:
    the meta object for the attribute 'Int Value'.
  See Also:
    `IntValueStyle.getIntValue()`, `getIntValueStyle()`
  ** Generated **

### getIntListValueStyle

    org.eclipse.emf.ecore.EClass getIntListValueStyle()

  Returns the meta object for class '`Int List Value Style`'.

  Returns:
    the meta object for class 'Int List Value Style'.
  See Also:
    `IntListValueStyle`
  ** Generated **

### getIntListValueStyle_IntListValue

    org.eclipse.emf.ecore.EAttribute getIntListValueStyle_IntListValue()

  Returns the meta object for the attribute list '`Int List Value`'.

  Returns:
    the meta object for the attribute list 'Int List Value'.
  See Also:
    `IntListValueStyle.getIntListValue()`, `getIntListValueStyle()`
  ** Generated **

### getBooleanValueStyle

    org.eclipse.emf.ecore.EClass getBooleanValueStyle()

  Returns the meta object for class '`Boolean Value Style`'.

  Returns:
    the meta object for class 'Boolean Value Style'.
  See Also:
    `BooleanValueStyle`
  ** Generated **

### getBooleanValueStyle_BooleanValue

    org.eclipse.emf.ecore.EAttribute getBooleanValueStyle_BooleanValue()

  Returns the meta object for the attribute '`Boolean Value`'.

  Returns:
    the meta object for the attribute 'Boolean Value'.
  See Also:
    `BooleanValueStyle.isBooleanValue()`, `getBooleanValueStyle()`
  ** Generated **

### getDoubleValueStyle

    org.eclipse.emf.ecore.EClass getDoubleValueStyle()

  Returns the meta object for class '`Double Value Style`'.

  Returns:
    the meta object for class 'Double Value Style'.
  See Also:
    `DoubleValueStyle`
  ** Generated **

### getDoubleValueStyle_DoubleValue

    org.eclipse.emf.ecore.EAttribute getDoubleValueStyle_DoubleValue()

  Returns the meta object for the attribute '`Double Value`'.

  Returns:
    the meta object for the attribute 'Double Value'.
  See Also:
    `DoubleValueStyle.getDoubleValue()`, `getDoubleValueStyle()`
  ** Generated **

### getDoubleListValueStyle

    org.eclipse.emf.ecore.EClass getDoubleListValueStyle()

  Returns the meta object for class '`Double List Value Style`'.

  Returns:
    the meta object for class 'Double List Value Style'.
  See Also:
    `DoubleListValueStyle`
  ** Generated **

### getDoubleListValueStyle_DoubleListValue

    org.eclipse.emf.ecore.EAttribute getDoubleListValueStyle_DoubleListValue()

  Returns the meta object for the attribute list '`Double List Value`'.

  Returns:
    the meta object for the attribute list 'Double List Value'.
  See Also:
    `DoubleListValueStyle.getDoubleListValue()`, `getDoubleListValueStyle()`
  ** Generated **

### getStringValueStyle

    org.eclipse.emf.ecore.EClass getStringValueStyle()

  Returns the meta object for class '`String Value Style`'.

  Returns:
    the meta object for class 'String Value Style'.
  See Also:
    `StringValueStyle`
  ** Generated **

### getStringValueStyle_StringValue

    org.eclipse.emf.ecore.EAttribute getStringValueStyle_StringValue()

  Returns the meta object for the attribute '`String Value`'.

  Returns:
    the meta object for the attribute 'String Value'.
  See Also:
    `StringValueStyle.getStringValue()`, `getStringValueStyle()`
  ** Generated **

### getStringListValueStyle

    org.eclipse.emf.ecore.EClass getStringListValueStyle()

  Returns the meta object for class '`String List Value Style`'.

  Returns:
    the meta object for class 'String List Value Style'.
  See Also:
    `StringListValueStyle`
  ** Generated **

### getStringListValueStyle_StringListValue

    org.eclipse.emf.ecore.EAttribute getStringListValueStyle_StringListValue()

  Returns the meta object for the attribute list '`String List Value`'.

  Returns:
    the meta object for the attribute list 'String List Value'.
  See Also:
    `StringListValueStyle.getStringListValue()`, `getStringListValueStyle()`
  ** Generated **

### getEObjectValueStyle

    org.eclipse.emf.ecore.EClass getEObjectValueStyle()

  Returns the meta object for class '`EObject Value Style`'.

  Returns:
    the meta object for class 'EObject Value Style'.
  See Also:
    `EObjectValueStyle`
  ** Generated **

### getEObjectValueStyle_EObjectValue

    org.eclipse.emf.ecore.EReference getEObjectValueStyle_EObjectValue()

  Returns the meta object for the reference '`EObject Value`'.

  Returns:
    the meta object for the reference 'EObject Value'.
  See Also:
    `EObjectValueStyle.getEObjectValue()`, `getEObjectValueStyle()`
  ** Generated **

### getEObjectListValueStyle

    org.eclipse.emf.ecore.EClass getEObjectListValueStyle()

  Returns the meta object for class '`EObject List Value Style`'.

  Returns:
    the meta object for class 'EObject List Value Style'.
  See Also:
    `EObjectListValueStyle`
  ** Generated **

### getEObjectListValueStyle_EObjectListValue

    org.eclipse.emf.ecore.EReference getEObjectListValueStyle_EObjectListValue()

  Returns the meta object for the reference list '`EObject List Value`'.

  Returns:
    the meta object for the reference list 'EObject List Value'.
  See Also:
    `EObjectListValueStyle.getEObjectListValue()`, `getEObjectListValueStyle()`
  ** Generated **

### getByteArrayValueStyle

    org.eclipse.emf.ecore.EClass getByteArrayValueStyle()

  Returns the meta object for class '`Byte Array Value Style`'.

  Returns:
    the meta object for class 'Byte Array Value Style'.
  See Also:
    `ByteArrayValueStyle`
  ** Generated **

### getByteArrayValueStyle_ByteArrayValue

    org.eclipse.emf.ecore.EAttribute getByteArrayValueStyle_ByteArrayValue()

  Returns the meta object for the attribute '`Byte Array Value`'.

  Returns:
    the meta object for the attribute 'Byte Array Value'.
  See Also:
    `ByteArrayValueStyle.getByteArrayValue()`, `getByteArrayValueStyle()`
  ** Generated **

### getBooleanListValueStyle

    org.eclipse.emf.ecore.EClass getBooleanListValueStyle()

  Returns the meta object for class '`Boolean List Value Style`'.

  Returns:
    the meta object for class 'Boolean List Value Style'.
  See Also:
    `BooleanListValueStyle`
  ** Generated **

### getBooleanListValueStyle_BooleanListValue

    org.eclipse.emf.ecore.EAttribute getBooleanListValueStyle_BooleanListValue()

  Returns the meta object for the attribute list '`Boolean List Value`'.

  Returns:
    the meta object for the attribute list 'Boolean List Value'.
  See Also:
    `BooleanListValueStyle.getBooleanListValue()`, `getBooleanListValueStyle()`
  ** Generated **

### getHintedDiagramLinkStyle

    org.eclipse.emf.ecore.EClass getHintedDiagramLinkStyle()

  Returns the meta object for class '`Hinted Diagram Link Style`'.

  Returns:
    the meta object for class 'Hinted Diagram Link Style'.
  See Also:
    `HintedDiagramLinkStyle`
  ** Generated **

### getHintedDiagramLinkStyle_Hint

    org.eclipse.emf.ecore.EAttribute getHintedDiagramLinkStyle_Hint()

  Returns the meta object for the attribute '`Hint`'.

  Returns:
    the meta object for the attribute 'Hint'.
  See Also:
    `HintedDiagramLinkStyle.getHint()`, `getHintedDiagramLinkStyle()`
  ** Generated **

### getDiagramLinkStyle

    org.eclipse.emf.ecore.EClass getDiagramLinkStyle()

  Returns the meta object for class '`Diagram Link Style`'.

  Returns:
    the meta object for class 'Diagram Link Style'.
  See Also:
    `DiagramLinkStyle`
  ** Generated **

### getDiagramLinkStyle_DiagramLink

    org.eclipse.emf.ecore.EReference getDiagramLinkStyle_DiagramLink()

  Returns the meta object for the reference '`Diagram Link`'.

  Returns:
    the meta object for the reference 'Diagram Link'.
  See Also:
    `DiagramLinkStyle.getDiagramLink()`, `getDiagramLinkStyle()`
  ** Generated **

### getMultiDiagramLinkStyle

    org.eclipse.emf.ecore.EClass getMultiDiagramLinkStyle()

  Returns the meta object for class '`Multi Diagram Link Style`'.

  Returns:
    the meta object for class 'Multi Diagram Link Style'.
  See Also:
    `MultiDiagramLinkStyle`
  ** Generated **

### getMultiDiagramLinkStyle_DiagramLinks

    org.eclipse.emf.ecore.EReference getMultiDiagramLinkStyle_DiagramLinks()

  Returns the meta object for the reference list '`Diagram Links`'.

  Returns:
    the meta object for the reference list 'Diagram Links'.
  See Also:
    `MultiDiagramLinkStyle.getDiagramLinks()`, `getMultiDiagramLinkStyle()`
  ** Generated **

### getTextStyle

    org.eclipse.emf.ecore.EClass getTextStyle()

  Returns the meta object for class '`Text Style`'.

  Returns:
    the meta object for class 'Text Style'.
  See Also:
    `TextStyle`
  ** Generated **

### getTextStyle_TextAlignment

    org.eclipse.emf.ecore.EAttribute getTextStyle_TextAlignment()

  Returns the meta object for the attribute '`Text Alignment`'.

  Returns:
    the meta object for the attribute 'Text Alignment'.
  See Also:
    `TextStyle.getTextAlignment()`, `getTextStyle()`
  ** Generated **

### getLineTypeStyle

    org.eclipse.emf.ecore.EClass getLineTypeStyle()

  Returns the meta object for class '`Line Type Style`'.

  Returns:
    the meta object for class 'Line Type Style'.
  See Also:
    `LineTypeStyle`
  ** Generated **

### getLineTypeStyle_LineType

    org.eclipse.emf.ecore.EAttribute getLineTypeStyle_LineType()

  Returns the meta object for the attribute '`Line Type`'.

  Returns:
    the meta object for the attribute 'Line Type'.
  See Also:
    `LineTypeStyle.getLineType()`, `getLineTypeStyle()`
  ** Generated **

### getArrowStyle

    org.eclipse.emf.ecore.EClass getArrowStyle()

  Returns the meta object for class '`Arrow Style`'.

  Returns:
    the meta object for class 'Arrow Style'.
  See Also:
    `ArrowStyle`
  ** Generated **

### getArrowStyle_ArrowSource

    org.eclipse.emf.ecore.EAttribute getArrowStyle_ArrowSource()

  Returns the meta object for the attribute '`Arrow Source`'.

  Returns:
    the meta object for the attribute 'Arrow Source'.
  See Also:
    `ArrowStyle.getArrowSource()`, `getArrowStyle()`
  ** Generated **

### getArrowStyle_ArrowTarget

    org.eclipse.emf.ecore.EAttribute getArrowStyle_ArrowTarget()

  Returns the meta object for the attribute '`Arrow Target`'.

  Returns:
    the meta object for the attribute 'Arrow Target'.
  See Also:
    `ArrowStyle.getArrowTarget()`, `getArrowStyle()`
  ** Generated **

### getShape

    org.eclipse.emf.ecore.EClass getShape()

  Returns the meta object for class '`Shape`'.

  Returns:
    the meta object for class 'Shape'.
  See Also:
    `Shape`
  ** Generated **

### getCompartment

    org.eclipse.emf.ecore.EClass getCompartment()

  Returns the meta object for class '`Compartment`'.

  Returns:
    the meta object for class 'Compartment'.
  See Also:
    `Compartment`
  ** Generated **

### getListCompartment

    org.eclipse.emf.ecore.EClass getListCompartment()

  Returns the meta object for class '`List Compartment`'.

  Returns:
    the meta object for class 'List Compartment'.
  See Also:
    `ListCompartment`
  ** Generated **

### getConnector

    org.eclipse.emf.ecore.EClass getConnector()

  Returns the meta object for class '`Connector`'.

  Returns:
    the meta object for class 'Connector'.
  See Also:
    `Connector`
  ** Generated **

### getStandardDiagram

    org.eclipse.emf.ecore.EClass getStandardDiagram()

  Returns the meta object for class '`Standard Diagram`'.

  Returns:
    the meta object for class 'Standard Diagram'.
  See Also:
    `StandardDiagram`
  ** Generated **

### getDecorationNode

    org.eclipse.emf.ecore.EClass getDecorationNode()

  Returns the meta object for class '`Decoration Node`'.

  Returns:
    the meta object for class 'Decoration Node'.
  See Also:
    `DecorationNode`
  ** Generated **

### getBasicDecorationNode

    org.eclipse.emf.ecore.EClass getBasicDecorationNode()

  Returns the meta object for class '`Basic Decoration Node`'.

  Returns:
    the meta object for class 'Basic Decoration Node'.
  See Also:
    `BasicDecorationNode`
  ** Generated **

### getBasicCompartment

    org.eclipse.emf.ecore.EClass getBasicCompartment()

  Returns the meta object for class '`Basic Compartment`'.

  Returns:
    the meta object for class 'Basic Compartment'.
  See Also:
    `BasicCompartment`
  ** Generated **

### getBasicSemanticCompartment

    org.eclipse.emf.ecore.EClass getBasicSemanticCompartment()

  Returns the meta object for class '`Basic Semantic Compartment`'.

  Returns:
    the meta object for class 'Basic Semantic Compartment'.
  See Also:
    `BasicSemanticCompartment`
  ** Generated **

### getSemanticListCompartment

    org.eclipse.emf.ecore.EClass getSemanticListCompartment()

  Returns the meta object for class '`Semantic List Compartment`'.

  Returns:
    the meta object for class 'Semantic List Compartment'.
  See Also:
    `SemanticListCompartment`
  ** Generated **

### getSorting

    org.eclipse.emf.ecore.EEnum getSorting()

  Returns the meta object for enum '`Sorting`'.

  Returns:
    the meta object for enum 'Sorting'.
  See Also:
    `Sorting`
  ** Generated **

### getFiltering

    org.eclipse.emf.ecore.EEnum getFiltering()

  Returns the meta object for enum '`Filtering`'.

  Returns:
    the meta object for enum 'Filtering'.
  See Also:
    `Filtering`
  ** Generated **

### getRouting

    org.eclipse.emf.ecore.EEnum getRouting()

  Returns the meta object for enum '`Routing`'.

  Returns:
    the meta object for enum 'Routing'.
  See Also:
    `Routing`
  ** Generated **

### getSmoothness

    org.eclipse.emf.ecore.EEnum getSmoothness()

  Returns the meta object for enum '`Smoothness`'.

  Returns:
    the meta object for enum 'Smoothness'.
  See Also:
    `Smoothness`
  ** Generated **

### getJumpLinkStatus

    org.eclipse.emf.ecore.EEnum getJumpLinkStatus()

  Returns the meta object for enum '`Jump Link Status`'.

  Returns:
    the meta object for enum 'Jump Link Status'.
  See Also:
    `JumpLinkStatus`
  ** Generated **

### getJumpLinkType

    org.eclipse.emf.ecore.EEnum getJumpLinkType()

  Returns the meta object for enum '`Jump Link Type`'.

  Returns:
    the meta object for enum 'Jump Link Type'.
  See Also:
    `JumpLinkType`
  ** Generated **

### getAlignment

    org.eclipse.emf.ecore.EEnum getAlignment()

  Returns the meta object for enum '`Alignment`'.

  Returns:
    the meta object for enum 'Alignment'.
  See Also:
    `Alignment`
  ** Generated **

### getSortingDirection

    org.eclipse.emf.ecore.EEnum getSortingDirection()

  Returns the meta object for enum '`Sorting Direction`'.

  Returns:
    the meta object for enum 'Sorting Direction'.
  See Also:
    `SortingDirection`
  ** Generated **

### getMeasurementUnit

    org.eclipse.emf.ecore.EEnum getMeasurementUnit()

  Returns the meta object for enum '`Measurement Unit`'.

  Returns:
    the meta object for enum 'Measurement Unit'.
  See Also:
    `MeasurementUnit`
  ** Generated **

### getTextAlignment

    org.eclipse.emf.ecore.EEnum getTextAlignment()

  Returns the meta object for enum '`Text Alignment`'.

  Returns:
    the meta object for enum 'Text Alignment'.
  See Also:
    `TextAlignment`
  ** Generated **

### getLineType

    org.eclipse.emf.ecore.EEnum getLineType()

  Returns the meta object for enum '`Line Type`'.

  Returns:
    the meta object for enum 'Line Type'.
  See Also:
    `LineType`
  ** Generated **

### getArrowType

    org.eclipse.emf.ecore.EEnum getArrowType()

  Returns the meta object for enum '`Arrow Type`'.

  Returns:
    the meta object for enum 'Arrow Type'.
  See Also:
    `ArrowType`
  ** Generated **

### getGradientStyle

    org.eclipse.emf.ecore.EEnum getGradientStyle()

  Returns the meta object for enum '`Gradient Style`'.

  Returns:
    the meta object for enum 'Gradient Style'.
  See Also:
    `GradientStyle`
  ** Generated **

### getRelativeBendpointList

    org.eclipse.emf.ecore.EDataType getRelativeBendpointList()

  Returns the meta object for data type '`Relative Bendpoint List`'.

  Returns:
    the meta object for data type 'Relative Bendpoint List'.
  See Also:
    `List`
  ** Generated **
  Model:
    instanceClass="java.util.List"

### getFilterKeyList

    org.eclipse.emf.ecore.EDataType getFilterKeyList()

  Returns the meta object for data type '`Filter Key List`'.

  Returns:
    the meta object for data type 'Filter Key List'.
  See Also:
    `List`
  ** Generated **
  Model:
    instanceClass="java.util.List"

### getSortKeyMap

    org.eclipse.emf.ecore.EDataType getSortKeyMap()

  Returns the meta object for data type '`Sort Key Map`'.

  Returns:
    the meta object for data type 'Sort Key Map'.
  See Also:
    `Map`
  ** Generated **
  Model:
    instanceClass="java.util.Map"

### getGradientData

    org.eclipse.emf.ecore.EDataType getGradientData()

  Returns the meta object for data type '`Gradient Data`'.

  Returns:
    the meta object for data type 'Gradient Data'.
  See Also:
    `GradientData`
  ** Generated **
  Model:
    instanceClass="org.eclipse.gmf.runtime.notation.datatype.GradientData"

### getNotationFactory

    NotationFactory getNotationFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.
  ** Generated **

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.